#include "objects.h"
#include "common.h"
#include "fonts.h"
#include "font.h"
#include "lists.h"

class String2_0 : public Text
{
public:
    String2_0(int x, int y) : Text(x, y, String2_0_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("String 2", 8);
#endif
        flags &= ~SCROLL;
        width = 317;
        height = 183;
        blend_color = Color(255, 255, 255);
        bold = false;
        italic = false;
        font_name = chowstring("Small Fonts", 11);
        font = get_font(7, 0);
        alignment = ALIGN_HCENTER | ALIGN_VCENTER;
        add_line(chowstring("Thanks for downloading Lawyer Guy. This is version 3.85.\r\n\r\nWhen you're done playing the game, please visit robwel.ch/lawyer-guy and fill out the playtester feedback form. I take feedback very seriously, and I will also put your name in the credits!\r\n\r\nThe site is frequently updated with new builds and levels, so check back often!\r\n\r\nPress any key to continue.\r\n\r\nDEVELOPER NOTE: This is an experimental build of the game using the open-source chowdren runtime. Some things are missing or broken, such as: bindable controls, the CRT overlay, integer pixel scaling, and pixel fonts. There may also be small differences in behaviour between this version and the windows version.", 678));
        add_line(chowstring());
        create_alterables();
    }
};
FrameObject * create_string2_0(int x, int y)
{
    return new (Text::pool.create()) String2_0(x, y);
}
static Image* images_active_1_0_0[1];
static Direction direction_active_1_0_0 = {0, 50, 50, 0, 1, 1, images_active_1_0_0};
static Animation anim_active_1_0 = {&direction_active_1_0_0, &direction_active_1_0_0, &direction_active_1_0_0, &direction_active_1_0_0, &direction_active_1_0_0, &direction_active_1_0_0, &direction_active_1_0_0, &direction_active_1_0_0, &direction_active_1_0_0, &direction_active_1_0_0, &direction_active_1_0_0, &direction_active_1_0_0, &direction_active_1_0_0, &direction_active_1_0_0, &direction_active_1_0_0, &direction_active_1_0_0, NULL, &direction_active_1_0_0, &direction_active_1_0_0, &direction_active_1_0_0, &direction_active_1_0_0, &direction_active_1_0_0, &direction_active_1_0_0, &direction_active_1_0_0, &direction_active_1_0_0, &direction_active_1_0_0, &direction_active_1_0_0, &direction_active_1_0_0, &direction_active_1_0_0, &direction_active_1_0_0, &direction_active_1_0_0, &direction_active_1_0_0};
static Animation * anim_array_active_1[1] = {&anim_active_1_0};
static Animations anim_active_1 = {1, &anim_array_active_1[0]};
static bool anim_active_1_initialized;
class Active_1 : public Active
{
public:
    Active_1(int x, int y) : Active(x, y, Active_1_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Active", 6);
#endif
        this->animations = &anim_active_1;
        if (!anim_active_1_initialized) {
            anim_active_1_initialized = true;
            images_active_1_0_0[0] = get_internal_image_direct(395);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_active_1(int x, int y)
{
    return new (Active::pool.create()) Active_1(x, y);
}
static Image* images_active6_2_0_0[1];
static Direction direction_active6_2_0_0 = {0, 50, 50, 0, 1, 1, images_active6_2_0_0};
static Animation anim_active6_2_0 = {&direction_active6_2_0_0, &direction_active6_2_0_0, &direction_active6_2_0_0, &direction_active6_2_0_0, &direction_active6_2_0_0, &direction_active6_2_0_0, &direction_active6_2_0_0, &direction_active6_2_0_0, &direction_active6_2_0_0, &direction_active6_2_0_0, &direction_active6_2_0_0, &direction_active6_2_0_0, &direction_active6_2_0_0, &direction_active6_2_0_0, &direction_active6_2_0_0, &direction_active6_2_0_0, NULL, &direction_active6_2_0_0, &direction_active6_2_0_0, &direction_active6_2_0_0, &direction_active6_2_0_0, &direction_active6_2_0_0, &direction_active6_2_0_0, &direction_active6_2_0_0, &direction_active6_2_0_0, &direction_active6_2_0_0, &direction_active6_2_0_0, &direction_active6_2_0_0, &direction_active6_2_0_0, &direction_active6_2_0_0, &direction_active6_2_0_0, &direction_active6_2_0_0};
static Animation * anim_array_active6_2[1] = {&anim_active6_2_0};
static Animations anim_active6_2 = {1, &anim_array_active6_2[0]};
static bool anim_active6_2_initialized;
class Active6_2 : public Active
{
public:
    Active6_2(int x, int y) : Active(x, y, Active6_2_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Active 6", 8);
#endif
        this->animations = &anim_active6_2;
        if (!anim_active6_2_initialized) {
            anim_active6_2_initialized = true;
            images_active6_2_0_0[0] = get_internal_image_direct(507);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_active6_2(int x, int y)
{
    return new (Active::pool.create()) Active6_2(x, y);
}
static Image* images_active2_3_0_0[1];
static Direction direction_active2_3_0_0 = {0, 50, 50, 0, 1, 1, images_active2_3_0_0};
static Animation anim_active2_3_0 = {&direction_active2_3_0_0, &direction_active2_3_0_0, &direction_active2_3_0_0, &direction_active2_3_0_0, &direction_active2_3_0_0, &direction_active2_3_0_0, &direction_active2_3_0_0, &direction_active2_3_0_0, &direction_active2_3_0_0, &direction_active2_3_0_0, &direction_active2_3_0_0, &direction_active2_3_0_0, &direction_active2_3_0_0, &direction_active2_3_0_0, &direction_active2_3_0_0, &direction_active2_3_0_0, NULL, &direction_active2_3_0_0, &direction_active2_3_0_0, &direction_active2_3_0_0, &direction_active2_3_0_0, &direction_active2_3_0_0, &direction_active2_3_0_0, &direction_active2_3_0_0, &direction_active2_3_0_0, &direction_active2_3_0_0, &direction_active2_3_0_0, &direction_active2_3_0_0, &direction_active2_3_0_0, &direction_active2_3_0_0, &direction_active2_3_0_0, &direction_active2_3_0_0};
static Animation * anim_array_active2_3[1] = {&anim_active2_3_0};
static Animations anim_active2_3 = {1, &anim_array_active2_3[0]};
static bool anim_active2_3_initialized;
class Active2_3 : public Active
{
public:
    Active2_3(int x, int y) : Active(x, y, Active2_3_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Active 2", 8);
#endif
        this->animations = &anim_active2_3;
        if (!anim_active2_3_initialized) {
            anim_active2_3_initialized = true;
            images_active2_3_0_0[0] = get_internal_image_direct(552);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_active2_3(int x, int y)
{
    return new (Active::pool.create()) Active2_3(x, y);
}
static Image* images_anchor_4_0_0[1];
static Direction direction_anchor_4_0_0 = {0, 50, 50, 0, 1, 1, images_anchor_4_0_0};
static Animation anim_anchor_4_0 = {&direction_anchor_4_0_0, &direction_anchor_4_0_0, &direction_anchor_4_0_0, &direction_anchor_4_0_0, &direction_anchor_4_0_0, &direction_anchor_4_0_0, &direction_anchor_4_0_0, &direction_anchor_4_0_0, &direction_anchor_4_0_0, &direction_anchor_4_0_0, &direction_anchor_4_0_0, &direction_anchor_4_0_0, &direction_anchor_4_0_0, &direction_anchor_4_0_0, &direction_anchor_4_0_0, &direction_anchor_4_0_0, NULL, &direction_anchor_4_0_0, &direction_anchor_4_0_0, &direction_anchor_4_0_0, &direction_anchor_4_0_0, &direction_anchor_4_0_0, &direction_anchor_4_0_0, &direction_anchor_4_0_0, &direction_anchor_4_0_0, &direction_anchor_4_0_0, &direction_anchor_4_0_0, &direction_anchor_4_0_0, &direction_anchor_4_0_0, &direction_anchor_4_0_0, &direction_anchor_4_0_0, &direction_anchor_4_0_0};
static Animation * anim_array_anchor_4[1] = {&anim_anchor_4_0};
static Animations anim_anchor_4 = {1, &anim_array_anchor_4[0]};
static bool anim_anchor_4_initialized;
class Anchor_4 : public Active
{
public:
    Anchor_4(int x, int y) : Active(x, y, Anchor_4_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("anchor", 6);
#endif
        set_visible(false);
        this->animations = &anim_anchor_4;
        if (!anim_anchor_4_initialized) {
            anim_anchor_4_initialized = true;
            images_anchor_4_0_0[0] = get_internal_image_direct(6);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_anchor_4(int x, int y)
{
    return new (Active::pool.create()) Anchor_4(x, y);
}
static Image* images_active3_5_0_0[1];
static Direction direction_active3_5_0_0 = {0, 50, 50, 0, 1, 1, images_active3_5_0_0};
static Animation anim_active3_5_0 = {&direction_active3_5_0_0, &direction_active3_5_0_0, &direction_active3_5_0_0, &direction_active3_5_0_0, &direction_active3_5_0_0, &direction_active3_5_0_0, &direction_active3_5_0_0, &direction_active3_5_0_0, &direction_active3_5_0_0, &direction_active3_5_0_0, &direction_active3_5_0_0, &direction_active3_5_0_0, &direction_active3_5_0_0, &direction_active3_5_0_0, &direction_active3_5_0_0, &direction_active3_5_0_0, NULL, &direction_active3_5_0_0, &direction_active3_5_0_0, &direction_active3_5_0_0, &direction_active3_5_0_0, &direction_active3_5_0_0, &direction_active3_5_0_0, &direction_active3_5_0_0, &direction_active3_5_0_0, &direction_active3_5_0_0, &direction_active3_5_0_0, &direction_active3_5_0_0, &direction_active3_5_0_0, &direction_active3_5_0_0, &direction_active3_5_0_0, &direction_active3_5_0_0};
static Animation * anim_array_active3_5[1] = {&anim_active3_5_0};
static Animations anim_active3_5 = {1, &anim_array_active3_5[0]};
static bool anim_active3_5_initialized;
class Active3_5 : public Active
{
public:
    Active3_5(int x, int y) : Active(x, y, Active3_5_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Active 3", 8);
#endif
        this->animations = &anim_active3_5;
        if (!anim_active3_5_initialized) {
            anim_active3_5_initialized = true;
            images_active3_5_0_0[0] = get_internal_image_direct(565);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        set_direction(0);
        movement = new BallMovement(this);
        movement->index = 0;
        movement->flags |= Movement::MOVE_AT_START;
        ((BallMovement*)movement)->set_max_speed(0);
        ((BallMovement*)movement)->set_deceleration(0);
        ((BallMovement*)movement)->randomizer = 20;
        ((BallMovement*)movement)->init();
        create_alterables();
    }
};
FrameObject * create_active3_5(int x, int y)
{
    return new (Active::pool.create()) Active3_5(x, y);
}
static Image* images_active4_6_0_0[1];
static Direction direction_active4_6_0_0 = {0, 50, 50, 0, 1, 1, images_active4_6_0_0};
static Animation anim_active4_6_0 = {&direction_active4_6_0_0, &direction_active4_6_0_0, &direction_active4_6_0_0, &direction_active4_6_0_0, &direction_active4_6_0_0, &direction_active4_6_0_0, &direction_active4_6_0_0, &direction_active4_6_0_0, &direction_active4_6_0_0, &direction_active4_6_0_0, &direction_active4_6_0_0, &direction_active4_6_0_0, &direction_active4_6_0_0, &direction_active4_6_0_0, &direction_active4_6_0_0, &direction_active4_6_0_0, NULL, &direction_active4_6_0_0, &direction_active4_6_0_0, &direction_active4_6_0_0, &direction_active4_6_0_0, &direction_active4_6_0_0, &direction_active4_6_0_0, &direction_active4_6_0_0, &direction_active4_6_0_0, &direction_active4_6_0_0, &direction_active4_6_0_0, &direction_active4_6_0_0, &direction_active4_6_0_0, &direction_active4_6_0_0, &direction_active4_6_0_0, &direction_active4_6_0_0};
static Animation * anim_array_active4_6[1] = {&anim_active4_6_0};
static Animations anim_active4_6 = {1, &anim_array_active4_6[0]};
static bool anim_active4_6_initialized;
class Active4_6 : public Active
{
public:
    Active4_6(int x, int y) : Active(x, y, Active4_6_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Active 4", 8);
#endif
        set_visible(false);
        this->animations = &anim_active4_6;
        if (!anim_active4_6_initialized) {
            anim_active4_6_initialized = true;
            images_active4_6_0_0[0] = get_internal_image_direct(568);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_active4_6(int x, int y)
{
    return new (Active::pool.create()) Active4_6(x, y);
}
class Backdrop_7 : public Backdrop
{
public:
    Backdrop_7(int x, int y) : Backdrop(x, y, BACKGROUND_TYPE)
    {
#ifndef NDEBUG
        name = chowstring("Backdrop", 8);
#endif
        flags |= BACKGROUND;
        flags |= BACKGROUND_COL;
#ifdef BACK_ID_BACKDROP
        manager.frame->back_instances[BACK_ID_BACKDROP].push_back(this);
#endif
        image = get_internal_image(397);
        width = image->width;
        height = image->height;
    }
};
FrameObject * create_backdrop_7(int x, int y)
{
    return new (Backdrop::pool.create()) Backdrop_7(x, y);
}
static Image* images_active_8_0_0[1];
static Direction direction_active_8_0_0 = {0, 50, 50, 0, 1, 1, images_active_8_0_0};
static Animation anim_active_8_0 = {&direction_active_8_0_0, &direction_active_8_0_0, &direction_active_8_0_0, &direction_active_8_0_0, &direction_active_8_0_0, &direction_active_8_0_0, &direction_active_8_0_0, &direction_active_8_0_0, &direction_active_8_0_0, &direction_active_8_0_0, &direction_active_8_0_0, &direction_active_8_0_0, &direction_active_8_0_0, &direction_active_8_0_0, &direction_active_8_0_0, &direction_active_8_0_0, NULL, &direction_active_8_0_0, &direction_active_8_0_0, &direction_active_8_0_0, &direction_active_8_0_0, &direction_active_8_0_0, &direction_active_8_0_0, &direction_active_8_0_0, &direction_active_8_0_0, &direction_active_8_0_0, &direction_active_8_0_0, &direction_active_8_0_0, &direction_active_8_0_0, &direction_active_8_0_0, &direction_active_8_0_0, &direction_active_8_0_0};
static Animation * anim_array_active_8[1] = {&anim_active_8_0};
static Animations anim_active_8 = {1, &anim_array_active_8[0]};
static bool anim_active_8_initialized;
class Active_8 : public Active
{
public:
    Active_8(int x, int y) : Active(x, y, Active_8_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Active", 6);
#endif
        this->animations = &anim_active_8;
        if (!anim_active_8_initialized) {
            anim_active_8_initialized = true;
            images_active_8_0_0[0] = get_internal_image_direct(438);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        blend_color = Color(255, 255, 255, 44);
        create_alterables();
    }
};
FrameObject * create_active_8(int x, int y)
{
    return new (Active::pool.create()) Active_8(x, y);
}
static Image* images_active2_9_0_0[1];
static Direction direction_active2_9_0_0 = {0, 50, 50, 0, 1, 1, images_active2_9_0_0};
static Animation anim_active2_9_0 = {&direction_active2_9_0_0, &direction_active2_9_0_0, &direction_active2_9_0_0, &direction_active2_9_0_0, &direction_active2_9_0_0, &direction_active2_9_0_0, &direction_active2_9_0_0, &direction_active2_9_0_0, &direction_active2_9_0_0, &direction_active2_9_0_0, &direction_active2_9_0_0, &direction_active2_9_0_0, &direction_active2_9_0_0, &direction_active2_9_0_0, &direction_active2_9_0_0, &direction_active2_9_0_0, NULL, &direction_active2_9_0_0, &direction_active2_9_0_0, &direction_active2_9_0_0, &direction_active2_9_0_0, &direction_active2_9_0_0, &direction_active2_9_0_0, &direction_active2_9_0_0, &direction_active2_9_0_0, &direction_active2_9_0_0, &direction_active2_9_0_0, &direction_active2_9_0_0, &direction_active2_9_0_0, &direction_active2_9_0_0, &direction_active2_9_0_0, &direction_active2_9_0_0};
static Animation * anim_array_active2_9[1] = {&anim_active2_9_0};
static Animations anim_active2_9 = {1, &anim_array_active2_9[0]};
static bool anim_active2_9_initialized;
class Active2_9 : public Active
{
public:
    Active2_9(int x, int y) : Active(x, y, Active2_9_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Active 2", 8);
#endif
        this->animations = &anim_active2_9;
        if (!anim_active2_9_initialized) {
            anim_active2_9_initialized = true;
            images_active2_9_0_0[0] = get_internal_image_direct(424);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_active2_9(int x, int y)
{
    return new (Active::pool.create()) Active2_9(x, y);
}
static Image* images_active4_10_0_0[1];
static Direction direction_active4_10_0_0 = {0, 50, 50, 0, 1, 1, images_active4_10_0_0};
static Animation anim_active4_10_0 = {&direction_active4_10_0_0, &direction_active4_10_0_0, &direction_active4_10_0_0, &direction_active4_10_0_0, &direction_active4_10_0_0, &direction_active4_10_0_0, &direction_active4_10_0_0, &direction_active4_10_0_0, &direction_active4_10_0_0, &direction_active4_10_0_0, &direction_active4_10_0_0, &direction_active4_10_0_0, &direction_active4_10_0_0, &direction_active4_10_0_0, &direction_active4_10_0_0, &direction_active4_10_0_0, NULL, &direction_active4_10_0_0, &direction_active4_10_0_0, &direction_active4_10_0_0, &direction_active4_10_0_0, &direction_active4_10_0_0, &direction_active4_10_0_0, &direction_active4_10_0_0, &direction_active4_10_0_0, &direction_active4_10_0_0, &direction_active4_10_0_0, &direction_active4_10_0_0, &direction_active4_10_0_0, &direction_active4_10_0_0, &direction_active4_10_0_0, &direction_active4_10_0_0};
static Animation * anim_array_active4_10[1] = {&anim_active4_10_0};
static Animations anim_active4_10 = {1, &anim_array_active4_10[0]};
static bool anim_active4_10_initialized;
class Active4_10 : public Active
{
public:
    Active4_10(int x, int y) : Active(x, y, Active4_10_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Active 4", 8);
#endif
        flags &= ~SCROLL;
        this->animations = &anim_active4_10;
        if (!anim_active4_10_initialized) {
            anim_active4_10_initialized = true;
            images_active4_10_0_0[0] = get_internal_image_direct(439);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_active4_10(int x, int y)
{
    return new (Active::pool.create()) Active4_10(x, y);
}
static Image* images_active5_11_0_0[1];
static Direction direction_active5_11_0_0 = {0, 50, 50, 0, 1, 1, images_active5_11_0_0};
static Animation anim_active5_11_0 = {&direction_active5_11_0_0, &direction_active5_11_0_0, &direction_active5_11_0_0, &direction_active5_11_0_0, &direction_active5_11_0_0, &direction_active5_11_0_0, &direction_active5_11_0_0, &direction_active5_11_0_0, &direction_active5_11_0_0, &direction_active5_11_0_0, &direction_active5_11_0_0, &direction_active5_11_0_0, &direction_active5_11_0_0, &direction_active5_11_0_0, &direction_active5_11_0_0, &direction_active5_11_0_0, NULL, &direction_active5_11_0_0, &direction_active5_11_0_0, &direction_active5_11_0_0, &direction_active5_11_0_0, &direction_active5_11_0_0, &direction_active5_11_0_0, &direction_active5_11_0_0, &direction_active5_11_0_0, &direction_active5_11_0_0, &direction_active5_11_0_0, &direction_active5_11_0_0, &direction_active5_11_0_0, &direction_active5_11_0_0, &direction_active5_11_0_0, &direction_active5_11_0_0};
static Animation * anim_array_active5_11[1] = {&anim_active5_11_0};
static Animations anim_active5_11 = {1, &anim_array_active5_11[0]};
static bool anim_active5_11_initialized;
class Active5_11 : public Active
{
public:
    Active5_11(int x, int y) : Active(x, y, Active5_11_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Active 5", 8);
#endif
        this->animations = &anim_active5_11;
        if (!anim_active5_11_initialized) {
            anim_active5_11_initialized = true;
            images_active5_11_0_0[0] = get_internal_image_direct(472);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_active5_11(int x, int y)
{
    return new (Active::pool.create()) Active5_11(x, y);
}
static Image* images_active7_12_0_0[1];
static Direction direction_active7_12_0_0 = {0, 50, 50, 0, 1, 1, images_active7_12_0_0};
static Animation anim_active7_12_0 = {&direction_active7_12_0_0, &direction_active7_12_0_0, &direction_active7_12_0_0, &direction_active7_12_0_0, &direction_active7_12_0_0, &direction_active7_12_0_0, &direction_active7_12_0_0, &direction_active7_12_0_0, &direction_active7_12_0_0, &direction_active7_12_0_0, &direction_active7_12_0_0, &direction_active7_12_0_0, &direction_active7_12_0_0, &direction_active7_12_0_0, &direction_active7_12_0_0, &direction_active7_12_0_0, NULL, &direction_active7_12_0_0, &direction_active7_12_0_0, &direction_active7_12_0_0, &direction_active7_12_0_0, &direction_active7_12_0_0, &direction_active7_12_0_0, &direction_active7_12_0_0, &direction_active7_12_0_0, &direction_active7_12_0_0, &direction_active7_12_0_0, &direction_active7_12_0_0, &direction_active7_12_0_0, &direction_active7_12_0_0, &direction_active7_12_0_0, &direction_active7_12_0_0};
static Animation * anim_array_active7_12[1] = {&anim_active7_12_0};
static Animations anim_active7_12 = {1, &anim_array_active7_12[0]};
static bool anim_active7_12_initialized;
class Active7_12 : public Active
{
public:
    Active7_12(int x, int y) : Active(x, y, Active7_12_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Active 7", 8);
#endif
        this->animations = &anim_active7_12;
        if (!anim_active7_12_initialized) {
            anim_active7_12_initialized = true;
            images_active7_12_0_0[0] = get_internal_image_direct(483);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_active7_12(int x, int y)
{
    return new (Active::pool.create()) Active7_12(x, y);
}
static Image* images_active8_13_0_0[1];
static Direction direction_active8_13_0_0 = {0, 50, 50, 0, 1, 1, images_active8_13_0_0};
static Animation anim_active8_13_0 = {&direction_active8_13_0_0, &direction_active8_13_0_0, &direction_active8_13_0_0, &direction_active8_13_0_0, &direction_active8_13_0_0, &direction_active8_13_0_0, &direction_active8_13_0_0, &direction_active8_13_0_0, &direction_active8_13_0_0, &direction_active8_13_0_0, &direction_active8_13_0_0, &direction_active8_13_0_0, &direction_active8_13_0_0, &direction_active8_13_0_0, &direction_active8_13_0_0, &direction_active8_13_0_0, NULL, &direction_active8_13_0_0, &direction_active8_13_0_0, &direction_active8_13_0_0, &direction_active8_13_0_0, &direction_active8_13_0_0, &direction_active8_13_0_0, &direction_active8_13_0_0, &direction_active8_13_0_0, &direction_active8_13_0_0, &direction_active8_13_0_0, &direction_active8_13_0_0, &direction_active8_13_0_0, &direction_active8_13_0_0, &direction_active8_13_0_0, &direction_active8_13_0_0};
static Animation * anim_array_active8_13[1] = {&anim_active8_13_0};
static Animations anim_active8_13 = {1, &anim_array_active8_13[0]};
static bool anim_active8_13_initialized;
class Active8_13 : public Active
{
public:
    Active8_13(int x, int y) : Active(x, y, Active8_13_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Active 8", 8);
#endif
        this->animations = &anim_active8_13;
        if (!anim_active8_13_initialized) {
            anim_active8_13_initialized = true;
            images_active8_13_0_0[0] = get_internal_image_direct(484);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_active8_13(int x, int y)
{
    return new (Active::pool.create()) Active8_13(x, y);
}
static Image* images_active9_14_0_0[2];
static Direction direction_active9_14_0_0 = {0, 50, 50, 0, -1, 2, images_active9_14_0_0};
static Animation anim_active9_14_0 = {&direction_active9_14_0_0, &direction_active9_14_0_0, &direction_active9_14_0_0, &direction_active9_14_0_0, &direction_active9_14_0_0, &direction_active9_14_0_0, &direction_active9_14_0_0, &direction_active9_14_0_0, &direction_active9_14_0_0, &direction_active9_14_0_0, &direction_active9_14_0_0, &direction_active9_14_0_0, &direction_active9_14_0_0, &direction_active9_14_0_0, &direction_active9_14_0_0, &direction_active9_14_0_0, NULL, &direction_active9_14_0_0, &direction_active9_14_0_0, &direction_active9_14_0_0, &direction_active9_14_0_0, &direction_active9_14_0_0, &direction_active9_14_0_0, &direction_active9_14_0_0, &direction_active9_14_0_0, &direction_active9_14_0_0, &direction_active9_14_0_0, &direction_active9_14_0_0, &direction_active9_14_0_0, &direction_active9_14_0_0, &direction_active9_14_0_0, &direction_active9_14_0_0};
static Animation * anim_array_active9_14[1] = {&anim_active9_14_0};
static Animations anim_active9_14 = {1, &anim_array_active9_14[0]};
static bool anim_active9_14_initialized;
class Active9_14 : public Active
{
public:
    Active9_14(int x, int y) : Active(x, y, Active9_14_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Active 9", 8);
#endif
        this->animations = &anim_active9_14;
        if (!anim_active9_14_initialized) {
            anim_active9_14_initialized = true;
            images_active9_14_0_0[0] = get_internal_image_direct(797);
            images_active9_14_0_0[1] = get_internal_image_direct(798);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
        alterables->values.set(1, 110);
        alterables->values.set(2, 260);
        alterables->values.set(3, 80);
    }
};
FrameObject * create_active9_14(int x, int y)
{
    return new (Active::pool.create()) Active9_14(x, y);
}
static Image* images_active10_15_0_0[2];
static Direction direction_active10_15_0_0 = {0, 50, 50, 0, -1, 2, images_active10_15_0_0};
static Animation anim_active10_15_0 = {&direction_active10_15_0_0, &direction_active10_15_0_0, &direction_active10_15_0_0, &direction_active10_15_0_0, &direction_active10_15_0_0, &direction_active10_15_0_0, &direction_active10_15_0_0, &direction_active10_15_0_0, &direction_active10_15_0_0, &direction_active10_15_0_0, &direction_active10_15_0_0, &direction_active10_15_0_0, &direction_active10_15_0_0, &direction_active10_15_0_0, &direction_active10_15_0_0, &direction_active10_15_0_0, NULL, &direction_active10_15_0_0, &direction_active10_15_0_0, &direction_active10_15_0_0, &direction_active10_15_0_0, &direction_active10_15_0_0, &direction_active10_15_0_0, &direction_active10_15_0_0, &direction_active10_15_0_0, &direction_active10_15_0_0, &direction_active10_15_0_0, &direction_active10_15_0_0, &direction_active10_15_0_0, &direction_active10_15_0_0, &direction_active10_15_0_0, &direction_active10_15_0_0};
static Animation * anim_array_active10_15[1] = {&anim_active10_15_0};
static Animations anim_active10_15 = {1, &anim_array_active10_15[0]};
static bool anim_active10_15_initialized;
class Active10_15 : public Active
{
public:
    Active10_15(int x, int y) : Active(x, y, Active10_15_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Active 10", 9);
#endif
        this->animations = &anim_active10_15;
        if (!anim_active10_15_initialized) {
            anim_active10_15_initialized = true;
            images_active10_15_0_0[0] = get_internal_image_direct(490);
            images_active10_15_0_0[1] = get_internal_image_direct(489);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        blend_color = Color(255, 255, 255, 51);
        create_alterables();
    }
};
FrameObject * create_active10_15(int x, int y)
{
    return new (Active::pool.create()) Active10_15(x, y);
}
class QuickBackdrop_16 : public QuickBackdrop
{
public:
    QuickBackdrop_16(int x, int y) : QuickBackdrop(x, y, BACKGROUND_TYPE)
    {
#ifndef NDEBUG
        name = chowstring("Quick Backdrop", 14);
#endif
        flags |= BACKGROUND;
        flags |= BACKGROUND_COL;
        width = 640;
        height = 168;
        color = Color(0, 0, 0);
        gradient_type = NONE_GRADIENT;
        outline = 0;
    }
};
FrameObject * create_quickbackdrop_16(int x, int y)
{
    return new (QuickBackdrop::pool.create()) QuickBackdrop_16(x, y);
}
static Image* images_active11_17_0_0[1];
static Direction direction_active11_17_0_0 = {0, 50, 50, 0, 1, 1, images_active11_17_0_0};
static Animation anim_active11_17_0 = {&direction_active11_17_0_0, &direction_active11_17_0_0, &direction_active11_17_0_0, &direction_active11_17_0_0, &direction_active11_17_0_0, &direction_active11_17_0_0, &direction_active11_17_0_0, &direction_active11_17_0_0, &direction_active11_17_0_0, &direction_active11_17_0_0, &direction_active11_17_0_0, &direction_active11_17_0_0, &direction_active11_17_0_0, &direction_active11_17_0_0, &direction_active11_17_0_0, &direction_active11_17_0_0, NULL, &direction_active11_17_0_0, &direction_active11_17_0_0, &direction_active11_17_0_0, &direction_active11_17_0_0, &direction_active11_17_0_0, &direction_active11_17_0_0, &direction_active11_17_0_0, &direction_active11_17_0_0, &direction_active11_17_0_0, &direction_active11_17_0_0, &direction_active11_17_0_0, &direction_active11_17_0_0, &direction_active11_17_0_0, &direction_active11_17_0_0, &direction_active11_17_0_0};
static Animation * anim_array_active11_17[1] = {&anim_active11_17_0};
static Animations anim_active11_17 = {1, &anim_array_active11_17[0]};
static bool anim_active11_17_initialized;
class Active11_17 : public Active
{
public:
    Active11_17(int x, int y) : Active(x, y, Active11_17_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Active 11", 9);
#endif
        this->animations = &anim_active11_17;
        if (!anim_active11_17_initialized) {
            anim_active11_17_initialized = true;
            images_active11_17_0_0[0] = get_internal_image_direct(492);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_active11_17(int x, int y)
{
    return new (Active::pool.create()) Active11_17(x, y);
}
static Image* images_rando_18_0_0[1];
static Direction direction_rando_18_0_0 = {0, 50, 50, 0, 1, 1, images_rando_18_0_0};
static Animation anim_rando_18_0 = {&direction_rando_18_0_0, &direction_rando_18_0_0, &direction_rando_18_0_0, &direction_rando_18_0_0, &direction_rando_18_0_0, &direction_rando_18_0_0, &direction_rando_18_0_0, &direction_rando_18_0_0, &direction_rando_18_0_0, &direction_rando_18_0_0, &direction_rando_18_0_0, &direction_rando_18_0_0, &direction_rando_18_0_0, &direction_rando_18_0_0, &direction_rando_18_0_0, &direction_rando_18_0_0, NULL, &direction_rando_18_0_0, &direction_rando_18_0_0, &direction_rando_18_0_0, &direction_rando_18_0_0, &direction_rando_18_0_0, &direction_rando_18_0_0, &direction_rando_18_0_0, &direction_rando_18_0_0, &direction_rando_18_0_0, &direction_rando_18_0_0, &direction_rando_18_0_0, &direction_rando_18_0_0, &direction_rando_18_0_0, &direction_rando_18_0_0, &direction_rando_18_0_0};
static Animation * anim_array_rando_18[1] = {&anim_rando_18_0};
static Animations anim_rando_18 = {1, &anim_array_rando_18[0]};
static bool anim_rando_18_initialized;
class Rando_18 : public Active
{
public:
    Rando_18(int x, int y) : Active(x, y, Rando_18_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("rando", 5);
#endif
        this->animations = &anim_rando_18;
        if (!anim_rando_18_initialized) {
            anim_rando_18_initialized = true;
            images_rando_18_0_0[0] = get_internal_image_direct(6);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_rando_18(int x, int y)
{
    return new (Active::pool.create()) Rando_18(x, y);
}
static Image* images_active13_19_0_0[1];
static Direction direction_active13_19_0_0 = {0, 50, 50, 0, 1, 1, images_active13_19_0_0};
static Animation anim_active13_19_0 = {&direction_active13_19_0_0, &direction_active13_19_0_0, &direction_active13_19_0_0, &direction_active13_19_0_0, &direction_active13_19_0_0, &direction_active13_19_0_0, &direction_active13_19_0_0, &direction_active13_19_0_0, &direction_active13_19_0_0, &direction_active13_19_0_0, &direction_active13_19_0_0, &direction_active13_19_0_0, &direction_active13_19_0_0, &direction_active13_19_0_0, &direction_active13_19_0_0, &direction_active13_19_0_0, NULL, &direction_active13_19_0_0, &direction_active13_19_0_0, &direction_active13_19_0_0, &direction_active13_19_0_0, &direction_active13_19_0_0, &direction_active13_19_0_0, &direction_active13_19_0_0, &direction_active13_19_0_0, &direction_active13_19_0_0, &direction_active13_19_0_0, &direction_active13_19_0_0, &direction_active13_19_0_0, &direction_active13_19_0_0, &direction_active13_19_0_0, &direction_active13_19_0_0};
static Image* images_active13_19_1_0[1];
static Direction direction_active13_19_1_0 = {0, 50, 50, 0, 1, 1, images_active13_19_1_0};
static Animation anim_active13_19_1 = {&direction_active13_19_1_0, &direction_active13_19_1_0, &direction_active13_19_1_0, &direction_active13_19_1_0, &direction_active13_19_1_0, &direction_active13_19_1_0, &direction_active13_19_1_0, &direction_active13_19_1_0, &direction_active13_19_1_0, &direction_active13_19_1_0, &direction_active13_19_1_0, &direction_active13_19_1_0, &direction_active13_19_1_0, &direction_active13_19_1_0, &direction_active13_19_1_0, &direction_active13_19_1_0, NULL, &direction_active13_19_1_0, &direction_active13_19_1_0, &direction_active13_19_1_0, &direction_active13_19_1_0, &direction_active13_19_1_0, &direction_active13_19_1_0, &direction_active13_19_1_0, &direction_active13_19_1_0, &direction_active13_19_1_0, &direction_active13_19_1_0, &direction_active13_19_1_0, &direction_active13_19_1_0, &direction_active13_19_1_0, &direction_active13_19_1_0, &direction_active13_19_1_0};
static Image* images_active13_19_2_0[1];
static Direction direction_active13_19_2_0 = {0, 50, 50, 0, -1, 1, images_active13_19_2_0};
static Animation anim_active13_19_2 = {&direction_active13_19_2_0, &direction_active13_19_2_0, &direction_active13_19_2_0, &direction_active13_19_2_0, &direction_active13_19_2_0, &direction_active13_19_2_0, &direction_active13_19_2_0, &direction_active13_19_2_0, &direction_active13_19_2_0, &direction_active13_19_2_0, &direction_active13_19_2_0, &direction_active13_19_2_0, &direction_active13_19_2_0, &direction_active13_19_2_0, &direction_active13_19_2_0, &direction_active13_19_2_0, NULL, &direction_active13_19_2_0, &direction_active13_19_2_0, &direction_active13_19_2_0, &direction_active13_19_2_0, &direction_active13_19_2_0, &direction_active13_19_2_0, &direction_active13_19_2_0, &direction_active13_19_2_0, &direction_active13_19_2_0, &direction_active13_19_2_0, &direction_active13_19_2_0, &direction_active13_19_2_0, &direction_active13_19_2_0, &direction_active13_19_2_0, &direction_active13_19_2_0};
static Image* images_active13_19_5_0[1];
static Direction direction_active13_19_5_0 = {0, 50, 50, 0, -1, 1, images_active13_19_5_0};
static Animation anim_active13_19_5 = {&direction_active13_19_5_0, &direction_active13_19_5_0, &direction_active13_19_5_0, &direction_active13_19_5_0, &direction_active13_19_5_0, &direction_active13_19_5_0, &direction_active13_19_5_0, &direction_active13_19_5_0, &direction_active13_19_5_0, &direction_active13_19_5_0, &direction_active13_19_5_0, &direction_active13_19_5_0, &direction_active13_19_5_0, &direction_active13_19_5_0, &direction_active13_19_5_0, &direction_active13_19_5_0, NULL, &direction_active13_19_5_0, &direction_active13_19_5_0, &direction_active13_19_5_0, &direction_active13_19_5_0, &direction_active13_19_5_0, &direction_active13_19_5_0, &direction_active13_19_5_0, &direction_active13_19_5_0, &direction_active13_19_5_0, &direction_active13_19_5_0, &direction_active13_19_5_0, &direction_active13_19_5_0, &direction_active13_19_5_0, &direction_active13_19_5_0, &direction_active13_19_5_0};
static Animation * anim_array_active13_19[6] = {&anim_active13_19_0, &anim_active13_19_1, &anim_active13_19_2, NULL, NULL, &anim_active13_19_5};
static Animations anim_active13_19 = {6, &anim_array_active13_19[0]};
static bool anim_active13_19_initialized;
class Active13_19 : public Active
{
public:
    Active13_19(int x, int y) : Active(x, y, Active13_19_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Active 13", 9);
#endif
        set_visible(false);
        this->animations = &anim_active13_19;
        if (!anim_active13_19_initialized) {
            anim_active13_19_initialized = true;
            images_active13_19_0_0[0] = get_internal_image_direct(487);
            images_active13_19_1_0[0] = get_internal_image_direct(500);
            images_active13_19_2_0[0] = get_internal_image_direct(796);
            images_active13_19_5_0[0] = get_internal_image_direct(723);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_active13_19(int x, int y)
{
    return new (Active::pool.create()) Active13_19(x, y);
}
class String2_20 : public Text
{
public:
    String2_20(int x, int y) : Text(x, y, String2_20_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("String 2", 8);
#endif
        flags &= ~SCROLL;
        width = 640;
        height = 168;
        blend_color = Color(255, 255, 255);
        bold = false;
        italic = false;
        font_name = chowstring("Small Fonts", 11);
        font = get_font(7, 0);
        alignment = ALIGN_HCENTER | ALIGN_VCENTER;
        add_line(chowstring("CREATED AND DEVELOPED BY\r\nRob Welch", 35));
        add_line(chowstring("FEATURING THE MOTION CAPTURED PERFORMANCE OF\r\nTom Hanks", 55));
        add_line(chowstring("BASED ON A NAPKIN DOODLE BY\r\nMatt Dodds", 39));
        add_line(chowstring("LAWYER GUY'S SENIOR COOL PLAYTESTERS\r\nZmansjams\\Smajsnamz\r\nJon Dong Williams\r\nSpecs\r\nSoup and Sauce", 99));
        add_line(chowstring("LAWYER GUY'S COOL PLAYTESTERS\r\nLames\r\nZachary Richardson\r\nLou\r\nAniMitch\r\nNabil\r\nLiam Tilling\r\nMoogs Moogerson\r\nSef The One Who Hates This Kind Of Game\r\nRd", 154));
        add_line(chowstring("SPECIAL THANKS\r\nSebastian Janisz\r\nAlbin Hanberg\r\nThe guy at the Florrigardy Hotel in Skye who mailed by backpack back to me after I left it on the side of a mountain", 165));
        add_line(chowstring("DEMO SOUNDTRACKS\r\nDemo 1 - V\303\244rldens Snabbaste Rymdskepp by Zalza vs Dalezy (zalza.bandcamp.com & dalezy.1mhz.org)\r\nDemo 2 - Sweet Dreams by Elwood (elwoodproductions.com/)\r\nDemo 3 - Tetra & Atomic Sons by 4mat (4mat.bandcamp.com)\r\nDemo 4 - Final Blast & Zeta Force 2 Eternity by Zabutom (zabutom.se)\r\nDemo 5 ingame - Lightenberg Figures by memowave (soundcloud.com/memowave) and +TEK (soundcloud.com/plrusek-chan)\r\nDemo 5 menu - Supersquatting by Dubmood and Zabutom (dubmood.bandcamp.com and zabutom.se)", 505));
        add_line(chowstring("DEMO SOUNDTRACKS\r\nDemo 1 - V\303\244rldens Snabbaste Rymdskepp by Zalza vs Dalezy (zalza.bandcamp.com & dalezy.1mhz.org)\r\nDemo 2 - Sweet Dreams by Elwood (elwoodproductions.com/)\r\nDemo 3 - Tetra & Atomic Sons by 4mat (4mat.bandcamp.com)\r\nDemo 4 - Final Blast & Zeta Force 2 Eternity by Zabutom (zabutom.se)\r\nDemo 5 ingame - Lightenberg Figures by memowave (soundcloud.com/memowave) and +TEK (soundcloud.com/plrusek-chan)\r\nDemo 5 menu - Supersquatting by Dubmood and Zabutom (dubmood.bandcamp.com and zabutom.se)", 505));
        add_line(chowstring("PLAYER\r\nYou!", 12));
        create_alterables();
    }
};
FrameObject * create_string2_20(int x, int y)
{
    return new (Text::pool.create()) String2_20(x, y);
}
static Image* images_active14_21_0_0[4];
static Direction direction_active14_21_0_0 = {0, 20, 20, 0, -1, 4, images_active14_21_0_0};
static Animation anim_active14_21_0 = {&direction_active14_21_0_0, &direction_active14_21_0_0, &direction_active14_21_0_0, &direction_active14_21_0_0, &direction_active14_21_0_0, &direction_active14_21_0_0, &direction_active14_21_0_0, &direction_active14_21_0_0, &direction_active14_21_0_0, &direction_active14_21_0_0, &direction_active14_21_0_0, &direction_active14_21_0_0, &direction_active14_21_0_0, &direction_active14_21_0_0, &direction_active14_21_0_0, &direction_active14_21_0_0, NULL, &direction_active14_21_0_0, &direction_active14_21_0_0, &direction_active14_21_0_0, &direction_active14_21_0_0, &direction_active14_21_0_0, &direction_active14_21_0_0, &direction_active14_21_0_0, &direction_active14_21_0_0, &direction_active14_21_0_0, &direction_active14_21_0_0, &direction_active14_21_0_0, &direction_active14_21_0_0, &direction_active14_21_0_0, &direction_active14_21_0_0, &direction_active14_21_0_0};
static Animation * anim_array_active14_21[1] = {&anim_active14_21_0};
static Animations anim_active14_21 = {1, &anim_array_active14_21[0]};
static bool anim_active14_21_initialized;
class Active14_21 : public Active
{
public:
    Active14_21(int x, int y) : Active(x, y, Active14_21_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Active 14", 9);
#endif
        this->animations = &anim_active14_21;
        if (!anim_active14_21_initialized) {
            anim_active14_21_initialized = true;
            images_active14_21_0_0[0] = get_internal_image_direct(491);
            images_active14_21_0_0[1] = get_internal_image_direct(493);
            images_active14_21_0_0[2] = get_internal_image_direct(494);
            images_active14_21_0_0[3] = get_internal_image_direct(493);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_active14_21(int x, int y)
{
    return new (Active::pool.create()) Active14_21(x, y);
}
static Image* images_camera_22_0_0[1];
static Direction direction_camera_22_0_0 = {0, 50, 50, 0, 1, 1, images_camera_22_0_0};
static Animation anim_camera_22_0 = {&direction_camera_22_0_0, &direction_camera_22_0_0, &direction_camera_22_0_0, &direction_camera_22_0_0, &direction_camera_22_0_0, &direction_camera_22_0_0, &direction_camera_22_0_0, &direction_camera_22_0_0, &direction_camera_22_0_0, &direction_camera_22_0_0, &direction_camera_22_0_0, &direction_camera_22_0_0, &direction_camera_22_0_0, &direction_camera_22_0_0, &direction_camera_22_0_0, &direction_camera_22_0_0, NULL, &direction_camera_22_0_0, &direction_camera_22_0_0, &direction_camera_22_0_0, &direction_camera_22_0_0, &direction_camera_22_0_0, &direction_camera_22_0_0, &direction_camera_22_0_0, &direction_camera_22_0_0, &direction_camera_22_0_0, &direction_camera_22_0_0, &direction_camera_22_0_0, &direction_camera_22_0_0, &direction_camera_22_0_0, &direction_camera_22_0_0, &direction_camera_22_0_0};
static Animation * anim_array_camera_22[1] = {&anim_camera_22_0};
static Animations anim_camera_22 = {1, &anim_array_camera_22[0]};
static bool anim_camera_22_initialized;
class Camera_22 : public Active
{
public:
    Camera_22(int x, int y) : Active(x, y, Camera_22_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("camera", 6);
#endif
        set_visible(false);
        this->animations = &anim_camera_22;
        if (!anim_camera_22_initialized) {
            anim_camera_22_initialized = true;
            images_camera_22_0_0[0] = get_internal_image_direct(149);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_camera_22(int x, int y)
{
    return new (Active::pool.create()) Camera_22(x, y);
}
static Image* images_camerachaser_23_0_0[1];
static Direction direction_camerachaser_23_0_0 = {0, 50, 50, 0, 1, 1, images_camerachaser_23_0_0};
static Animation anim_camerachaser_23_0 = {&direction_camerachaser_23_0_0, &direction_camerachaser_23_0_0, &direction_camerachaser_23_0_0, &direction_camerachaser_23_0_0, &direction_camerachaser_23_0_0, &direction_camerachaser_23_0_0, &direction_camerachaser_23_0_0, &direction_camerachaser_23_0_0, &direction_camerachaser_23_0_0, &direction_camerachaser_23_0_0, &direction_camerachaser_23_0_0, &direction_camerachaser_23_0_0, &direction_camerachaser_23_0_0, &direction_camerachaser_23_0_0, &direction_camerachaser_23_0_0, &direction_camerachaser_23_0_0, NULL, &direction_camerachaser_23_0_0, &direction_camerachaser_23_0_0, &direction_camerachaser_23_0_0, &direction_camerachaser_23_0_0, &direction_camerachaser_23_0_0, &direction_camerachaser_23_0_0, &direction_camerachaser_23_0_0, &direction_camerachaser_23_0_0, &direction_camerachaser_23_0_0, &direction_camerachaser_23_0_0, &direction_camerachaser_23_0_0, &direction_camerachaser_23_0_0, &direction_camerachaser_23_0_0, &direction_camerachaser_23_0_0, &direction_camerachaser_23_0_0};
static Animation * anim_array_camerachaser_23[1] = {&anim_camerachaser_23_0};
static Animations anim_camerachaser_23 = {1, &anim_array_camerachaser_23[0]};
static bool anim_camerachaser_23_initialized;
class CameraChaser_23 : public Active
{
public:
    CameraChaser_23(int x, int y) : Active(x, y, CameraChaser_23_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("camera chaser", 13);
#endif
        set_visible(false);
        this->animations = &anim_camerachaser_23;
        if (!anim_camerachaser_23_initialized) {
            anim_camerachaser_23_initialized = true;
            images_camerachaser_23_0_0[0] = get_internal_image_direct(148);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_camerachaser_23(int x, int y)
{
    return new (Active::pool.create()) CameraChaser_23(x, y);
}
static Image* images_blockmaker_24_0_0[1];
static Direction direction_blockmaker_24_0_0 = {0, 50, 50, 0, 1, 1, images_blockmaker_24_0_0};
static Animation anim_blockmaker_24_0 = {&direction_blockmaker_24_0_0, &direction_blockmaker_24_0_0, &direction_blockmaker_24_0_0, &direction_blockmaker_24_0_0, &direction_blockmaker_24_0_0, &direction_blockmaker_24_0_0, &direction_blockmaker_24_0_0, &direction_blockmaker_24_0_0, &direction_blockmaker_24_0_0, &direction_blockmaker_24_0_0, &direction_blockmaker_24_0_0, &direction_blockmaker_24_0_0, &direction_blockmaker_24_0_0, &direction_blockmaker_24_0_0, &direction_blockmaker_24_0_0, &direction_blockmaker_24_0_0, NULL, &direction_blockmaker_24_0_0, &direction_blockmaker_24_0_0, &direction_blockmaker_24_0_0, &direction_blockmaker_24_0_0, &direction_blockmaker_24_0_0, &direction_blockmaker_24_0_0, &direction_blockmaker_24_0_0, &direction_blockmaker_24_0_0, &direction_blockmaker_24_0_0, &direction_blockmaker_24_0_0, &direction_blockmaker_24_0_0, &direction_blockmaker_24_0_0, &direction_blockmaker_24_0_0, &direction_blockmaker_24_0_0, &direction_blockmaker_24_0_0};
static Animation * anim_array_blockmaker_24[1] = {&anim_blockmaker_24_0};
static Animations anim_blockmaker_24 = {1, &anim_array_blockmaker_24[0]};
static bool anim_blockmaker_24_initialized;
class Blockmaker_24 : public Active
{
public:
    Blockmaker_24(int x, int y) : Active(x, y, Blockmaker_24_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("blockmaker", 10);
#endif
        this->animations = &anim_blockmaker_24;
        if (!anim_blockmaker_24_initialized) {
            anim_blockmaker_24_initialized = true;
            images_blockmaker_24_0_0[0] = get_internal_image_direct(6);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_blockmaker_24(int x, int y)
{
    return new (Active::pool.create()) Blockmaker_24(x, y);
}
static Image* images_roadmaker_25_0_0[1];
static Direction direction_roadmaker_25_0_0 = {0, 50, 50, 0, 1, 1, images_roadmaker_25_0_0};
static Animation anim_roadmaker_25_0 = {&direction_roadmaker_25_0_0, &direction_roadmaker_25_0_0, &direction_roadmaker_25_0_0, &direction_roadmaker_25_0_0, &direction_roadmaker_25_0_0, &direction_roadmaker_25_0_0, &direction_roadmaker_25_0_0, &direction_roadmaker_25_0_0, &direction_roadmaker_25_0_0, &direction_roadmaker_25_0_0, &direction_roadmaker_25_0_0, &direction_roadmaker_25_0_0, &direction_roadmaker_25_0_0, &direction_roadmaker_25_0_0, &direction_roadmaker_25_0_0, &direction_roadmaker_25_0_0, NULL, &direction_roadmaker_25_0_0, &direction_roadmaker_25_0_0, &direction_roadmaker_25_0_0, &direction_roadmaker_25_0_0, &direction_roadmaker_25_0_0, &direction_roadmaker_25_0_0, &direction_roadmaker_25_0_0, &direction_roadmaker_25_0_0, &direction_roadmaker_25_0_0, &direction_roadmaker_25_0_0, &direction_roadmaker_25_0_0, &direction_roadmaker_25_0_0, &direction_roadmaker_25_0_0, &direction_roadmaker_25_0_0, &direction_roadmaker_25_0_0};
static Animation * anim_array_roadmaker_25[1] = {&anim_roadmaker_25_0};
static Animations anim_roadmaker_25 = {1, &anim_array_roadmaker_25[0]};
static bool anim_roadmaker_25_initialized;
class Roadmaker_25 : public Active
{
public:
    Roadmaker_25(int x, int y) : Active(x, y, Roadmaker_25_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("roadmaker", 9);
#endif
        this->animations = &anim_roadmaker_25;
        if (!anim_roadmaker_25_initialized) {
            anim_roadmaker_25_initialized = true;
            images_roadmaker_25_0_0[0] = get_internal_image_direct(6);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_roadmaker_25(int x, int y)
{
    return new (Active::pool.create()) Roadmaker_25(x, y);
}
static Image* images_active15_26_0_0[1];
static Direction direction_active15_26_0_0 = {0, 50, 50, 0, 1, 1, images_active15_26_0_0};
static Animation anim_active15_26_0 = {&direction_active15_26_0_0, &direction_active15_26_0_0, &direction_active15_26_0_0, &direction_active15_26_0_0, &direction_active15_26_0_0, &direction_active15_26_0_0, &direction_active15_26_0_0, &direction_active15_26_0_0, &direction_active15_26_0_0, &direction_active15_26_0_0, &direction_active15_26_0_0, &direction_active15_26_0_0, &direction_active15_26_0_0, &direction_active15_26_0_0, &direction_active15_26_0_0, &direction_active15_26_0_0, NULL, &direction_active15_26_0_0, &direction_active15_26_0_0, &direction_active15_26_0_0, &direction_active15_26_0_0, &direction_active15_26_0_0, &direction_active15_26_0_0, &direction_active15_26_0_0, &direction_active15_26_0_0, &direction_active15_26_0_0, &direction_active15_26_0_0, &direction_active15_26_0_0, &direction_active15_26_0_0, &direction_active15_26_0_0, &direction_active15_26_0_0, &direction_active15_26_0_0};
static Animation * anim_array_active15_26[1] = {&anim_active15_26_0};
static Animations anim_active15_26 = {1, &anim_array_active15_26[0]};
static bool anim_active15_26_initialized;
class Active15_26 : public Active
{
public:
    Active15_26(int x, int y) : Active(x, y, Active15_26_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Active 15", 9);
#endif
        this->animations = &anim_active15_26;
        if (!anim_active15_26_initialized) {
            anim_active15_26_initialized = true;
            images_active15_26_0_0[0] = get_internal_image_direct(6);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_active15_26(int x, int y)
{
    return new (Active::pool.create()) Active15_26(x, y);
}
static Image* images_roadlimit_27_0_0[1];
static Direction direction_roadlimit_27_0_0 = {0, 50, 50, 0, 1, 1, images_roadlimit_27_0_0};
static Animation anim_roadlimit_27_0 = {&direction_roadlimit_27_0_0, &direction_roadlimit_27_0_0, &direction_roadlimit_27_0_0, &direction_roadlimit_27_0_0, &direction_roadlimit_27_0_0, &direction_roadlimit_27_0_0, &direction_roadlimit_27_0_0, &direction_roadlimit_27_0_0, &direction_roadlimit_27_0_0, &direction_roadlimit_27_0_0, &direction_roadlimit_27_0_0, &direction_roadlimit_27_0_0, &direction_roadlimit_27_0_0, &direction_roadlimit_27_0_0, &direction_roadlimit_27_0_0, &direction_roadlimit_27_0_0, NULL, &direction_roadlimit_27_0_0, &direction_roadlimit_27_0_0, &direction_roadlimit_27_0_0, &direction_roadlimit_27_0_0, &direction_roadlimit_27_0_0, &direction_roadlimit_27_0_0, &direction_roadlimit_27_0_0, &direction_roadlimit_27_0_0, &direction_roadlimit_27_0_0, &direction_roadlimit_27_0_0, &direction_roadlimit_27_0_0, &direction_roadlimit_27_0_0, &direction_roadlimit_27_0_0, &direction_roadlimit_27_0_0, &direction_roadlimit_27_0_0};
static Animation * anim_array_roadlimit_27[1] = {&anim_roadlimit_27_0};
static Animations anim_roadlimit_27 = {1, &anim_array_roadlimit_27[0]};
static bool anim_roadlimit_27_initialized;
class Roadlimit_27 : public Active
{
public:
    Roadlimit_27(int x, int y) : Active(x, y, Roadlimit_27_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("roadlimit", 9);
#endif
        this->animations = &anim_roadlimit_27;
        if (!anim_roadlimit_27_initialized) {
            anim_roadlimit_27_initialized = true;
            images_roadlimit_27_0_0[0] = get_internal_image_direct(6);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_roadlimit_27(int x, int y)
{
    return new (Active::pool.create()) Roadlimit_27(x, y);
}
static Image* images_lginitpos_28_0_0[1];
static Direction direction_lginitpos_28_0_0 = {0, 50, 50, 0, 1, 1, images_lginitpos_28_0_0};
static Animation anim_lginitpos_28_0 = {&direction_lginitpos_28_0_0, &direction_lginitpos_28_0_0, &direction_lginitpos_28_0_0, &direction_lginitpos_28_0_0, &direction_lginitpos_28_0_0, &direction_lginitpos_28_0_0, &direction_lginitpos_28_0_0, &direction_lginitpos_28_0_0, &direction_lginitpos_28_0_0, &direction_lginitpos_28_0_0, &direction_lginitpos_28_0_0, &direction_lginitpos_28_0_0, &direction_lginitpos_28_0_0, &direction_lginitpos_28_0_0, &direction_lginitpos_28_0_0, &direction_lginitpos_28_0_0, NULL, &direction_lginitpos_28_0_0, &direction_lginitpos_28_0_0, &direction_lginitpos_28_0_0, &direction_lginitpos_28_0_0, &direction_lginitpos_28_0_0, &direction_lginitpos_28_0_0, &direction_lginitpos_28_0_0, &direction_lginitpos_28_0_0, &direction_lginitpos_28_0_0, &direction_lginitpos_28_0_0, &direction_lginitpos_28_0_0, &direction_lginitpos_28_0_0, &direction_lginitpos_28_0_0, &direction_lginitpos_28_0_0, &direction_lginitpos_28_0_0};
static Animation * anim_array_lginitpos_28[1] = {&anim_lginitpos_28_0};
static Animations anim_lginitpos_28 = {1, &anim_array_lginitpos_28[0]};
static bool anim_lginitpos_28_initialized;
class Lginitpos_28 : public Active
{
public:
    Lginitpos_28(int x, int y) : Active(x, y, Lginitpos_28_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("lginitpos", 9);
#endif
        set_visible(false);
        this->animations = &anim_lginitpos_28;
        if (!anim_lginitpos_28_initialized) {
            anim_lginitpos_28_initialized = true;
            images_lginitpos_28_0_0[0] = get_internal_image_direct(6);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_lginitpos_28(int x, int y)
{
    return new (Active::pool.create()) Lginitpos_28(x, y);
}
class Backdrop2_29 : public Backdrop
{
public:
    Backdrop2_29(int x, int y) : Backdrop(x, y, BACKGROUND_TYPE)
    {
#ifndef NDEBUG
        name = chowstring("Backdrop 2", 10);
#endif
        flags |= BACKGROUND;
        flags |= BACKGROUND_COL;
#ifdef BACK_ID_BACKDROP_2
        manager.frame->back_instances[BACK_ID_BACKDROP_2].push_back(this);
#endif
        image = get_internal_image(475);
        width = image->width;
        height = image->height;
    }
};
FrameObject * create_backdrop2_29(int x, int y)
{
    return new (Backdrop::pool.create()) Backdrop2_29(x, y);
}
class Backdrop3_30 : public Backdrop
{
public:
    Backdrop3_30(int x, int y) : Backdrop(x, y, BACKGROUND_TYPE)
    {
#ifndef NDEBUG
        name = chowstring("Backdrop 3", 10);
#endif
        flags |= BACKGROUND;
        flags |= BACKGROUND_COL;
#ifdef BACK_ID_BACKDROP_3
        manager.frame->back_instances[BACK_ID_BACKDROP_3].push_back(this);
#endif
        image = get_internal_image(815);
        width = image->width;
        height = image->height;
    }
};
FrameObject * create_backdrop3_30(int x, int y)
{
    return new (Backdrop::pool.create()) Backdrop3_30(x, y);
}
class Backdrop4_31 : public Backdrop
{
public:
    Backdrop4_31(int x, int y) : Backdrop(x, y, BACKGROUND_TYPE)
    {
#ifndef NDEBUG
        name = chowstring("Backdrop 4", 10);
#endif
        flags |= BACKGROUND;
        flags |= BACKGROUND_COL;
#ifdef BACK_ID_BACKDROP_4
        manager.frame->back_instances[BACK_ID_BACKDROP_4].push_back(this);
#endif
        image = get_internal_image(849);
        width = image->width;
        height = image->height;
    }
};
FrameObject * create_backdrop4_31(int x, int y)
{
    return new (Backdrop::pool.create()) Backdrop4_31(x, y);
}
class Backdrop5_32 : public Backdrop
{
public:
    Backdrop5_32(int x, int y) : Backdrop(x, y, BACKGROUND_TYPE)
    {
#ifndef NDEBUG
        name = chowstring("Backdrop 5", 10);
#endif
        flags |= BACKGROUND;
        flags |= BACKGROUND_COL;
#ifdef BACK_ID_BACKDROP_5
        manager.frame->back_instances[BACK_ID_BACKDROP_5].push_back(this);
#endif
        image = get_internal_image(570);
        width = image->width;
        height = image->height;
    }
};
FrameObject * create_backdrop5_32(int x, int y)
{
    return new (Backdrop::pool.create()) Backdrop5_32(x, y);
}
class Backdrop6_33 : public Backdrop
{
public:
    Backdrop6_33(int x, int y) : Backdrop(x, y, BACKGROUND_TYPE)
    {
#ifndef NDEBUG
        name = chowstring("Backdrop 6", 10);
#endif
        flags |= BACKGROUND;
        flags |= BACKGROUND_COL;
#ifdef BACK_ID_BACKDROP_6
        manager.frame->back_instances[BACK_ID_BACKDROP_6].push_back(this);
#endif
        image = get_internal_image(816);
        width = image->width;
        height = image->height;
    }
};
FrameObject * create_backdrop6_33(int x, int y)
{
    return new (Backdrop::pool.create()) Backdrop6_33(x, y);
}
class QuickBackdrop2_34 : public QuickBackdrop
{
public:
    QuickBackdrop2_34(int x, int y) : QuickBackdrop(x, y, BACKGROUND_TYPE)
    {
#ifndef NDEBUG
        name = chowstring("Quick Backdrop 2", 16);
#endif
        flags |= BACKGROUND;
        flags |= BACKGROUND_COL;
        width = 640;
        height = 30;
        image = get_internal_image(482);
        outline = 0;
    }
};
FrameObject * create_quickbackdrop2_34(int x, int y)
{
    return new (QuickBackdrop::pool.create()) QuickBackdrop2_34(x, y);
}
class QuickBackdrop3_35 : public QuickBackdrop
{
public:
    QuickBackdrop3_35(int x, int y) : QuickBackdrop(x, y, BACKGROUND_TYPE)
    {
#ifndef NDEBUG
        name = chowstring("Quick Backdrop 3", 16);
#endif
        flags |= BACKGROUND;
        flags |= BACKGROUND_COL;
        width = 640;
        height = 100;
        image = get_internal_image(474);
        outline = 0;
    }
};
FrameObject * create_quickbackdrop3_35(int x, int y)
{
    return new (QuickBackdrop::pool.create()) QuickBackdrop3_35(x, y);
}
class String3_36 : public Text
{
public:
    String3_36(int x, int y) : Text(x, y, String3_36_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("String 3", 8);
#endif
        flags &= ~SCROLL;
        width = 160;
        height = 93;
        blend_color = Color(255, 255, 255);
        bold = false;
        italic = false;
        font_name = chowstring("Small Fonts", 11);
        font = get_font(7, 0);
        alignment = ALIGN_LEFT | ALIGN_TOP;
        add_line(chowstring("Lawyer Guy is a jumping and shooting action game, so make sure to jump and shoot whenever possible.", 99));
        create_alterables();
    }
};
FrameObject * create_string3_36(int x, int y)
{
    return new (Text::pool.create()) String3_36(x, y);
}
class String4_37 : public Text
{
public:
    String4_37(int x, int y) : Text(x, y, String4_37_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("String 4", 8);
#endif
        flags &= ~SCROLL;
        width = 176;
        height = 93;
        blend_color = Color(255, 255, 255);
        bold = false;
        italic = false;
        font_name = chowstring("Small Fonts", 11);
        font = get_font(7, 0);
        alignment = ALIGN_LEFT | ALIGN_TOP;
        add_line(chowstring("Two kinds of bonus lives are available. Play without dying, or beat the level as fast as possible and you'll be rewarded with extra lives periodically!", 151));
        create_alterables();
    }
};
FrameObject * create_string4_37(int x, int y)
{
    return new (Text::pool.create()) String4_37(x, y);
}
class String5_38 : public Text
{
public:
    String5_38(int x, int y) : Text(x, y, String5_38_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("String 5", 8);
#endif
        flags &= ~SCROLL;
        width = 160;
        height = 93;
        blend_color = Color(255, 255, 255);
        bold = false;
        italic = false;
        font_name = chowstring("Small Fonts", 11);
        font = get_font(7, 0);
        alignment = ALIGN_LEFT | ALIGN_TOP;
        add_line(chowstring("Lawyer Guy is equipped with a portable checkpoint device. Simply hold the button to create a checkpoint. Checkpoints can only exist on solid ground.", 148));
        create_alterables();
    }
};
FrameObject * create_string5_38(int x, int y)
{
    return new (Text::pool.create()) String5_38(x, y);
}
class Backdrop9_39 : public Backdrop
{
public:
    Backdrop9_39(int x, int y) : Backdrop(x, y, BACKGROUND_TYPE)
    {
#ifndef NDEBUG
        name = chowstring("Backdrop 9", 10);
#endif
        flags |= BACKGROUND;
        flags |= BACKGROUND_COL;
#ifdef BACK_ID_BACKDROP_9
        manager.frame->back_instances[BACK_ID_BACKDROP_9].push_back(this);
#endif
        image = get_internal_image(481);
        width = image->width;
        height = image->height;
    }
};
FrameObject * create_backdrop9_39(int x, int y)
{
    return new (Backdrop::pool.create()) Backdrop9_39(x, y);
}
static Image* images_menudatastore_40_0_0[1];
static Direction direction_menudatastore_40_0_0 = {0, 50, 50, 0, 1, 1, images_menudatastore_40_0_0};
static Animation anim_menudatastore_40_0 = {&direction_menudatastore_40_0_0, &direction_menudatastore_40_0_0, &direction_menudatastore_40_0_0, &direction_menudatastore_40_0_0, &direction_menudatastore_40_0_0, &direction_menudatastore_40_0_0, &direction_menudatastore_40_0_0, &direction_menudatastore_40_0_0, &direction_menudatastore_40_0_0, &direction_menudatastore_40_0_0, &direction_menudatastore_40_0_0, &direction_menudatastore_40_0_0, &direction_menudatastore_40_0_0, &direction_menudatastore_40_0_0, &direction_menudatastore_40_0_0, &direction_menudatastore_40_0_0, NULL, &direction_menudatastore_40_0_0, &direction_menudatastore_40_0_0, &direction_menudatastore_40_0_0, &direction_menudatastore_40_0_0, &direction_menudatastore_40_0_0, &direction_menudatastore_40_0_0, &direction_menudatastore_40_0_0, &direction_menudatastore_40_0_0, &direction_menudatastore_40_0_0, &direction_menudatastore_40_0_0, &direction_menudatastore_40_0_0, &direction_menudatastore_40_0_0, &direction_menudatastore_40_0_0, &direction_menudatastore_40_0_0, &direction_menudatastore_40_0_0};
static Animation * anim_array_menudatastore_40[1] = {&anim_menudatastore_40_0};
static Animations anim_menudatastore_40 = {1, &anim_array_menudatastore_40[0]};
static bool anim_menudatastore_40_initialized;
class MenuDataStore_40 : public Active
{
public:
    MenuDataStore_40(int x, int y) : Active(x, y, MenuDataStore_40_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("MenuDataStore", 13);
#endif
        this->animations = &anim_menudatastore_40;
        if (!anim_menudatastore_40_initialized) {
            anim_menudatastore_40_initialized = true;
            images_menudatastore_40_0_0[0] = get_internal_image_direct(6);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
        alterables->strings.set(0, str_play_0);
        alterables->strings.set(1, str_main_1);
        alterables->strings.set(2, str_edit_controls_2);
    }
};
FrameObject * create_menudatastore_40(int x, int y)
{
    return new (Active::pool.create()) MenuDataStore_40(x, y);
}
static Image* images_graphicdashtype_41_0_0[1];
static Direction direction_graphicdashtype_41_0_0 = {0, 50, 50, 0, 1, 1, images_graphicdashtype_41_0_0};
static Animation anim_graphicdashtype_41_0 = {&direction_graphicdashtype_41_0_0, &direction_graphicdashtype_41_0_0, &direction_graphicdashtype_41_0_0, &direction_graphicdashtype_41_0_0, &direction_graphicdashtype_41_0_0, &direction_graphicdashtype_41_0_0, &direction_graphicdashtype_41_0_0, &direction_graphicdashtype_41_0_0, &direction_graphicdashtype_41_0_0, &direction_graphicdashtype_41_0_0, &direction_graphicdashtype_41_0_0, &direction_graphicdashtype_41_0_0, &direction_graphicdashtype_41_0_0, &direction_graphicdashtype_41_0_0, &direction_graphicdashtype_41_0_0, &direction_graphicdashtype_41_0_0, NULL, &direction_graphicdashtype_41_0_0, &direction_graphicdashtype_41_0_0, &direction_graphicdashtype_41_0_0, &direction_graphicdashtype_41_0_0, &direction_graphicdashtype_41_0_0, &direction_graphicdashtype_41_0_0, &direction_graphicdashtype_41_0_0, &direction_graphicdashtype_41_0_0, &direction_graphicdashtype_41_0_0, &direction_graphicdashtype_41_0_0, &direction_graphicdashtype_41_0_0, &direction_graphicdashtype_41_0_0, &direction_graphicdashtype_41_0_0, &direction_graphicdashtype_41_0_0, &direction_graphicdashtype_41_0_0};
static Image* images_graphicdashtype_41_1_0[1];
static Direction direction_graphicdashtype_41_1_0 = {0, 50, 50, 0, 1, 1, images_graphicdashtype_41_1_0};
static Animation anim_graphicdashtype_41_1 = {&direction_graphicdashtype_41_1_0, &direction_graphicdashtype_41_1_0, &direction_graphicdashtype_41_1_0, &direction_graphicdashtype_41_1_0, &direction_graphicdashtype_41_1_0, &direction_graphicdashtype_41_1_0, &direction_graphicdashtype_41_1_0, &direction_graphicdashtype_41_1_0, &direction_graphicdashtype_41_1_0, &direction_graphicdashtype_41_1_0, &direction_graphicdashtype_41_1_0, &direction_graphicdashtype_41_1_0, &direction_graphicdashtype_41_1_0, &direction_graphicdashtype_41_1_0, &direction_graphicdashtype_41_1_0, &direction_graphicdashtype_41_1_0, NULL, &direction_graphicdashtype_41_1_0, &direction_graphicdashtype_41_1_0, &direction_graphicdashtype_41_1_0, &direction_graphicdashtype_41_1_0, &direction_graphicdashtype_41_1_0, &direction_graphicdashtype_41_1_0, &direction_graphicdashtype_41_1_0, &direction_graphicdashtype_41_1_0, &direction_graphicdashtype_41_1_0, &direction_graphicdashtype_41_1_0, &direction_graphicdashtype_41_1_0, &direction_graphicdashtype_41_1_0, &direction_graphicdashtype_41_1_0, &direction_graphicdashtype_41_1_0, &direction_graphicdashtype_41_1_0};
static Animation * anim_array_graphicdashtype_41[2] = {&anim_graphicdashtype_41_0, &anim_graphicdashtype_41_1};
static Animations anim_graphicdashtype_41 = {2, &anim_array_graphicdashtype_41[0]};
static bool anim_graphicdashtype_41_initialized;
class GraphicDashtype_41 : public Active
{
public:
    GraphicDashtype_41(int x, int y) : Active(x, y, GraphicDashtype_41_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("graphic-dashtype", 16);
#endif
        this->animations = &anim_graphicdashtype_41;
        if (!anim_graphicdashtype_41_initialized) {
            anim_graphicdashtype_41_initialized = true;
            images_graphicdashtype_41_0_0[0] = get_internal_image_direct(499);
            images_graphicdashtype_41_1_0[0] = get_internal_image_direct(498);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_graphicdashtype_41(int x, int y)
{
    return new (Active::pool.create()) GraphicDashtype_41(x, y);
}
static Image* images_active16_42_0_0[1];
static Direction direction_active16_42_0_0 = {0, 50, 50, 0, 1, 1, images_active16_42_0_0};
static Animation anim_active16_42_0 = {&direction_active16_42_0_0, &direction_active16_42_0_0, &direction_active16_42_0_0, &direction_active16_42_0_0, &direction_active16_42_0_0, &direction_active16_42_0_0, &direction_active16_42_0_0, &direction_active16_42_0_0, &direction_active16_42_0_0, &direction_active16_42_0_0, &direction_active16_42_0_0, &direction_active16_42_0_0, &direction_active16_42_0_0, &direction_active16_42_0_0, &direction_active16_42_0_0, &direction_active16_42_0_0, NULL, &direction_active16_42_0_0, &direction_active16_42_0_0, &direction_active16_42_0_0, &direction_active16_42_0_0, &direction_active16_42_0_0, &direction_active16_42_0_0, &direction_active16_42_0_0, &direction_active16_42_0_0, &direction_active16_42_0_0, &direction_active16_42_0_0, &direction_active16_42_0_0, &direction_active16_42_0_0, &direction_active16_42_0_0, &direction_active16_42_0_0, &direction_active16_42_0_0};
static Animation * anim_array_active16_42[1] = {&anim_active16_42_0};
static Animations anim_active16_42 = {1, &anim_array_active16_42[0]};
static bool anim_active16_42_initialized;
class Active16_42 : public Active
{
public:
    Active16_42(int x, int y) : Active(x, y, Active16_42_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Active 16", 9);
#endif
        this->animations = &anim_active16_42;
        if (!anim_active16_42_initialized) {
            anim_active16_42_initialized = true;
            images_active16_42_0_0[0] = get_internal_image_direct(512);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_active16_42(int x, int y)
{
    return new (Active::pool.create()) Active16_42(x, y);
}
static Image* images_active12_43_0_0[1];
static Direction direction_active12_43_0_0 = {0, 50, 50, 0, 1, 1, images_active12_43_0_0};
static Animation anim_active12_43_0 = {&direction_active12_43_0_0, &direction_active12_43_0_0, &direction_active12_43_0_0, &direction_active12_43_0_0, &direction_active12_43_0_0, &direction_active12_43_0_0, &direction_active12_43_0_0, &direction_active12_43_0_0, &direction_active12_43_0_0, &direction_active12_43_0_0, &direction_active12_43_0_0, &direction_active12_43_0_0, &direction_active12_43_0_0, &direction_active12_43_0_0, &direction_active12_43_0_0, &direction_active12_43_0_0, NULL, &direction_active12_43_0_0, &direction_active12_43_0_0, &direction_active12_43_0_0, &direction_active12_43_0_0, &direction_active12_43_0_0, &direction_active12_43_0_0, &direction_active12_43_0_0, &direction_active12_43_0_0, &direction_active12_43_0_0, &direction_active12_43_0_0, &direction_active12_43_0_0, &direction_active12_43_0_0, &direction_active12_43_0_0, &direction_active12_43_0_0, &direction_active12_43_0_0};
static Animation * anim_array_active12_43[1] = {&anim_active12_43_0};
static Animations anim_active12_43 = {1, &anim_array_active12_43[0]};
static bool anim_active12_43_initialized;
class Active12_43 : public Active
{
public:
    Active12_43(int x, int y) : Active(x, y, Active12_43_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Active 12", 9);
#endif
        this->animations = &anim_active12_43;
        if (!anim_active12_43_initialized) {
            anim_active12_43_initialized = true;
            images_active12_43_0_0[0] = get_internal_image_direct(497);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_active12_43(int x, int y)
{
    return new (Active::pool.create()) Active12_43(x, y);
}
static Image* images_active17_44_0_0[1];
static Direction direction_active17_44_0_0 = {0, 50, 50, 0, 1, 1, images_active17_44_0_0};
static Animation anim_active17_44_0 = {&direction_active17_44_0_0, &direction_active17_44_0_0, &direction_active17_44_0_0, &direction_active17_44_0_0, &direction_active17_44_0_0, &direction_active17_44_0_0, &direction_active17_44_0_0, &direction_active17_44_0_0, &direction_active17_44_0_0, &direction_active17_44_0_0, &direction_active17_44_0_0, &direction_active17_44_0_0, &direction_active17_44_0_0, &direction_active17_44_0_0, &direction_active17_44_0_0, &direction_active17_44_0_0, NULL, &direction_active17_44_0_0, &direction_active17_44_0_0, &direction_active17_44_0_0, &direction_active17_44_0_0, &direction_active17_44_0_0, &direction_active17_44_0_0, &direction_active17_44_0_0, &direction_active17_44_0_0, &direction_active17_44_0_0, &direction_active17_44_0_0, &direction_active17_44_0_0, &direction_active17_44_0_0, &direction_active17_44_0_0, &direction_active17_44_0_0, &direction_active17_44_0_0};
static Animation * anim_array_active17_44[1] = {&anim_active17_44_0};
static Animations anim_active17_44 = {1, &anim_array_active17_44[0]};
static bool anim_active17_44_initialized;
class Active17_44 : public Active
{
public:
    Active17_44(int x, int y) : Active(x, y, Active17_44_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Active 17", 9);
#endif
        this->animations = &anim_active17_44;
        if (!anim_active17_44_initialized) {
            anim_active17_44_initialized = true;
            images_active17_44_0_0[0] = get_internal_image_direct(503);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_active17_44(int x, int y)
{
    return new (Active::pool.create()) Active17_44(x, y);
}
static Image* images_graphicscreenshake_45_0_0[1];
static Direction direction_graphicscreenshake_45_0_0 = {0, 50, 50, 0, 1, 1, images_graphicscreenshake_45_0_0};
static Animation anim_graphicscreenshake_45_0 = {&direction_graphicscreenshake_45_0_0, &direction_graphicscreenshake_45_0_0, &direction_graphicscreenshake_45_0_0, &direction_graphicscreenshake_45_0_0, &direction_graphicscreenshake_45_0_0, &direction_graphicscreenshake_45_0_0, &direction_graphicscreenshake_45_0_0, &direction_graphicscreenshake_45_0_0, &direction_graphicscreenshake_45_0_0, &direction_graphicscreenshake_45_0_0, &direction_graphicscreenshake_45_0_0, &direction_graphicscreenshake_45_0_0, &direction_graphicscreenshake_45_0_0, &direction_graphicscreenshake_45_0_0, &direction_graphicscreenshake_45_0_0, &direction_graphicscreenshake_45_0_0, NULL, &direction_graphicscreenshake_45_0_0, &direction_graphicscreenshake_45_0_0, &direction_graphicscreenshake_45_0_0, &direction_graphicscreenshake_45_0_0, &direction_graphicscreenshake_45_0_0, &direction_graphicscreenshake_45_0_0, &direction_graphicscreenshake_45_0_0, &direction_graphicscreenshake_45_0_0, &direction_graphicscreenshake_45_0_0, &direction_graphicscreenshake_45_0_0, &direction_graphicscreenshake_45_0_0, &direction_graphicscreenshake_45_0_0, &direction_graphicscreenshake_45_0_0, &direction_graphicscreenshake_45_0_0, &direction_graphicscreenshake_45_0_0};
static Image* images_graphicscreenshake_45_1_0[1];
static Direction direction_graphicscreenshake_45_1_0 = {0, 50, 50, 0, 1, 1, images_graphicscreenshake_45_1_0};
static Animation anim_graphicscreenshake_45_1 = {&direction_graphicscreenshake_45_1_0, &direction_graphicscreenshake_45_1_0, &direction_graphicscreenshake_45_1_0, &direction_graphicscreenshake_45_1_0, &direction_graphicscreenshake_45_1_0, &direction_graphicscreenshake_45_1_0, &direction_graphicscreenshake_45_1_0, &direction_graphicscreenshake_45_1_0, &direction_graphicscreenshake_45_1_0, &direction_graphicscreenshake_45_1_0, &direction_graphicscreenshake_45_1_0, &direction_graphicscreenshake_45_1_0, &direction_graphicscreenshake_45_1_0, &direction_graphicscreenshake_45_1_0, &direction_graphicscreenshake_45_1_0, &direction_graphicscreenshake_45_1_0, NULL, &direction_graphicscreenshake_45_1_0, &direction_graphicscreenshake_45_1_0, &direction_graphicscreenshake_45_1_0, &direction_graphicscreenshake_45_1_0, &direction_graphicscreenshake_45_1_0, &direction_graphicscreenshake_45_1_0, &direction_graphicscreenshake_45_1_0, &direction_graphicscreenshake_45_1_0, &direction_graphicscreenshake_45_1_0, &direction_graphicscreenshake_45_1_0, &direction_graphicscreenshake_45_1_0, &direction_graphicscreenshake_45_1_0, &direction_graphicscreenshake_45_1_0, &direction_graphicscreenshake_45_1_0, &direction_graphicscreenshake_45_1_0};
static Animation * anim_array_graphicscreenshake_45[2] = {&anim_graphicscreenshake_45_0, &anim_graphicscreenshake_45_1};
static Animations anim_graphicscreenshake_45 = {2, &anim_array_graphicscreenshake_45[0]};
static bool anim_graphicscreenshake_45_initialized;
class GraphicScreenshake_45 : public Active
{
public:
    GraphicScreenshake_45(int x, int y) : Active(x, y, GraphicScreenshake_45_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("graphic-screenshake", 19);
#endif
        this->animations = &anim_graphicscreenshake_45;
        if (!anim_graphicscreenshake_45_initialized) {
            anim_graphicscreenshake_45_initialized = true;
            images_graphicscreenshake_45_0_0[0] = get_internal_image_direct(506);
            images_graphicscreenshake_45_1_0[0] = get_internal_image_direct(511);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_graphicscreenshake_45(int x, int y)
{
    return new (Active::pool.create()) GraphicScreenshake_45(x, y);
}
static Image* images_active20_46_0_0[1];
static Direction direction_active20_46_0_0 = {0, 50, 50, 0, 1, 1, images_active20_46_0_0};
static Animation anim_active20_46_0 = {&direction_active20_46_0_0, &direction_active20_46_0_0, &direction_active20_46_0_0, &direction_active20_46_0_0, &direction_active20_46_0_0, &direction_active20_46_0_0, &direction_active20_46_0_0, &direction_active20_46_0_0, &direction_active20_46_0_0, &direction_active20_46_0_0, &direction_active20_46_0_0, &direction_active20_46_0_0, &direction_active20_46_0_0, &direction_active20_46_0_0, &direction_active20_46_0_0, &direction_active20_46_0_0, NULL, &direction_active20_46_0_0, &direction_active20_46_0_0, &direction_active20_46_0_0, &direction_active20_46_0_0, &direction_active20_46_0_0, &direction_active20_46_0_0, &direction_active20_46_0_0, &direction_active20_46_0_0, &direction_active20_46_0_0, &direction_active20_46_0_0, &direction_active20_46_0_0, &direction_active20_46_0_0, &direction_active20_46_0_0, &direction_active20_46_0_0, &direction_active20_46_0_0};
static Animation * anim_array_active20_46[1] = {&anim_active20_46_0};
static Animations anim_active20_46 = {1, &anim_array_active20_46[0]};
static bool anim_active20_46_initialized;
class Active20_46 : public Active
{
public:
    Active20_46(int x, int y) : Active(x, y, Active20_46_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Active 20", 9);
#endif
        this->animations = &anim_active20_46;
        if (!anim_active20_46_initialized) {
            anim_active20_46_initialized = true;
            images_active20_46_0_0[0] = get_internal_image_direct(486);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_active20_46(int x, int y)
{
    return new (Active::pool.create()) Active20_46(x, y);
}
static Image* images_active21_47_0_0[1];
static Direction direction_active21_47_0_0 = {0, 50, 50, 0, 1, 1, images_active21_47_0_0};
static Animation anim_active21_47_0 = {&direction_active21_47_0_0, &direction_active21_47_0_0, &direction_active21_47_0_0, &direction_active21_47_0_0, &direction_active21_47_0_0, &direction_active21_47_0_0, &direction_active21_47_0_0, &direction_active21_47_0_0, &direction_active21_47_0_0, &direction_active21_47_0_0, &direction_active21_47_0_0, &direction_active21_47_0_0, &direction_active21_47_0_0, &direction_active21_47_0_0, &direction_active21_47_0_0, &direction_active21_47_0_0, NULL, &direction_active21_47_0_0, &direction_active21_47_0_0, &direction_active21_47_0_0, &direction_active21_47_0_0, &direction_active21_47_0_0, &direction_active21_47_0_0, &direction_active21_47_0_0, &direction_active21_47_0_0, &direction_active21_47_0_0, &direction_active21_47_0_0, &direction_active21_47_0_0, &direction_active21_47_0_0, &direction_active21_47_0_0, &direction_active21_47_0_0, &direction_active21_47_0_0};
static Animation * anim_array_active21_47[1] = {&anim_active21_47_0};
static Animations anim_active21_47 = {1, &anim_array_active21_47[0]};
static bool anim_active21_47_initialized;
class Active21_47 : public Active
{
public:
    Active21_47(int x, int y) : Active(x, y, Active21_47_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Active 21", 9);
#endif
        this->animations = &anim_active21_47;
        if (!anim_active21_47_initialized) {
            anim_active21_47_initialized = true;
            images_active21_47_0_0[0] = get_internal_image_direct(488);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_active21_47(int x, int y)
{
    return new (Active::pool.create()) Active21_47(x, y);
}
static Image* images_active22_48_0_0[1];
static Direction direction_active22_48_0_0 = {0, 50, 50, 0, 1, 1, images_active22_48_0_0};
static Animation anim_active22_48_0 = {&direction_active22_48_0_0, &direction_active22_48_0_0, &direction_active22_48_0_0, &direction_active22_48_0_0, &direction_active22_48_0_0, &direction_active22_48_0_0, &direction_active22_48_0_0, &direction_active22_48_0_0, &direction_active22_48_0_0, &direction_active22_48_0_0, &direction_active22_48_0_0, &direction_active22_48_0_0, &direction_active22_48_0_0, &direction_active22_48_0_0, &direction_active22_48_0_0, &direction_active22_48_0_0, NULL, &direction_active22_48_0_0, &direction_active22_48_0_0, &direction_active22_48_0_0, &direction_active22_48_0_0, &direction_active22_48_0_0, &direction_active22_48_0_0, &direction_active22_48_0_0, &direction_active22_48_0_0, &direction_active22_48_0_0, &direction_active22_48_0_0, &direction_active22_48_0_0, &direction_active22_48_0_0, &direction_active22_48_0_0, &direction_active22_48_0_0, &direction_active22_48_0_0};
static Animation * anim_array_active22_48[1] = {&anim_active22_48_0};
static Animations anim_active22_48 = {1, &anim_array_active22_48[0]};
static bool anim_active22_48_initialized;
class Active22_48 : public Active
{
public:
    Active22_48(int x, int y) : Active(x, y, Active22_48_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Active 22", 9);
#endif
        this->animations = &anim_active22_48;
        if (!anim_active22_48_initialized) {
            anim_active22_48_initialized = true;
            images_active22_48_0_0[0] = get_internal_image_direct(495);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_active22_48(int x, int y)
{
    return new (Active::pool.create()) Active22_48(x, y);
}
class Backdrop10_49 : public Backdrop
{
public:
    Backdrop10_49(int x, int y) : Backdrop(x, y, BACKGROUND_TYPE)
    {
#ifndef NDEBUG
        name = chowstring("Backdrop 10", 11);
#endif
        flags |= BACKGROUND;
        flags |= BACKGROUND_COL;
#ifdef BACK_ID_BACKDROP_10
        manager.frame->back_instances[BACK_ID_BACKDROP_10].push_back(this);
#endif
        image = get_internal_image(394);
        width = image->width;
        height = image->height;
    }
};
FrameObject * create_backdrop10_49(int x, int y)
{
    return new (Backdrop::pool.create()) Backdrop10_49(x, y);
}
static Image* images_active23_50_0_0[1];
static Direction direction_active23_50_0_0 = {0, 50, 50, 0, 1, 1, images_active23_50_0_0};
static Animation anim_active23_50_0 = {&direction_active23_50_0_0, &direction_active23_50_0_0, &direction_active23_50_0_0, &direction_active23_50_0_0, &direction_active23_50_0_0, &direction_active23_50_0_0, &direction_active23_50_0_0, &direction_active23_50_0_0, &direction_active23_50_0_0, &direction_active23_50_0_0, &direction_active23_50_0_0, &direction_active23_50_0_0, &direction_active23_50_0_0, &direction_active23_50_0_0, &direction_active23_50_0_0, &direction_active23_50_0_0, NULL, &direction_active23_50_0_0, &direction_active23_50_0_0, &direction_active23_50_0_0, &direction_active23_50_0_0, &direction_active23_50_0_0, &direction_active23_50_0_0, &direction_active23_50_0_0, &direction_active23_50_0_0, &direction_active23_50_0_0, &direction_active23_50_0_0, &direction_active23_50_0_0, &direction_active23_50_0_0, &direction_active23_50_0_0, &direction_active23_50_0_0, &direction_active23_50_0_0};
static Animation * anim_array_active23_50[1] = {&anim_active23_50_0};
static Animations anim_active23_50 = {1, &anim_array_active23_50[0]};
static bool anim_active23_50_initialized;
class Active23_50 : public Active
{
public:
    Active23_50(int x, int y) : Active(x, y, Active23_50_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Active 23", 9);
#endif
        this->animations = &anim_active23_50;
        if (!anim_active23_50_initialized) {
            anim_active23_50_initialized = true;
            images_active23_50_0_0[0] = get_internal_image_direct(510);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_active23_50(int x, int y)
{
    return new (Active::pool.create()) Active23_50(x, y);
}
static Image* images_active24_51_0_0[1];
static Direction direction_active24_51_0_0 = {0, 50, 50, 0, 1, 1, images_active24_51_0_0};
static Animation anim_active24_51_0 = {&direction_active24_51_0_0, &direction_active24_51_0_0, &direction_active24_51_0_0, &direction_active24_51_0_0, &direction_active24_51_0_0, &direction_active24_51_0_0, &direction_active24_51_0_0, &direction_active24_51_0_0, &direction_active24_51_0_0, &direction_active24_51_0_0, &direction_active24_51_0_0, &direction_active24_51_0_0, &direction_active24_51_0_0, &direction_active24_51_0_0, &direction_active24_51_0_0, &direction_active24_51_0_0, NULL, &direction_active24_51_0_0, &direction_active24_51_0_0, &direction_active24_51_0_0, &direction_active24_51_0_0, &direction_active24_51_0_0, &direction_active24_51_0_0, &direction_active24_51_0_0, &direction_active24_51_0_0, &direction_active24_51_0_0, &direction_active24_51_0_0, &direction_active24_51_0_0, &direction_active24_51_0_0, &direction_active24_51_0_0, &direction_active24_51_0_0, &direction_active24_51_0_0};
static Animation * anim_array_active24_51[1] = {&anim_active24_51_0};
static Animations anim_active24_51 = {1, &anim_array_active24_51[0]};
static bool anim_active24_51_initialized;
class Active24_51 : public Active
{
public:
    Active24_51(int x, int y) : Active(x, y, Active24_51_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Active 24", 9);
#endif
        this->animations = &anim_active24_51;
        if (!anim_active24_51_initialized) {
            anim_active24_51_initialized = true;
            images_active24_51_0_0[0] = get_internal_image_direct(504);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_active24_51(int x, int y)
{
    return new (Active::pool.create()) Active24_51(x, y);
}
static Image* images_active25_52_0_0[4];
static Direction direction_active25_52_0_0 = {0, 20, 20, 0, -1, 4, images_active25_52_0_0};
static Animation anim_active25_52_0 = {&direction_active25_52_0_0, &direction_active25_52_0_0, &direction_active25_52_0_0, &direction_active25_52_0_0, &direction_active25_52_0_0, &direction_active25_52_0_0, &direction_active25_52_0_0, &direction_active25_52_0_0, &direction_active25_52_0_0, &direction_active25_52_0_0, &direction_active25_52_0_0, &direction_active25_52_0_0, &direction_active25_52_0_0, &direction_active25_52_0_0, &direction_active25_52_0_0, &direction_active25_52_0_0, NULL, &direction_active25_52_0_0, &direction_active25_52_0_0, &direction_active25_52_0_0, &direction_active25_52_0_0, &direction_active25_52_0_0, &direction_active25_52_0_0, &direction_active25_52_0_0, &direction_active25_52_0_0, &direction_active25_52_0_0, &direction_active25_52_0_0, &direction_active25_52_0_0, &direction_active25_52_0_0, &direction_active25_52_0_0, &direction_active25_52_0_0, &direction_active25_52_0_0};
static Animation * anim_array_active25_52[1] = {&anim_active25_52_0};
static Animations anim_active25_52 = {1, &anim_array_active25_52[0]};
static bool anim_active25_52_initialized;
class Active25_52 : public Active
{
public:
    Active25_52(int x, int y) : Active(x, y, Active25_52_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Active 25", 9);
#endif
        this->animations = &anim_active25_52;
        if (!anim_active25_52_initialized) {
            anim_active25_52_initialized = true;
            images_active25_52_0_0[0] = get_internal_image_direct(517);
            images_active25_52_0_0[1] = get_internal_image_direct(518);
            images_active25_52_0_0[2] = get_internal_image_direct(519);
            images_active25_52_0_0[3] = get_internal_image_direct(518);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_active25_52(int x, int y)
{
    return new (Active::pool.create()) Active25_52(x, y);
}
static Image* images_musicslider_53_0_0[1];
static Direction direction_musicslider_53_0_0 = {0, 50, 50, 0, 1, 1, images_musicslider_53_0_0};
static Animation anim_musicslider_53_0 = {&direction_musicslider_53_0_0, &direction_musicslider_53_0_0, &direction_musicslider_53_0_0, &direction_musicslider_53_0_0, &direction_musicslider_53_0_0, &direction_musicslider_53_0_0, &direction_musicslider_53_0_0, &direction_musicslider_53_0_0, &direction_musicslider_53_0_0, &direction_musicslider_53_0_0, &direction_musicslider_53_0_0, &direction_musicslider_53_0_0, &direction_musicslider_53_0_0, &direction_musicslider_53_0_0, &direction_musicslider_53_0_0, &direction_musicslider_53_0_0, NULL, &direction_musicslider_53_0_0, &direction_musicslider_53_0_0, &direction_musicslider_53_0_0, &direction_musicslider_53_0_0, &direction_musicslider_53_0_0, &direction_musicslider_53_0_0, &direction_musicslider_53_0_0, &direction_musicslider_53_0_0, &direction_musicslider_53_0_0, &direction_musicslider_53_0_0, &direction_musicslider_53_0_0, &direction_musicslider_53_0_0, &direction_musicslider_53_0_0, &direction_musicslider_53_0_0, &direction_musicslider_53_0_0};
static Animation * anim_array_musicslider_53[1] = {&anim_musicslider_53_0};
static Animations anim_musicslider_53 = {1, &anim_array_musicslider_53[0]};
static bool anim_musicslider_53_initialized;
class MusicSlider_53 : public Active
{
public:
    MusicSlider_53(int x, int y) : Active(x, y, MusicSlider_53_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("MusicSlider", 11);
#endif
        this->animations = &anim_musicslider_53;
        if (!anim_musicslider_53_initialized) {
            anim_musicslider_53_initialized = true;
            images_musicslider_53_0_0[0] = get_internal_image_direct(516);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_musicslider_53(int x, int y)
{
    return new (Active::pool.create()) MusicSlider_53(x, y);
}
static Image* images_musicsliderindicator_54_0_0[1];
static Direction direction_musicsliderindicator_54_0_0 = {0, 50, 50, 0, 1, 1, images_musicsliderindicator_54_0_0};
static Animation anim_musicsliderindicator_54_0 = {&direction_musicsliderindicator_54_0_0, &direction_musicsliderindicator_54_0_0, &direction_musicsliderindicator_54_0_0, &direction_musicsliderindicator_54_0_0, &direction_musicsliderindicator_54_0_0, &direction_musicsliderindicator_54_0_0, &direction_musicsliderindicator_54_0_0, &direction_musicsliderindicator_54_0_0, &direction_musicsliderindicator_54_0_0, &direction_musicsliderindicator_54_0_0, &direction_musicsliderindicator_54_0_0, &direction_musicsliderindicator_54_0_0, &direction_musicsliderindicator_54_0_0, &direction_musicsliderindicator_54_0_0, &direction_musicsliderindicator_54_0_0, &direction_musicsliderindicator_54_0_0, NULL, &direction_musicsliderindicator_54_0_0, &direction_musicsliderindicator_54_0_0, &direction_musicsliderindicator_54_0_0, &direction_musicsliderindicator_54_0_0, &direction_musicsliderindicator_54_0_0, &direction_musicsliderindicator_54_0_0, &direction_musicsliderindicator_54_0_0, &direction_musicsliderindicator_54_0_0, &direction_musicsliderindicator_54_0_0, &direction_musicsliderindicator_54_0_0, &direction_musicsliderindicator_54_0_0, &direction_musicsliderindicator_54_0_0, &direction_musicsliderindicator_54_0_0, &direction_musicsliderindicator_54_0_0, &direction_musicsliderindicator_54_0_0};
static Animation * anim_array_musicsliderindicator_54[1] = {&anim_musicsliderindicator_54_0};
static Animations anim_musicsliderindicator_54 = {1, &anim_array_musicsliderindicator_54[0]};
static bool anim_musicsliderindicator_54_initialized;
class MusicSliderIndicator_54 : public Active
{
public:
    MusicSliderIndicator_54(int x, int y) : Active(x, y, MusicSliderIndicator_54_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("MusicSliderIndicator", 20);
#endif
        this->animations = &anim_musicsliderindicator_54;
        if (!anim_musicsliderindicator_54_initialized) {
            anim_musicsliderindicator_54_initialized = true;
            images_musicsliderindicator_54_0_0[0] = get_internal_image_direct(516);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_musicsliderindicator_54(int x, int y)
{
    return new (Active::pool.create()) MusicSliderIndicator_54(x, y);
}
static Image* images_active18_55_0_0[1];
static Direction direction_active18_55_0_0 = {0, 50, 50, 0, 1, 1, images_active18_55_0_0};
static Animation anim_active18_55_0 = {&direction_active18_55_0_0, &direction_active18_55_0_0, &direction_active18_55_0_0, &direction_active18_55_0_0, &direction_active18_55_0_0, &direction_active18_55_0_0, &direction_active18_55_0_0, &direction_active18_55_0_0, &direction_active18_55_0_0, &direction_active18_55_0_0, &direction_active18_55_0_0, &direction_active18_55_0_0, &direction_active18_55_0_0, &direction_active18_55_0_0, &direction_active18_55_0_0, &direction_active18_55_0_0, NULL, &direction_active18_55_0_0, &direction_active18_55_0_0, &direction_active18_55_0_0, &direction_active18_55_0_0, &direction_active18_55_0_0, &direction_active18_55_0_0, &direction_active18_55_0_0, &direction_active18_55_0_0, &direction_active18_55_0_0, &direction_active18_55_0_0, &direction_active18_55_0_0, &direction_active18_55_0_0, &direction_active18_55_0_0, &direction_active18_55_0_0, &direction_active18_55_0_0};
static Animation * anim_array_active18_55[1] = {&anim_active18_55_0};
static Animations anim_active18_55 = {1, &anim_array_active18_55[0]};
static bool anim_active18_55_initialized;
class Active18_55 : public Active
{
public:
    Active18_55(int x, int y) : Active(x, y, Active18_55_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Active 18", 9);
#endif
        this->animations = &anim_active18_55;
        if (!anim_active18_55_initialized) {
            anim_active18_55_initialized = true;
            images_active18_55_0_0[0] = get_internal_image_direct(475);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_active18_55(int x, int y)
{
    return new (Active::pool.create()) Active18_55(x, y);
}
static Image* images_active26_56_0_0[4];
static Direction direction_active26_56_0_0 = {0, 20, 20, 0, -1, 4, images_active26_56_0_0};
static Animation anim_active26_56_0 = {&direction_active26_56_0_0, &direction_active26_56_0_0, &direction_active26_56_0_0, &direction_active26_56_0_0, &direction_active26_56_0_0, &direction_active26_56_0_0, &direction_active26_56_0_0, &direction_active26_56_0_0, &direction_active26_56_0_0, &direction_active26_56_0_0, &direction_active26_56_0_0, &direction_active26_56_0_0, &direction_active26_56_0_0, &direction_active26_56_0_0, &direction_active26_56_0_0, &direction_active26_56_0_0, NULL, &direction_active26_56_0_0, &direction_active26_56_0_0, &direction_active26_56_0_0, &direction_active26_56_0_0, &direction_active26_56_0_0, &direction_active26_56_0_0, &direction_active26_56_0_0, &direction_active26_56_0_0, &direction_active26_56_0_0, &direction_active26_56_0_0, &direction_active26_56_0_0, &direction_active26_56_0_0, &direction_active26_56_0_0, &direction_active26_56_0_0, &direction_active26_56_0_0};
static Animation * anim_array_active26_56[1] = {&anim_active26_56_0};
static Animations anim_active26_56 = {1, &anim_array_active26_56[0]};
static bool anim_active26_56_initialized;
class Active26_56 : public Active
{
public:
    Active26_56(int x, int y) : Active(x, y, Active26_56_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Active 26", 9);
#endif
        this->animations = &anim_active26_56;
        if (!anim_active26_56_initialized) {
            anim_active26_56_initialized = true;
            images_active26_56_0_0[0] = get_internal_image_direct(543);
            images_active26_56_0_0[1] = get_internal_image_direct(548);
            images_active26_56_0_0[2] = get_internal_image_direct(551);
            images_active26_56_0_0[3] = get_internal_image_direct(548);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_active26_56(int x, int y)
{
    return new (Active::pool.create()) Active26_56(x, y);
}
class String6_57 : public Text
{
public:
    String6_57(int x, int y) : Text(x, y, String6_57_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("String 6", 8);
#endif
        flags &= ~SCROLL;
        width = 176;
        height = 93;
        blend_color = Color(255, 255, 255);
        bold = false;
        italic = false;
        font_name = chowstring("Small Fonts", 11);
        font = get_font(7, 0);
        alignment = ALIGN_LEFT | ALIGN_TOP;
        add_line(chowstring("No overlay", 10));
        create_alterables();
    }
};
FrameObject * create_string6_57(int x, int y)
{
    return new (Text::pool.create()) String6_57(x, y);
}
static Image* images_active6_58_0_0[1];
static Direction direction_active6_58_0_0 = {0, 50, 50, 0, 1, 1, images_active6_58_0_0};
static Animation anim_active6_58_0 = {&direction_active6_58_0_0, &direction_active6_58_0_0, &direction_active6_58_0_0, &direction_active6_58_0_0, &direction_active6_58_0_0, &direction_active6_58_0_0, &direction_active6_58_0_0, &direction_active6_58_0_0, &direction_active6_58_0_0, &direction_active6_58_0_0, &direction_active6_58_0_0, &direction_active6_58_0_0, &direction_active6_58_0_0, &direction_active6_58_0_0, &direction_active6_58_0_0, &direction_active6_58_0_0, NULL, &direction_active6_58_0_0, &direction_active6_58_0_0, &direction_active6_58_0_0, &direction_active6_58_0_0, &direction_active6_58_0_0, &direction_active6_58_0_0, &direction_active6_58_0_0, &direction_active6_58_0_0, &direction_active6_58_0_0, &direction_active6_58_0_0, &direction_active6_58_0_0, &direction_active6_58_0_0, &direction_active6_58_0_0, &direction_active6_58_0_0, &direction_active6_58_0_0};
static Image* images_active6_58_1_0[1];
static Direction direction_active6_58_1_0 = {0, 50, 50, 0, 1, 1, images_active6_58_1_0};
static Animation anim_active6_58_1 = {&direction_active6_58_1_0, &direction_active6_58_1_0, &direction_active6_58_1_0, &direction_active6_58_1_0, &direction_active6_58_1_0, &direction_active6_58_1_0, &direction_active6_58_1_0, &direction_active6_58_1_0, &direction_active6_58_1_0, &direction_active6_58_1_0, &direction_active6_58_1_0, &direction_active6_58_1_0, &direction_active6_58_1_0, &direction_active6_58_1_0, &direction_active6_58_1_0, &direction_active6_58_1_0, NULL, &direction_active6_58_1_0, &direction_active6_58_1_0, &direction_active6_58_1_0, &direction_active6_58_1_0, &direction_active6_58_1_0, &direction_active6_58_1_0, &direction_active6_58_1_0, &direction_active6_58_1_0, &direction_active6_58_1_0, &direction_active6_58_1_0, &direction_active6_58_1_0, &direction_active6_58_1_0, &direction_active6_58_1_0, &direction_active6_58_1_0, &direction_active6_58_1_0};
static Animation * anim_array_active6_58[2] = {&anim_active6_58_0, &anim_active6_58_1};
static Animations anim_active6_58 = {2, &anim_array_active6_58[0]};
static bool anim_active6_58_initialized;
class Active6_58 : public Active
{
public:
    Active6_58(int x, int y) : Active(x, y, Active6_58_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Active 6", 8);
#endif
        this->animations = &anim_active6_58;
        if (!anim_active6_58_initialized) {
            anim_active6_58_initialized = true;
            images_active6_58_0_0[0] = get_internal_image_direct(535);
            images_active6_58_1_0[0] = get_internal_image_direct(553);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_active6_58(int x, int y)
{
    return new (Active::pool.create()) Active6_58(x, y);
}
static Image* images_active19_59_0_0[1];
static Direction direction_active19_59_0_0 = {0, 50, 50, 0, 1, 1, images_active19_59_0_0};
static Animation anim_active19_59_0 = {&direction_active19_59_0_0, &direction_active19_59_0_0, &direction_active19_59_0_0, &direction_active19_59_0_0, &direction_active19_59_0_0, &direction_active19_59_0_0, &direction_active19_59_0_0, &direction_active19_59_0_0, &direction_active19_59_0_0, &direction_active19_59_0_0, &direction_active19_59_0_0, &direction_active19_59_0_0, &direction_active19_59_0_0, &direction_active19_59_0_0, &direction_active19_59_0_0, &direction_active19_59_0_0, NULL, &direction_active19_59_0_0, &direction_active19_59_0_0, &direction_active19_59_0_0, &direction_active19_59_0_0, &direction_active19_59_0_0, &direction_active19_59_0_0, &direction_active19_59_0_0, &direction_active19_59_0_0, &direction_active19_59_0_0, &direction_active19_59_0_0, &direction_active19_59_0_0, &direction_active19_59_0_0, &direction_active19_59_0_0, &direction_active19_59_0_0, &direction_active19_59_0_0};
static Animation * anim_array_active19_59[1] = {&anim_active19_59_0};
static Animations anim_active19_59 = {1, &anim_array_active19_59[0]};
static bool anim_active19_59_initialized;
class Active19_59 : public Active
{
public:
    Active19_59(int x, int y) : Active(x, y, Active19_59_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Active 19", 9);
#endif
        this->animations = &anim_active19_59;
        if (!anim_active19_59_initialized) {
            anim_active19_59_initialized = true;
            images_active19_59_0_0[0] = get_internal_image_direct(920);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_active19_59(int x, int y)
{
    return new (Active::pool.create()) Active19_59(x, y);
}
static Image* images_active27_60_0_0[1];
static Direction direction_active27_60_0_0 = {0, 50, 50, 0, 1, 1, images_active27_60_0_0};
static Animation anim_active27_60_0 = {&direction_active27_60_0_0, &direction_active27_60_0_0, &direction_active27_60_0_0, &direction_active27_60_0_0, &direction_active27_60_0_0, &direction_active27_60_0_0, &direction_active27_60_0_0, &direction_active27_60_0_0, &direction_active27_60_0_0, &direction_active27_60_0_0, &direction_active27_60_0_0, &direction_active27_60_0_0, &direction_active27_60_0_0, &direction_active27_60_0_0, &direction_active27_60_0_0, &direction_active27_60_0_0, NULL, &direction_active27_60_0_0, &direction_active27_60_0_0, &direction_active27_60_0_0, &direction_active27_60_0_0, &direction_active27_60_0_0, &direction_active27_60_0_0, &direction_active27_60_0_0, &direction_active27_60_0_0, &direction_active27_60_0_0, &direction_active27_60_0_0, &direction_active27_60_0_0, &direction_active27_60_0_0, &direction_active27_60_0_0, &direction_active27_60_0_0, &direction_active27_60_0_0};
static Animation * anim_array_active27_60[1] = {&anim_active27_60_0};
static Animations anim_active27_60 = {1, &anim_array_active27_60[0]};
static bool anim_active27_60_initialized;
class Active27_60 : public Active
{
public:
    Active27_60(int x, int y) : Active(x, y, Active27_60_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Active 27", 9);
#endif
        this->animations = &anim_active27_60;
        if (!anim_active27_60_initialized) {
            anim_active27_60_initialized = true;
            images_active27_60_0_0[0] = get_internal_image_direct(567);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_active27_60(int x, int y)
{
    return new (Active::pool.create()) Active27_60(x, y);
}
static Image* images_active28_61_0_0[1];
static Direction direction_active28_61_0_0 = {0, 50, 50, 0, 1, 1, images_active28_61_0_0};
static Animation anim_active28_61_0 = {&direction_active28_61_0_0, &direction_active28_61_0_0, &direction_active28_61_0_0, &direction_active28_61_0_0, &direction_active28_61_0_0, &direction_active28_61_0_0, &direction_active28_61_0_0, &direction_active28_61_0_0, &direction_active28_61_0_0, &direction_active28_61_0_0, &direction_active28_61_0_0, &direction_active28_61_0_0, &direction_active28_61_0_0, &direction_active28_61_0_0, &direction_active28_61_0_0, &direction_active28_61_0_0, NULL, &direction_active28_61_0_0, &direction_active28_61_0_0, &direction_active28_61_0_0, &direction_active28_61_0_0, &direction_active28_61_0_0, &direction_active28_61_0_0, &direction_active28_61_0_0, &direction_active28_61_0_0, &direction_active28_61_0_0, &direction_active28_61_0_0, &direction_active28_61_0_0, &direction_active28_61_0_0, &direction_active28_61_0_0, &direction_active28_61_0_0, &direction_active28_61_0_0};
static Animation * anim_array_active28_61[1] = {&anim_active28_61_0};
static Animations anim_active28_61 = {1, &anim_array_active28_61[0]};
static bool anim_active28_61_initialized;
class Active28_61 : public Active
{
public:
    Active28_61(int x, int y) : Active(x, y, Active28_61_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Active 28", 9);
#endif
        this->animations = &anim_active28_61;
        if (!anim_active28_61_initialized) {
            anim_active28_61_initialized = true;
            images_active28_61_0_0[0] = get_internal_image_direct(566);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_active28_61(int x, int y)
{
    return new (Active::pool.create()) Active28_61(x, y);
}
static Image* images_active3_62_0_0[1];
static Direction direction_active3_62_0_0 = {0, 50, 50, 0, 1, 1, images_active3_62_0_0};
static Animation anim_active3_62_0 = {&direction_active3_62_0_0, &direction_active3_62_0_0, &direction_active3_62_0_0, &direction_active3_62_0_0, &direction_active3_62_0_0, &direction_active3_62_0_0, &direction_active3_62_0_0, &direction_active3_62_0_0, &direction_active3_62_0_0, &direction_active3_62_0_0, &direction_active3_62_0_0, &direction_active3_62_0_0, &direction_active3_62_0_0, &direction_active3_62_0_0, &direction_active3_62_0_0, &direction_active3_62_0_0, NULL, &direction_active3_62_0_0, &direction_active3_62_0_0, &direction_active3_62_0_0, &direction_active3_62_0_0, &direction_active3_62_0_0, &direction_active3_62_0_0, &direction_active3_62_0_0, &direction_active3_62_0_0, &direction_active3_62_0_0, &direction_active3_62_0_0, &direction_active3_62_0_0, &direction_active3_62_0_0, &direction_active3_62_0_0, &direction_active3_62_0_0, &direction_active3_62_0_0};
static Animation * anim_array_active3_62[1] = {&anim_active3_62_0};
static Animations anim_active3_62 = {1, &anim_array_active3_62[0]};
static bool anim_active3_62_initialized;
class Active3_62 : public Active
{
public:
    Active3_62(int x, int y) : Active(x, y, Active3_62_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Active 3", 8);
#endif
        this->animations = &anim_active3_62;
        if (!anim_active3_62_initialized) {
            anim_active3_62_initialized = true;
            images_active3_62_0_0[0] = get_internal_image_direct(473);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_active3_62(int x, int y)
{
    return new (Active::pool.create()) Active3_62(x, y);
}
static Image* images_notregular_63_0_0[1];
static Direction direction_notregular_63_0_0 = {0, 5, 5, 0, -1, 1, images_notregular_63_0_0};
static Image* images_notregular_63_0_16[1];
static Direction direction_notregular_63_0_16 = {16, 5, 5, 0, -1, 1, images_notregular_63_0_16};
static Animation anim_notregular_63_0 = {&direction_notregular_63_0_0, &direction_notregular_63_0_0, &direction_notregular_63_0_0, &direction_notregular_63_0_0, &direction_notregular_63_0_0, &direction_notregular_63_0_0, &direction_notregular_63_0_0, &direction_notregular_63_0_0, NULL, &direction_notregular_63_0_16, &direction_notregular_63_0_16, &direction_notregular_63_0_16, &direction_notregular_63_0_16, &direction_notregular_63_0_16, &direction_notregular_63_0_16, &direction_notregular_63_0_16, &direction_notregular_63_0_16, &direction_notregular_63_0_16, &direction_notregular_63_0_16, &direction_notregular_63_0_16, &direction_notregular_63_0_16, &direction_notregular_63_0_16, &direction_notregular_63_0_16, &direction_notregular_63_0_16, NULL, &direction_notregular_63_0_0, &direction_notregular_63_0_0, &direction_notregular_63_0_0, &direction_notregular_63_0_0, &direction_notregular_63_0_0, &direction_notregular_63_0_0, &direction_notregular_63_0_0};
static Image* images_notregular_63_1_0[4];
static Direction direction_notregular_63_1_0 = {0, 12, 12, 0, -1, 4, images_notregular_63_1_0};
static Image* images_notregular_63_1_16[4];
static Direction direction_notregular_63_1_16 = {16, 12, 12, 0, -1, 4, images_notregular_63_1_16};
static Animation anim_notregular_63_1 = {&direction_notregular_63_1_0, &direction_notregular_63_1_0, &direction_notregular_63_1_0, &direction_notregular_63_1_0, &direction_notregular_63_1_0, &direction_notregular_63_1_0, &direction_notregular_63_1_0, &direction_notregular_63_1_0, NULL, &direction_notregular_63_1_16, &direction_notregular_63_1_16, &direction_notregular_63_1_16, &direction_notregular_63_1_16, &direction_notregular_63_1_16, &direction_notregular_63_1_16, &direction_notregular_63_1_16, &direction_notregular_63_1_16, &direction_notregular_63_1_16, &direction_notregular_63_1_16, &direction_notregular_63_1_16, &direction_notregular_63_1_16, &direction_notregular_63_1_16, &direction_notregular_63_1_16, &direction_notregular_63_1_16, NULL, &direction_notregular_63_1_0, &direction_notregular_63_1_0, &direction_notregular_63_1_0, &direction_notregular_63_1_0, &direction_notregular_63_1_0, &direction_notregular_63_1_0, &direction_notregular_63_1_0};
static Image* images_notregular_63_7_0[1];
static Direction direction_notregular_63_7_0 = {0, 50, 50, 0, 1, 1, images_notregular_63_7_0};
static Image* images_notregular_63_7_16[1];
static Direction direction_notregular_63_7_16 = {16, 50, 50, 0, 1, 1, images_notregular_63_7_16};
static Animation anim_notregular_63_7 = {&direction_notregular_63_7_0, &direction_notregular_63_7_0, &direction_notregular_63_7_0, &direction_notregular_63_7_0, &direction_notregular_63_7_0, &direction_notregular_63_7_0, &direction_notregular_63_7_0, &direction_notregular_63_7_0, NULL, &direction_notregular_63_7_16, &direction_notregular_63_7_16, &direction_notregular_63_7_16, &direction_notregular_63_7_16, &direction_notregular_63_7_16, &direction_notregular_63_7_16, &direction_notregular_63_7_16, &direction_notregular_63_7_16, &direction_notregular_63_7_16, &direction_notregular_63_7_16, &direction_notregular_63_7_16, &direction_notregular_63_7_16, &direction_notregular_63_7_16, &direction_notregular_63_7_16, &direction_notregular_63_7_16, NULL, &direction_notregular_63_7_0, &direction_notregular_63_7_0, &direction_notregular_63_7_0, &direction_notregular_63_7_0, &direction_notregular_63_7_0, &direction_notregular_63_7_0, &direction_notregular_63_7_0};
static Image* images_notregular_63_8_0[2];
static Direction direction_notregular_63_8_0 = {0, 50, 50, 0, -1, 2, images_notregular_63_8_0};
static Image* images_notregular_63_8_16[2];
static Direction direction_notregular_63_8_16 = {16, 50, 50, 0, -1, 2, images_notregular_63_8_16};
static Animation anim_notregular_63_8 = {&direction_notregular_63_8_0, &direction_notregular_63_8_0, &direction_notregular_63_8_0, &direction_notregular_63_8_0, &direction_notregular_63_8_0, &direction_notregular_63_8_0, &direction_notregular_63_8_0, &direction_notregular_63_8_0, NULL, &direction_notregular_63_8_16, &direction_notregular_63_8_16, &direction_notregular_63_8_16, &direction_notregular_63_8_16, &direction_notregular_63_8_16, &direction_notregular_63_8_16, &direction_notregular_63_8_16, &direction_notregular_63_8_16, &direction_notregular_63_8_16, &direction_notregular_63_8_16, &direction_notregular_63_8_16, &direction_notregular_63_8_16, &direction_notregular_63_8_16, &direction_notregular_63_8_16, &direction_notregular_63_8_16, NULL, &direction_notregular_63_8_0, &direction_notregular_63_8_0, &direction_notregular_63_8_0, &direction_notregular_63_8_0, &direction_notregular_63_8_0, &direction_notregular_63_8_0, &direction_notregular_63_8_0};
static Image* images_notregular_63_12_0[19];
static Direction direction_notregular_63_12_0 = {0, 20, 20, 0, 9, 19, images_notregular_63_12_0};
static Animation anim_notregular_63_12 = {&direction_notregular_63_12_0, &direction_notregular_63_12_0, &direction_notregular_63_12_0, &direction_notregular_63_12_0, &direction_notregular_63_12_0, &direction_notregular_63_12_0, &direction_notregular_63_12_0, &direction_notregular_63_12_0, &direction_notregular_63_12_0, &direction_notregular_63_12_0, &direction_notregular_63_12_0, &direction_notregular_63_12_0, &direction_notregular_63_12_0, &direction_notregular_63_12_0, &direction_notregular_63_12_0, &direction_notregular_63_12_0, NULL, &direction_notregular_63_12_0, &direction_notregular_63_12_0, &direction_notregular_63_12_0, &direction_notregular_63_12_0, &direction_notregular_63_12_0, &direction_notregular_63_12_0, &direction_notregular_63_12_0, &direction_notregular_63_12_0, &direction_notregular_63_12_0, &direction_notregular_63_12_0, &direction_notregular_63_12_0, &direction_notregular_63_12_0, &direction_notregular_63_12_0, &direction_notregular_63_12_0, &direction_notregular_63_12_0};
static Image* images_notregular_63_13_0[10];
static Direction direction_notregular_63_13_0 = {0, 25, 25, 0, 1, 10, images_notregular_63_13_0};
static Animation anim_notregular_63_13 = {&direction_notregular_63_13_0, &direction_notregular_63_13_0, &direction_notregular_63_13_0, &direction_notregular_63_13_0, &direction_notregular_63_13_0, &direction_notregular_63_13_0, &direction_notregular_63_13_0, &direction_notregular_63_13_0, &direction_notregular_63_13_0, &direction_notregular_63_13_0, &direction_notregular_63_13_0, &direction_notregular_63_13_0, &direction_notregular_63_13_0, &direction_notregular_63_13_0, &direction_notregular_63_13_0, &direction_notregular_63_13_0, NULL, &direction_notregular_63_13_0, &direction_notregular_63_13_0, &direction_notregular_63_13_0, &direction_notregular_63_13_0, &direction_notregular_63_13_0, &direction_notregular_63_13_0, &direction_notregular_63_13_0, &direction_notregular_63_13_0, &direction_notregular_63_13_0, &direction_notregular_63_13_0, &direction_notregular_63_13_0, &direction_notregular_63_13_0, &direction_notregular_63_13_0, &direction_notregular_63_13_0, &direction_notregular_63_13_0};
static Image* images_notregular_63_14_0[2];
static Direction direction_notregular_63_14_0 = {0, 50, 50, 0, 1, 2, images_notregular_63_14_0};
static Animation anim_notregular_63_14 = {&direction_notregular_63_14_0, &direction_notregular_63_14_0, &direction_notregular_63_14_0, &direction_notregular_63_14_0, &direction_notregular_63_14_0, &direction_notregular_63_14_0, &direction_notregular_63_14_0, &direction_notregular_63_14_0, &direction_notregular_63_14_0, &direction_notregular_63_14_0, &direction_notregular_63_14_0, &direction_notregular_63_14_0, &direction_notregular_63_14_0, &direction_notregular_63_14_0, &direction_notregular_63_14_0, &direction_notregular_63_14_0, NULL, &direction_notregular_63_14_0, &direction_notregular_63_14_0, &direction_notregular_63_14_0, &direction_notregular_63_14_0, &direction_notregular_63_14_0, &direction_notregular_63_14_0, &direction_notregular_63_14_0, &direction_notregular_63_14_0, &direction_notregular_63_14_0, &direction_notregular_63_14_0, &direction_notregular_63_14_0, &direction_notregular_63_14_0, &direction_notregular_63_14_0, &direction_notregular_63_14_0, &direction_notregular_63_14_0};
static Image* images_notregular_63_15_0[2];
static Direction direction_notregular_63_15_0 = {0, 3, 3, 0, 1, 2, images_notregular_63_15_0};
static Image* images_notregular_63_15_16[2];
static Direction direction_notregular_63_15_16 = {16, 3, 3, 0, 1, 2, images_notregular_63_15_16};
static Animation anim_notregular_63_15 = {&direction_notregular_63_15_0, &direction_notregular_63_15_0, &direction_notregular_63_15_0, &direction_notregular_63_15_0, &direction_notregular_63_15_0, &direction_notregular_63_15_0, &direction_notregular_63_15_0, &direction_notregular_63_15_0, NULL, &direction_notregular_63_15_16, &direction_notregular_63_15_16, &direction_notregular_63_15_16, &direction_notregular_63_15_16, &direction_notregular_63_15_16, &direction_notregular_63_15_16, &direction_notregular_63_15_16, &direction_notregular_63_15_16, &direction_notregular_63_15_16, &direction_notregular_63_15_16, &direction_notregular_63_15_16, &direction_notregular_63_15_16, &direction_notregular_63_15_16, &direction_notregular_63_15_16, &direction_notregular_63_15_16, NULL, &direction_notregular_63_15_0, &direction_notregular_63_15_0, &direction_notregular_63_15_0, &direction_notregular_63_15_0, &direction_notregular_63_15_0, &direction_notregular_63_15_0, &direction_notregular_63_15_0};
static Image* images_notregular_63_16_0[4];
static Direction direction_notregular_63_16_0 = {0, 12, 12, 0, -1, 4, images_notregular_63_16_0};
static Image* images_notregular_63_16_16[4];
static Direction direction_notregular_63_16_16 = {16, 12, 12, 0, -1, 4, images_notregular_63_16_16};
static Animation anim_notregular_63_16 = {&direction_notregular_63_16_0, &direction_notregular_63_16_0, &direction_notregular_63_16_0, &direction_notregular_63_16_0, &direction_notregular_63_16_0, &direction_notregular_63_16_0, &direction_notregular_63_16_0, &direction_notregular_63_16_0, NULL, &direction_notregular_63_16_16, &direction_notregular_63_16_16, &direction_notregular_63_16_16, &direction_notregular_63_16_16, &direction_notregular_63_16_16, &direction_notregular_63_16_16, &direction_notregular_63_16_16, &direction_notregular_63_16_16, &direction_notregular_63_16_16, &direction_notregular_63_16_16, &direction_notregular_63_16_16, &direction_notregular_63_16_16, &direction_notregular_63_16_16, &direction_notregular_63_16_16, &direction_notregular_63_16_16, NULL, &direction_notregular_63_16_0, &direction_notregular_63_16_0, &direction_notregular_63_16_0, &direction_notregular_63_16_0, &direction_notregular_63_16_0, &direction_notregular_63_16_0, &direction_notregular_63_16_0};
static Image* images_notregular_63_17_0[1];
static Direction direction_notregular_63_17_0 = {0, 50, 50, 0, 1, 1, images_notregular_63_17_0};
static Image* images_notregular_63_17_16[1];
static Direction direction_notregular_63_17_16 = {16, 50, 50, 0, 1, 1, images_notregular_63_17_16};
static Animation anim_notregular_63_17 = {&direction_notregular_63_17_0, &direction_notregular_63_17_0, &direction_notregular_63_17_0, &direction_notregular_63_17_0, &direction_notregular_63_17_0, &direction_notregular_63_17_0, &direction_notregular_63_17_0, &direction_notregular_63_17_0, NULL, &direction_notregular_63_17_16, &direction_notregular_63_17_16, &direction_notregular_63_17_16, &direction_notregular_63_17_16, &direction_notregular_63_17_16, &direction_notregular_63_17_16, &direction_notregular_63_17_16, &direction_notregular_63_17_16, &direction_notregular_63_17_16, &direction_notregular_63_17_16, &direction_notregular_63_17_16, &direction_notregular_63_17_16, &direction_notregular_63_17_16, &direction_notregular_63_17_16, &direction_notregular_63_17_16, NULL, &direction_notregular_63_17_0, &direction_notregular_63_17_0, &direction_notregular_63_17_0, &direction_notregular_63_17_0, &direction_notregular_63_17_0, &direction_notregular_63_17_0, &direction_notregular_63_17_0};
static Image* images_notregular_63_18_0[2];
static Direction direction_notregular_63_18_0 = {0, 50, 50, 0, -1, 2, images_notregular_63_18_0};
static Image* images_notregular_63_18_16[2];
static Direction direction_notregular_63_18_16 = {16, 50, 50, 0, -1, 2, images_notregular_63_18_16};
static Animation anim_notregular_63_18 = {&direction_notregular_63_18_0, &direction_notregular_63_18_0, &direction_notregular_63_18_0, &direction_notregular_63_18_0, &direction_notregular_63_18_0, &direction_notregular_63_18_0, &direction_notregular_63_18_0, &direction_notregular_63_18_0, NULL, &direction_notregular_63_18_16, &direction_notregular_63_18_16, &direction_notregular_63_18_16, &direction_notregular_63_18_16, &direction_notregular_63_18_16, &direction_notregular_63_18_16, &direction_notregular_63_18_16, &direction_notregular_63_18_16, &direction_notregular_63_18_16, &direction_notregular_63_18_16, &direction_notregular_63_18_16, &direction_notregular_63_18_16, &direction_notregular_63_18_16, &direction_notregular_63_18_16, &direction_notregular_63_18_16, NULL, &direction_notregular_63_18_0, &direction_notregular_63_18_0, &direction_notregular_63_18_0, &direction_notregular_63_18_0, &direction_notregular_63_18_0, &direction_notregular_63_18_0, &direction_notregular_63_18_0};
static Image* images_notregular_63_19_0[1];
static Direction direction_notregular_63_19_0 = {0, 50, 50, 0, 1, 1, images_notregular_63_19_0};
static Image* images_notregular_63_19_16[1];
static Direction direction_notregular_63_19_16 = {16, 50, 50, 0, 1, 1, images_notregular_63_19_16};
static Animation anim_notregular_63_19 = {&direction_notregular_63_19_0, &direction_notregular_63_19_0, &direction_notregular_63_19_0, &direction_notregular_63_19_0, &direction_notregular_63_19_0, &direction_notregular_63_19_0, &direction_notregular_63_19_0, &direction_notregular_63_19_0, NULL, &direction_notregular_63_19_16, &direction_notregular_63_19_16, &direction_notregular_63_19_16, &direction_notregular_63_19_16, &direction_notregular_63_19_16, &direction_notregular_63_19_16, &direction_notregular_63_19_16, &direction_notregular_63_19_16, &direction_notregular_63_19_16, &direction_notregular_63_19_16, &direction_notregular_63_19_16, &direction_notregular_63_19_16, &direction_notregular_63_19_16, &direction_notregular_63_19_16, &direction_notregular_63_19_16, NULL, &direction_notregular_63_19_0, &direction_notregular_63_19_0, &direction_notregular_63_19_0, &direction_notregular_63_19_0, &direction_notregular_63_19_0, &direction_notregular_63_19_0, &direction_notregular_63_19_0};
static Image* images_notregular_63_20_0[1];
static Direction direction_notregular_63_20_0 = {0, 50, 50, 0, 1, 1, images_notregular_63_20_0};
static Image* images_notregular_63_20_16[1];
static Direction direction_notregular_63_20_16 = {16, 50, 50, 0, 1, 1, images_notregular_63_20_16};
static Animation anim_notregular_63_20 = {&direction_notregular_63_20_0, &direction_notregular_63_20_0, &direction_notregular_63_20_0, &direction_notregular_63_20_0, &direction_notregular_63_20_0, &direction_notregular_63_20_0, &direction_notregular_63_20_0, &direction_notregular_63_20_0, NULL, &direction_notregular_63_20_16, &direction_notregular_63_20_16, &direction_notregular_63_20_16, &direction_notregular_63_20_16, &direction_notregular_63_20_16, &direction_notregular_63_20_16, &direction_notregular_63_20_16, &direction_notregular_63_20_16, &direction_notregular_63_20_16, &direction_notregular_63_20_16, &direction_notregular_63_20_16, &direction_notregular_63_20_16, &direction_notregular_63_20_16, &direction_notregular_63_20_16, &direction_notregular_63_20_16, NULL, &direction_notregular_63_20_0, &direction_notregular_63_20_0, &direction_notregular_63_20_0, &direction_notregular_63_20_0, &direction_notregular_63_20_0, &direction_notregular_63_20_0, &direction_notregular_63_20_0};
static Image* images_notregular_63_21_0[2];
static Direction direction_notregular_63_21_0 = {0, 18, 18, 0, 1, 2, images_notregular_63_21_0};
static Image* images_notregular_63_21_16[2];
static Direction direction_notregular_63_21_16 = {16, 18, 18, 0, 3, 2, images_notregular_63_21_16};
static Animation anim_notregular_63_21 = {&direction_notregular_63_21_0, &direction_notregular_63_21_0, &direction_notregular_63_21_0, &direction_notregular_63_21_0, &direction_notregular_63_21_0, &direction_notregular_63_21_0, &direction_notregular_63_21_0, &direction_notregular_63_21_0, NULL, &direction_notregular_63_21_16, &direction_notregular_63_21_16, &direction_notregular_63_21_16, &direction_notregular_63_21_16, &direction_notregular_63_21_16, &direction_notregular_63_21_16, &direction_notregular_63_21_16, &direction_notregular_63_21_16, &direction_notregular_63_21_16, &direction_notregular_63_21_16, &direction_notregular_63_21_16, &direction_notregular_63_21_16, &direction_notregular_63_21_16, &direction_notregular_63_21_16, &direction_notregular_63_21_16, NULL, &direction_notregular_63_21_0, &direction_notregular_63_21_0, &direction_notregular_63_21_0, &direction_notregular_63_21_0, &direction_notregular_63_21_0, &direction_notregular_63_21_0, &direction_notregular_63_21_0};
static Animation * anim_array_notregular_63[22] = {&anim_notregular_63_0, &anim_notregular_63_1, NULL, NULL, NULL, NULL, NULL, &anim_notregular_63_7, &anim_notregular_63_8, NULL, NULL, NULL, &anim_notregular_63_12, &anim_notregular_63_13, &anim_notregular_63_14, &anim_notregular_63_15, &anim_notregular_63_16, &anim_notregular_63_17, &anim_notregular_63_18, &anim_notregular_63_19, &anim_notregular_63_20, &anim_notregular_63_21};
static Animations anim_notregular_63 = {22, &anim_array_notregular_63[0]};
static bool anim_notregular_63_initialized;
class NOTREGULAR_63 : public Active
{
public:
    NOTREGULAR_63(int x, int y) : Active(x, y, NOTREGULAR_63_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("NOT REGULAR", 11);
#endif
        this->animations = &anim_notregular_63;
        if (!anim_notregular_63_initialized) {
            anim_notregular_63_initialized = true;
            images_notregular_63_0_0[0] = get_internal_image_direct(157);
            images_notregular_63_0_16[0] = get_internal_image_direct(166);
            images_notregular_63_1_0[0] = get_internal_image_direct(728);
            images_notregular_63_1_0[1] = get_internal_image_direct(802);
            images_notregular_63_1_0[2] = get_internal_image_direct(664);
            images_notregular_63_1_0[3] = get_internal_image_direct(802);
            images_notregular_63_1_16[0] = get_internal_image_direct(127);
            images_notregular_63_1_16[1] = get_internal_image_direct(128);
            images_notregular_63_1_16[2] = get_internal_image_direct(129);
            images_notregular_63_1_16[3] = get_internal_image_direct(131);
            images_notregular_63_7_0[0] = get_internal_image_direct(172);
            images_notregular_63_7_16[0] = get_internal_image_direct(167);
            images_notregular_63_8_0[0] = get_internal_image_direct(172);
            images_notregular_63_8_0[1] = get_internal_image_direct(173);
            images_notregular_63_8_16[0] = get_internal_image_direct(174);
            images_notregular_63_8_16[1] = get_internal_image_direct(168);
            images_notregular_63_12_0[0] = get_internal_image_direct(52);
            images_notregular_63_12_0[1] = get_internal_image_direct(52);
            images_notregular_63_12_0[2] = get_internal_image_direct(52);
            images_notregular_63_12_0[3] = get_internal_image_direct(52);
            images_notregular_63_12_0[4] = get_internal_image_direct(52);
            images_notregular_63_12_0[5] = get_internal_image_direct(52);
            images_notregular_63_12_0[6] = get_internal_image_direct(52);
            images_notregular_63_12_0[7] = get_internal_image_direct(52);
            images_notregular_63_12_0[8] = get_internal_image_direct(52);
            images_notregular_63_12_0[9] = get_internal_image_direct(52);
            images_notregular_63_12_0[10] = get_internal_image_direct(52);
            images_notregular_63_12_0[11] = get_internal_image_direct(52);
            images_notregular_63_12_0[12] = get_internal_image_direct(52);
            images_notregular_63_12_0[13] = get_internal_image_direct(52);
            images_notregular_63_12_0[14] = get_internal_image_direct(52);
            images_notregular_63_12_0[15] = get_internal_image_direct(52);
            images_notregular_63_12_0[16] = get_internal_image_direct(52);
            images_notregular_63_12_0[17] = get_internal_image_direct(53);
            images_notregular_63_12_0[18] = get_internal_image_direct(52);
            images_notregular_63_13_0[0] = get_internal_image_direct(51);
            images_notregular_63_13_0[1] = get_internal_image_direct(51);
            images_notregular_63_13_0[2] = get_internal_image_direct(51);
            images_notregular_63_13_0[3] = get_internal_image_direct(51);
            images_notregular_63_13_0[4] = get_internal_image_direct(51);
            images_notregular_63_13_0[5] = get_internal_image_direct(51);
            images_notregular_63_13_0[6] = get_internal_image_direct(51);
            images_notregular_63_13_0[7] = get_internal_image_direct(51);
            images_notregular_63_13_0[8] = get_internal_image_direct(51);
            images_notregular_63_13_0[9] = get_internal_image_direct(51);
            images_notregular_63_14_0[0] = get_internal_image_direct(83);
            images_notregular_63_14_0[1] = get_internal_image_direct(112);
            images_notregular_63_15_0[0] = get_internal_image_direct(161);
            images_notregular_63_15_0[1] = get_internal_image_direct(161);
            images_notregular_63_15_16[0] = get_internal_image_direct(170);
            images_notregular_63_15_16[1] = get_internal_image_direct(170);
            images_notregular_63_16_0[0] = get_internal_image_direct(162);
            images_notregular_63_16_0[1] = get_internal_image_direct(163);
            images_notregular_63_16_0[2] = get_internal_image_direct(164);
            images_notregular_63_16_0[3] = get_internal_image_direct(165);
            images_notregular_63_16_16[0] = get_internal_image_direct(130);
            images_notregular_63_16_16[1] = get_internal_image_direct(133);
            images_notregular_63_16_16[2] = get_internal_image_direct(132);
            images_notregular_63_16_16[3] = get_internal_image_direct(134);
            images_notregular_63_17_0[0] = get_internal_image_direct(171);
            images_notregular_63_17_16[0] = get_internal_image_direct(16);
            images_notregular_63_18_0[0] = get_internal_image_direct(175);
            images_notregular_63_18_0[1] = get_internal_image_direct(175);
            images_notregular_63_18_16[0] = get_internal_image_direct(169);
            images_notregular_63_18_16[1] = get_internal_image_direct(169);
            images_notregular_63_19_0[0] = get_internal_image_direct(136);
            images_notregular_63_19_16[0] = get_internal_image_direct(137);
            images_notregular_63_20_0[0] = get_internal_image_direct(135);
            images_notregular_63_20_16[0] = get_internal_image_direct(138);
            images_notregular_63_21_0[0] = get_internal_image_direct(14);
            images_notregular_63_21_0[1] = get_internal_image_direct(79);
            images_notregular_63_21_16[0] = get_internal_image_direct(17);
            images_notregular_63_21_16[1] = get_internal_image_direct(80);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        set_direction(0);
        create_alterables();
    }
};
FrameObject * create_notregular_63(int x, int y)
{
    return new (Active::pool.create()) NOTREGULAR_63(x, y);
}
class String2_64 : public Text
{
public:
    String2_64(int x, int y) : Text(x, y, String2_64_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("String 2", 8);
#endif
        flags &= ~SCROLL;
        width = 26;
        height = 21;
        blend_color = Color(255, 255, 255);
        bold = false;
        italic = false;
        font_name = chowstring("Small Fonts", 11);
        font = get_font(7, 0);
        alignment = ALIGN_LEFT | ALIGN_TOP;
        add_line(chowstring("x  15", 5));
        create_alterables();
    }
};
FrameObject * create_string2_64(int x, int y)
{
    return new (Text::pool.create()) String2_64(x, y);
}
class BgWall_65 : public Backdrop
{
public:
    BgWall_65(int x, int y) : Backdrop(x, y, BACKGROUND_TYPE)
    {
#ifndef NDEBUG
        name = chowstring("bg-wall", 7);
#endif
        flags |= BACKGROUND;
        flags |= BACKGROUND_COL;
#ifdef BACK_ID_BG_WALL
        manager.frame->back_instances[BACK_ID_BG_WALL].push_back(this);
#endif
        image = get_internal_image(666);
        width = image->width;
        height = image->height;
        collision = new BackdropCollision(this, image);
    }
};
FrameObject * create_bgwall_65(int x, int y)
{
    return new (Backdrop::pool.create()) BgWall_65(x, y);
}
static Image* images_player_66_0_0[1];
static Direction direction_player_66_0_0 = {0, 50, 50, 0, 1, 1, images_player_66_0_0};
static Animation anim_player_66_0 = {&direction_player_66_0_0, &direction_player_66_0_0, &direction_player_66_0_0, &direction_player_66_0_0, &direction_player_66_0_0, &direction_player_66_0_0, &direction_player_66_0_0, &direction_player_66_0_0, &direction_player_66_0_0, &direction_player_66_0_0, &direction_player_66_0_0, &direction_player_66_0_0, &direction_player_66_0_0, &direction_player_66_0_0, &direction_player_66_0_0, &direction_player_66_0_0, NULL, &direction_player_66_0_0, &direction_player_66_0_0, &direction_player_66_0_0, &direction_player_66_0_0, &direction_player_66_0_0, &direction_player_66_0_0, &direction_player_66_0_0, &direction_player_66_0_0, &direction_player_66_0_0, &direction_player_66_0_0, &direction_player_66_0_0, &direction_player_66_0_0, &direction_player_66_0_0, &direction_player_66_0_0, &direction_player_66_0_0};
static Animation * anim_array_player_66[1] = {&anim_player_66_0};
static Animations anim_player_66 = {1, &anim_array_player_66[0]};
static bool anim_player_66_initialized;
class Player_66 : public Active
{
public:
    Player_66(int x, int y) : Active(x, y, Player_66_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Player", 6);
#endif
        set_visible(false);
        this->animations = &anim_player_66;
        if (!anim_player_66_initialized) {
            anim_player_66_initialized = true;
            images_player_66_0_0[0] = get_internal_image_direct(1);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
        alterables->values.set(13, 1);
        alterables->values.set(15, 1);
    }
};
FrameObject * create_player_66(int x, int y)
{
    return new (Active::pool.create()) Player_66(x, y);
}
static Image* images_detector_67_0_0[1];
static Direction direction_detector_67_0_0 = {0, 50, 50, 0, 1, 1, images_detector_67_0_0};
static Animation anim_detector_67_0 = {&direction_detector_67_0_0, &direction_detector_67_0_0, &direction_detector_67_0_0, &direction_detector_67_0_0, &direction_detector_67_0_0, &direction_detector_67_0_0, &direction_detector_67_0_0, &direction_detector_67_0_0, &direction_detector_67_0_0, &direction_detector_67_0_0, &direction_detector_67_0_0, &direction_detector_67_0_0, &direction_detector_67_0_0, &direction_detector_67_0_0, &direction_detector_67_0_0, &direction_detector_67_0_0, NULL, &direction_detector_67_0_0, &direction_detector_67_0_0, &direction_detector_67_0_0, &direction_detector_67_0_0, &direction_detector_67_0_0, &direction_detector_67_0_0, &direction_detector_67_0_0, &direction_detector_67_0_0, &direction_detector_67_0_0, &direction_detector_67_0_0, &direction_detector_67_0_0, &direction_detector_67_0_0, &direction_detector_67_0_0, &direction_detector_67_0_0, &direction_detector_67_0_0};
static Animation * anim_array_detector_67[1] = {&anim_detector_67_0};
static Animations anim_detector_67 = {1, &anim_array_detector_67[0]};
static bool anim_detector_67_initialized;
class Detector_67 : public Active
{
public:
    Detector_67(int x, int y) : Active(x, y, Detector_67_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Detector", 8);
#endif
        set_visible(false);
        this->animations = &anim_detector_67;
        if (!anim_detector_67_initialized) {
            anim_detector_67_initialized = true;
            images_detector_67_0_0[0] = get_internal_image_direct(5);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_detector_67(int x, int y)
{
    return new (Active::pool.create()) Detector_67(x, y);
}
static Image* images_platform_68_0_0[1];
static Direction direction_platform_68_0_0 = {0, 50, 50, 0, 1, 1, images_platform_68_0_0};
static Image* images_platform_68_0_16[1];
static Direction direction_platform_68_0_16 = {16, 50, 50, 0, 1, 1, images_platform_68_0_16};
static Animation anim_platform_68_0 = {&direction_platform_68_0_0, &direction_platform_68_0_0, &direction_platform_68_0_0, &direction_platform_68_0_0, &direction_platform_68_0_0, &direction_platform_68_0_0, &direction_platform_68_0_0, &direction_platform_68_0_0, NULL, &direction_platform_68_0_16, &direction_platform_68_0_16, &direction_platform_68_0_16, &direction_platform_68_0_16, &direction_platform_68_0_16, &direction_platform_68_0_16, &direction_platform_68_0_16, &direction_platform_68_0_16, &direction_platform_68_0_16, &direction_platform_68_0_16, &direction_platform_68_0_16, &direction_platform_68_0_16, &direction_platform_68_0_16, &direction_platform_68_0_16, &direction_platform_68_0_16, NULL, &direction_platform_68_0_0, &direction_platform_68_0_0, &direction_platform_68_0_0, &direction_platform_68_0_0, &direction_platform_68_0_0, &direction_platform_68_0_0, &direction_platform_68_0_0};
static Animation * anim_array_platform_68[1] = {&anim_platform_68_0};
static Animations anim_platform_68 = {1, &anim_array_platform_68[0]};
static bool anim_platform_68_initialized;
class Platform_68 : public Active
{
public:
    Platform_68(int x, int y) : Active(x, y, Platform_68_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Platform", 8);
#endif
        set_visible(false);
        this->animations = &anim_platform_68;
        if (!anim_platform_68_initialized) {
            anim_platform_68_initialized = true;
            images_platform_68_0_0[0] = get_internal_image_direct(9);
            images_platform_68_0_16[0] = get_internal_image_direct(8);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        set_direction(16);
        create_alterables();
    }
};
FrameObject * create_platform_68(int x, int y)
{
    return new (Active::pool.create()) Platform_68(x, y);
}
class BgOneway_69 : public Backdrop
{
public:
    BgOneway_69(int x, int y) : Backdrop(x, y, BACKGROUND_TYPE)
    {
#ifndef NDEBUG
        name = chowstring("bg-oneway", 9);
#endif
        flags |= BACKGROUND;
        flags |= BACKGROUND_COL;
#ifdef BACK_ID_BG_ONEWAY
        manager.frame->back_instances[BACK_ID_BG_ONEWAY].push_back(this);
#endif
        image = get_internal_image(15);
        width = image->width;
        height = image->height;
    }
};
FrameObject * create_bgoneway_69(int x, int y)
{
    return new (Backdrop::pool.create()) BgOneway_69(x, y);
}
static Image* images_movingplatform_70_0_0[2];
static Direction direction_movingplatform_70_0_0 = {0, 50, 50, 0, -1, 2, images_movingplatform_70_0_0};
static Animation anim_movingplatform_70_0 = {&direction_movingplatform_70_0_0, &direction_movingplatform_70_0_0, &direction_movingplatform_70_0_0, &direction_movingplatform_70_0_0, &direction_movingplatform_70_0_0, &direction_movingplatform_70_0_0, &direction_movingplatform_70_0_0, &direction_movingplatform_70_0_0, &direction_movingplatform_70_0_0, &direction_movingplatform_70_0_0, &direction_movingplatform_70_0_0, &direction_movingplatform_70_0_0, &direction_movingplatform_70_0_0, &direction_movingplatform_70_0_0, &direction_movingplatform_70_0_0, &direction_movingplatform_70_0_0, NULL, &direction_movingplatform_70_0_0, &direction_movingplatform_70_0_0, &direction_movingplatform_70_0_0, &direction_movingplatform_70_0_0, &direction_movingplatform_70_0_0, &direction_movingplatform_70_0_0, &direction_movingplatform_70_0_0, &direction_movingplatform_70_0_0, &direction_movingplatform_70_0_0, &direction_movingplatform_70_0_0, &direction_movingplatform_70_0_0, &direction_movingplatform_70_0_0, &direction_movingplatform_70_0_0, &direction_movingplatform_70_0_0, &direction_movingplatform_70_0_0};
static Image* images_movingplatform_70_3_0[30];
static Direction direction_movingplatform_70_3_0 = {0, 50, 50, 0, 1, 30, images_movingplatform_70_3_0};
static Animation anim_movingplatform_70_3 = {&direction_movingplatform_70_3_0, &direction_movingplatform_70_3_0, &direction_movingplatform_70_3_0, &direction_movingplatform_70_3_0, &direction_movingplatform_70_3_0, &direction_movingplatform_70_3_0, &direction_movingplatform_70_3_0, &direction_movingplatform_70_3_0, &direction_movingplatform_70_3_0, &direction_movingplatform_70_3_0, &direction_movingplatform_70_3_0, &direction_movingplatform_70_3_0, &direction_movingplatform_70_3_0, &direction_movingplatform_70_3_0, &direction_movingplatform_70_3_0, &direction_movingplatform_70_3_0, NULL, &direction_movingplatform_70_3_0, &direction_movingplatform_70_3_0, &direction_movingplatform_70_3_0, &direction_movingplatform_70_3_0, &direction_movingplatform_70_3_0, &direction_movingplatform_70_3_0, &direction_movingplatform_70_3_0, &direction_movingplatform_70_3_0, &direction_movingplatform_70_3_0, &direction_movingplatform_70_3_0, &direction_movingplatform_70_3_0, &direction_movingplatform_70_3_0, &direction_movingplatform_70_3_0, &direction_movingplatform_70_3_0, &direction_movingplatform_70_3_0};
static Animation * anim_array_movingplatform_70[4] = {&anim_movingplatform_70_0, NULL, NULL, &anim_movingplatform_70_3};
static Animations anim_movingplatform_70 = {4, &anim_array_movingplatform_70[0]};
static bool anim_movingplatform_70_initialized;
class MovingPlatform_70 : public Active
{
public:
    MovingPlatform_70(int x, int y) : Active(x, y, MovingPlatform_70_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Moving Platform", 15);
#endif
        this->animations = &anim_movingplatform_70;
        if (!anim_movingplatform_70_initialized) {
            anim_movingplatform_70_initialized = true;
            images_movingplatform_70_0_0[0] = get_internal_image_direct(366);
            images_movingplatform_70_0_0[1] = get_internal_image_direct(388);
            images_movingplatform_70_3_0[0] = get_internal_image_direct(501);
            images_movingplatform_70_3_0[1] = get_internal_image_direct(485);
            images_movingplatform_70_3_0[2] = get_internal_image_direct(502);
            images_movingplatform_70_3_0[3] = get_internal_image_direct(505);
            images_movingplatform_70_3_0[4] = get_internal_image_direct(508);
            images_movingplatform_70_3_0[5] = get_internal_image_direct(509);
            images_movingplatform_70_3_0[6] = get_internal_image_direct(513);
            images_movingplatform_70_3_0[7] = get_internal_image_direct(514);
            images_movingplatform_70_3_0[8] = get_internal_image_direct(515);
            images_movingplatform_70_3_0[9] = get_internal_image_direct(522);
            images_movingplatform_70_3_0[10] = get_internal_image_direct(520);
            images_movingplatform_70_3_0[11] = get_internal_image_direct(523);
            images_movingplatform_70_3_0[12] = get_internal_image_direct(524);
            images_movingplatform_70_3_0[13] = get_internal_image_direct(521);
            images_movingplatform_70_3_0[14] = get_internal_image_direct(525);
            images_movingplatform_70_3_0[15] = get_internal_image_direct(527);
            images_movingplatform_70_3_0[16] = get_internal_image_direct(526);
            images_movingplatform_70_3_0[17] = get_internal_image_direct(528);
            images_movingplatform_70_3_0[18] = get_internal_image_direct(530);
            images_movingplatform_70_3_0[19] = get_internal_image_direct(531);
            images_movingplatform_70_3_0[20] = get_internal_image_direct(529);
            images_movingplatform_70_3_0[21] = get_internal_image_direct(532);
            images_movingplatform_70_3_0[22] = get_internal_image_direct(534);
            images_movingplatform_70_3_0[23] = get_internal_image_direct(533);
            images_movingplatform_70_3_0[24] = get_internal_image_direct(536);
            images_movingplatform_70_3_0[25] = get_internal_image_direct(538);
            images_movingplatform_70_3_0[26] = get_internal_image_direct(539);
            images_movingplatform_70_3_0[27] = get_internal_image_direct(540);
            images_movingplatform_70_3_0[28] = get_internal_image_direct(541);
            images_movingplatform_70_3_0[29] = get_internal_image_direct(388);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        forced_animation = current_animation = APPEARING;
        initialize_active(false);
        create_alterables();
        alterables->values.set(0, 2);
    }
};
FrameObject * create_movingplatform_70(int x, int y)
{
    return new (Active::pool.create()) MovingPlatform_70(x, y);
}
static Image* images_platform2_71_0_0[1];
static Direction direction_platform2_71_0_0 = {0, 50, 50, 0, 1, 1, images_platform2_71_0_0};
static Image* images_platform2_71_0_16[1];
static Direction direction_platform2_71_0_16 = {16, 50, 50, 0, 1, 1, images_platform2_71_0_16};
static Animation anim_platform2_71_0 = {&direction_platform2_71_0_0, &direction_platform2_71_0_0, &direction_platform2_71_0_0, &direction_platform2_71_0_0, &direction_platform2_71_0_0, &direction_platform2_71_0_0, &direction_platform2_71_0_0, &direction_platform2_71_0_0, NULL, &direction_platform2_71_0_16, &direction_platform2_71_0_16, &direction_platform2_71_0_16, &direction_platform2_71_0_16, &direction_platform2_71_0_16, &direction_platform2_71_0_16, &direction_platform2_71_0_16, &direction_platform2_71_0_16, &direction_platform2_71_0_16, &direction_platform2_71_0_16, &direction_platform2_71_0_16, &direction_platform2_71_0_16, &direction_platform2_71_0_16, &direction_platform2_71_0_16, &direction_platform2_71_0_16, NULL, &direction_platform2_71_0_0, &direction_platform2_71_0_0, &direction_platform2_71_0_0, &direction_platform2_71_0_0, &direction_platform2_71_0_0, &direction_platform2_71_0_0, &direction_platform2_71_0_0};
static Animation * anim_array_platform2_71[1] = {&anim_platform2_71_0};
static Animations anim_platform2_71 = {1, &anim_array_platform2_71[0]};
static bool anim_platform2_71_initialized;
class Platform2_71 : public Active
{
public:
    Platform2_71(int x, int y) : Active(x, y, Platform2_71_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Platform 2", 10);
#endif
        set_visible(false);
        this->animations = &anim_platform2_71;
        if (!anim_platform2_71_initialized) {
            anim_platform2_71_initialized = true;
            images_platform2_71_0_0[0] = get_internal_image_direct(12);
            images_platform2_71_0_16[0] = get_internal_image_direct(8);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        set_direction(16);
        create_alterables();
    }
};
FrameObject * create_platform2_71(int x, int y)
{
    return new (Active::pool.create()) Platform2_71(x, y);
}
static Image* images_sprite_72_0_0[6];
static Direction direction_sprite_72_0_0 = {0, 10, 10, 0, -1, 6, images_sprite_72_0_0};
static Image* images_sprite_72_0_16[6];
static Direction direction_sprite_72_0_16 = {16, 8, 8, 0, -1, 6, images_sprite_72_0_16};
static Animation anim_sprite_72_0 = {&direction_sprite_72_0_0, &direction_sprite_72_0_0, &direction_sprite_72_0_0, &direction_sprite_72_0_0, &direction_sprite_72_0_0, &direction_sprite_72_0_0, &direction_sprite_72_0_0, &direction_sprite_72_0_0, NULL, &direction_sprite_72_0_16, &direction_sprite_72_0_16, &direction_sprite_72_0_16, &direction_sprite_72_0_16, &direction_sprite_72_0_16, &direction_sprite_72_0_16, &direction_sprite_72_0_16, &direction_sprite_72_0_16, &direction_sprite_72_0_16, &direction_sprite_72_0_16, &direction_sprite_72_0_16, &direction_sprite_72_0_16, &direction_sprite_72_0_16, &direction_sprite_72_0_16, &direction_sprite_72_0_16, NULL, &direction_sprite_72_0_0, &direction_sprite_72_0_0, &direction_sprite_72_0_0, &direction_sprite_72_0_0, &direction_sprite_72_0_0, &direction_sprite_72_0_0, &direction_sprite_72_0_0};
static Image* images_sprite_72_1_0[4];
static Direction direction_sprite_72_1_0 = {0, 12, 12, 0, -1, 4, images_sprite_72_1_0};
static Image* images_sprite_72_1_16[4];
static Direction direction_sprite_72_1_16 = {16, 12, 12, 0, -1, 4, images_sprite_72_1_16};
static Animation anim_sprite_72_1 = {&direction_sprite_72_1_0, &direction_sprite_72_1_0, &direction_sprite_72_1_0, &direction_sprite_72_1_0, &direction_sprite_72_1_0, &direction_sprite_72_1_0, &direction_sprite_72_1_0, &direction_sprite_72_1_0, NULL, &direction_sprite_72_1_16, &direction_sprite_72_1_16, &direction_sprite_72_1_16, &direction_sprite_72_1_16, &direction_sprite_72_1_16, &direction_sprite_72_1_16, &direction_sprite_72_1_16, &direction_sprite_72_1_16, &direction_sprite_72_1_16, &direction_sprite_72_1_16, &direction_sprite_72_1_16, &direction_sprite_72_1_16, &direction_sprite_72_1_16, &direction_sprite_72_1_16, &direction_sprite_72_1_16, NULL, &direction_sprite_72_1_0, &direction_sprite_72_1_0, &direction_sprite_72_1_0, &direction_sprite_72_1_0, &direction_sprite_72_1_0, &direction_sprite_72_1_0, &direction_sprite_72_1_0};
static Image* images_sprite_72_2_0[4];
static Direction direction_sprite_72_2_0 = {0, 50, 50, 0, -1, 4, images_sprite_72_2_0};
static Animation anim_sprite_72_2 = {&direction_sprite_72_2_0, &direction_sprite_72_2_0, &direction_sprite_72_2_0, &direction_sprite_72_2_0, &direction_sprite_72_2_0, &direction_sprite_72_2_0, &direction_sprite_72_2_0, &direction_sprite_72_2_0, &direction_sprite_72_2_0, &direction_sprite_72_2_0, &direction_sprite_72_2_0, &direction_sprite_72_2_0, &direction_sprite_72_2_0, &direction_sprite_72_2_0, &direction_sprite_72_2_0, &direction_sprite_72_2_0, NULL, &direction_sprite_72_2_0, &direction_sprite_72_2_0, &direction_sprite_72_2_0, &direction_sprite_72_2_0, &direction_sprite_72_2_0, &direction_sprite_72_2_0, &direction_sprite_72_2_0, &direction_sprite_72_2_0, &direction_sprite_72_2_0, &direction_sprite_72_2_0, &direction_sprite_72_2_0, &direction_sprite_72_2_0, &direction_sprite_72_2_0, &direction_sprite_72_2_0, &direction_sprite_72_2_0};
static Image* images_sprite_72_5_0[4];
static Direction direction_sprite_72_5_0 = {0, 50, 50, 0, -1, 4, images_sprite_72_5_0};
static Animation anim_sprite_72_5 = {&direction_sprite_72_5_0, &direction_sprite_72_5_0, &direction_sprite_72_5_0, &direction_sprite_72_5_0, &direction_sprite_72_5_0, &direction_sprite_72_5_0, &direction_sprite_72_5_0, &direction_sprite_72_5_0, &direction_sprite_72_5_0, &direction_sprite_72_5_0, &direction_sprite_72_5_0, &direction_sprite_72_5_0, &direction_sprite_72_5_0, &direction_sprite_72_5_0, &direction_sprite_72_5_0, &direction_sprite_72_5_0, NULL, &direction_sprite_72_5_0, &direction_sprite_72_5_0, &direction_sprite_72_5_0, &direction_sprite_72_5_0, &direction_sprite_72_5_0, &direction_sprite_72_5_0, &direction_sprite_72_5_0, &direction_sprite_72_5_0, &direction_sprite_72_5_0, &direction_sprite_72_5_0, &direction_sprite_72_5_0, &direction_sprite_72_5_0, &direction_sprite_72_5_0, &direction_sprite_72_5_0, &direction_sprite_72_5_0};
static Image* images_sprite_72_7_0[2];
static Direction direction_sprite_72_7_0 = {0, 10, 10, 1, -1, 2, images_sprite_72_7_0};
static Image* images_sprite_72_7_16[2];
static Direction direction_sprite_72_7_16 = {16, 10, 10, 1, -1, 2, images_sprite_72_7_16};
static Animation anim_sprite_72_7 = {&direction_sprite_72_7_0, &direction_sprite_72_7_0, &direction_sprite_72_7_0, &direction_sprite_72_7_0, &direction_sprite_72_7_0, &direction_sprite_72_7_0, &direction_sprite_72_7_0, &direction_sprite_72_7_0, NULL, &direction_sprite_72_7_16, &direction_sprite_72_7_16, &direction_sprite_72_7_16, &direction_sprite_72_7_16, &direction_sprite_72_7_16, &direction_sprite_72_7_16, &direction_sprite_72_7_16, &direction_sprite_72_7_16, &direction_sprite_72_7_16, &direction_sprite_72_7_16, &direction_sprite_72_7_16, &direction_sprite_72_7_16, &direction_sprite_72_7_16, &direction_sprite_72_7_16, &direction_sprite_72_7_16, NULL, &direction_sprite_72_7_0, &direction_sprite_72_7_0, &direction_sprite_72_7_0, &direction_sprite_72_7_0, &direction_sprite_72_7_0, &direction_sprite_72_7_0, &direction_sprite_72_7_0};
static Image* images_sprite_72_8_0[2];
static Direction direction_sprite_72_8_0 = {0, 12, 12, 1, -1, 2, images_sprite_72_8_0};
static Image* images_sprite_72_8_16[2];
static Direction direction_sprite_72_8_16 = {16, 12, 12, 1, -1, 2, images_sprite_72_8_16};
static Animation anim_sprite_72_8 = {&direction_sprite_72_8_0, &direction_sprite_72_8_0, &direction_sprite_72_8_0, &direction_sprite_72_8_0, &direction_sprite_72_8_0, &direction_sprite_72_8_0, &direction_sprite_72_8_0, &direction_sprite_72_8_0, NULL, &direction_sprite_72_8_16, &direction_sprite_72_8_16, &direction_sprite_72_8_16, &direction_sprite_72_8_16, &direction_sprite_72_8_16, &direction_sprite_72_8_16, &direction_sprite_72_8_16, &direction_sprite_72_8_16, &direction_sprite_72_8_16, &direction_sprite_72_8_16, &direction_sprite_72_8_16, &direction_sprite_72_8_16, &direction_sprite_72_8_16, &direction_sprite_72_8_16, &direction_sprite_72_8_16, NULL, &direction_sprite_72_8_0, &direction_sprite_72_8_0, &direction_sprite_72_8_0, &direction_sprite_72_8_0, &direction_sprite_72_8_0, &direction_sprite_72_8_0, &direction_sprite_72_8_0};
static Image* images_sprite_72_12_0[19];
static Direction direction_sprite_72_12_0 = {0, 20, 20, 0, 9, 19, images_sprite_72_12_0};
static Animation anim_sprite_72_12 = {&direction_sprite_72_12_0, &direction_sprite_72_12_0, &direction_sprite_72_12_0, &direction_sprite_72_12_0, &direction_sprite_72_12_0, &direction_sprite_72_12_0, &direction_sprite_72_12_0, &direction_sprite_72_12_0, &direction_sprite_72_12_0, &direction_sprite_72_12_0, &direction_sprite_72_12_0, &direction_sprite_72_12_0, &direction_sprite_72_12_0, &direction_sprite_72_12_0, &direction_sprite_72_12_0, &direction_sprite_72_12_0, NULL, &direction_sprite_72_12_0, &direction_sprite_72_12_0, &direction_sprite_72_12_0, &direction_sprite_72_12_0, &direction_sprite_72_12_0, &direction_sprite_72_12_0, &direction_sprite_72_12_0, &direction_sprite_72_12_0, &direction_sprite_72_12_0, &direction_sprite_72_12_0, &direction_sprite_72_12_0, &direction_sprite_72_12_0, &direction_sprite_72_12_0, &direction_sprite_72_12_0, &direction_sprite_72_12_0};
static Image* images_sprite_72_13_0[10];
static Direction direction_sprite_72_13_0 = {0, 25, 25, 0, 1, 10, images_sprite_72_13_0};
static Animation anim_sprite_72_13 = {&direction_sprite_72_13_0, &direction_sprite_72_13_0, &direction_sprite_72_13_0, &direction_sprite_72_13_0, &direction_sprite_72_13_0, &direction_sprite_72_13_0, &direction_sprite_72_13_0, &direction_sprite_72_13_0, &direction_sprite_72_13_0, &direction_sprite_72_13_0, &direction_sprite_72_13_0, &direction_sprite_72_13_0, &direction_sprite_72_13_0, &direction_sprite_72_13_0, &direction_sprite_72_13_0, &direction_sprite_72_13_0, NULL, &direction_sprite_72_13_0, &direction_sprite_72_13_0, &direction_sprite_72_13_0, &direction_sprite_72_13_0, &direction_sprite_72_13_0, &direction_sprite_72_13_0, &direction_sprite_72_13_0, &direction_sprite_72_13_0, &direction_sprite_72_13_0, &direction_sprite_72_13_0, &direction_sprite_72_13_0, &direction_sprite_72_13_0, &direction_sprite_72_13_0, &direction_sprite_72_13_0, &direction_sprite_72_13_0};
static Image* images_sprite_72_14_0[3];
static Direction direction_sprite_72_14_0 = {0, 50, 50, 0, 1, 3, images_sprite_72_14_0};
static Animation anim_sprite_72_14 = {&direction_sprite_72_14_0, &direction_sprite_72_14_0, &direction_sprite_72_14_0, &direction_sprite_72_14_0, &direction_sprite_72_14_0, &direction_sprite_72_14_0, &direction_sprite_72_14_0, &direction_sprite_72_14_0, &direction_sprite_72_14_0, &direction_sprite_72_14_0, &direction_sprite_72_14_0, &direction_sprite_72_14_0, &direction_sprite_72_14_0, &direction_sprite_72_14_0, &direction_sprite_72_14_0, &direction_sprite_72_14_0, NULL, &direction_sprite_72_14_0, &direction_sprite_72_14_0, &direction_sprite_72_14_0, &direction_sprite_72_14_0, &direction_sprite_72_14_0, &direction_sprite_72_14_0, &direction_sprite_72_14_0, &direction_sprite_72_14_0, &direction_sprite_72_14_0, &direction_sprite_72_14_0, &direction_sprite_72_14_0, &direction_sprite_72_14_0, &direction_sprite_72_14_0, &direction_sprite_72_14_0, &direction_sprite_72_14_0};
static Image* images_sprite_72_15_0[3];
static Direction direction_sprite_72_15_0 = {0, 20, 20, 2, -1, 3, images_sprite_72_15_0};
static Image* images_sprite_72_15_16[3];
static Direction direction_sprite_72_15_16 = {16, 20, 20, 2, -1, 3, images_sprite_72_15_16};
static Animation anim_sprite_72_15 = {&direction_sprite_72_15_0, &direction_sprite_72_15_0, &direction_sprite_72_15_0, &direction_sprite_72_15_0, &direction_sprite_72_15_0, &direction_sprite_72_15_0, &direction_sprite_72_15_0, &direction_sprite_72_15_0, NULL, &direction_sprite_72_15_16, &direction_sprite_72_15_16, &direction_sprite_72_15_16, &direction_sprite_72_15_16, &direction_sprite_72_15_16, &direction_sprite_72_15_16, &direction_sprite_72_15_16, &direction_sprite_72_15_16, &direction_sprite_72_15_16, &direction_sprite_72_15_16, &direction_sprite_72_15_16, &direction_sprite_72_15_16, &direction_sprite_72_15_16, &direction_sprite_72_15_16, &direction_sprite_72_15_16, NULL, &direction_sprite_72_15_0, &direction_sprite_72_15_0, &direction_sprite_72_15_0, &direction_sprite_72_15_0, &direction_sprite_72_15_0, &direction_sprite_72_15_0, &direction_sprite_72_15_0};
static Image* images_sprite_72_16_0[4];
static Direction direction_sprite_72_16_0 = {0, 12, 12, 0, -1, 4, images_sprite_72_16_0};
static Image* images_sprite_72_16_16[4];
static Direction direction_sprite_72_16_16 = {16, 12, 12, 0, -1, 4, images_sprite_72_16_16};
static Animation anim_sprite_72_16 = {&direction_sprite_72_16_0, &direction_sprite_72_16_0, &direction_sprite_72_16_0, &direction_sprite_72_16_0, &direction_sprite_72_16_0, &direction_sprite_72_16_0, &direction_sprite_72_16_0, &direction_sprite_72_16_0, NULL, &direction_sprite_72_16_16, &direction_sprite_72_16_16, &direction_sprite_72_16_16, &direction_sprite_72_16_16, &direction_sprite_72_16_16, &direction_sprite_72_16_16, &direction_sprite_72_16_16, &direction_sprite_72_16_16, &direction_sprite_72_16_16, &direction_sprite_72_16_16, &direction_sprite_72_16_16, &direction_sprite_72_16_16, &direction_sprite_72_16_16, &direction_sprite_72_16_16, &direction_sprite_72_16_16, NULL, &direction_sprite_72_16_0, &direction_sprite_72_16_0, &direction_sprite_72_16_0, &direction_sprite_72_16_0, &direction_sprite_72_16_0, &direction_sprite_72_16_0, &direction_sprite_72_16_0};
static Image* images_sprite_72_17_0[1];
static Direction direction_sprite_72_17_0 = {0, 50, 50, 0, 1, 1, images_sprite_72_17_0};
static Image* images_sprite_72_17_16[1];
static Direction direction_sprite_72_17_16 = {16, 50, 50, 0, 1, 1, images_sprite_72_17_16};
static Animation anim_sprite_72_17 = {&direction_sprite_72_17_0, &direction_sprite_72_17_0, &direction_sprite_72_17_0, &direction_sprite_72_17_0, &direction_sprite_72_17_0, &direction_sprite_72_17_0, &direction_sprite_72_17_0, &direction_sprite_72_17_0, NULL, &direction_sprite_72_17_16, &direction_sprite_72_17_16, &direction_sprite_72_17_16, &direction_sprite_72_17_16, &direction_sprite_72_17_16, &direction_sprite_72_17_16, &direction_sprite_72_17_16, &direction_sprite_72_17_16, &direction_sprite_72_17_16, &direction_sprite_72_17_16, &direction_sprite_72_17_16, &direction_sprite_72_17_16, &direction_sprite_72_17_16, &direction_sprite_72_17_16, &direction_sprite_72_17_16, NULL, &direction_sprite_72_17_0, &direction_sprite_72_17_0, &direction_sprite_72_17_0, &direction_sprite_72_17_0, &direction_sprite_72_17_0, &direction_sprite_72_17_0, &direction_sprite_72_17_0};
static Image* images_sprite_72_18_0[1];
static Direction direction_sprite_72_18_0 = {0, 22, 22, 0, -1, 1, images_sprite_72_18_0};
static Image* images_sprite_72_18_16[1];
static Direction direction_sprite_72_18_16 = {16, 2, 22, 0, -1, 1, images_sprite_72_18_16};
static Animation anim_sprite_72_18 = {&direction_sprite_72_18_0, &direction_sprite_72_18_0, &direction_sprite_72_18_0, &direction_sprite_72_18_0, &direction_sprite_72_18_0, &direction_sprite_72_18_0, &direction_sprite_72_18_0, &direction_sprite_72_18_0, NULL, &direction_sprite_72_18_16, &direction_sprite_72_18_16, &direction_sprite_72_18_16, &direction_sprite_72_18_16, &direction_sprite_72_18_16, &direction_sprite_72_18_16, &direction_sprite_72_18_16, &direction_sprite_72_18_16, &direction_sprite_72_18_16, &direction_sprite_72_18_16, &direction_sprite_72_18_16, &direction_sprite_72_18_16, &direction_sprite_72_18_16, &direction_sprite_72_18_16, &direction_sprite_72_18_16, NULL, &direction_sprite_72_18_0, &direction_sprite_72_18_0, &direction_sprite_72_18_0, &direction_sprite_72_18_0, &direction_sprite_72_18_0, &direction_sprite_72_18_0, &direction_sprite_72_18_0};
static Image* images_sprite_72_19_0[1];
static Direction direction_sprite_72_19_0 = {0, 50, 50, 0, 1, 1, images_sprite_72_19_0};
static Image* images_sprite_72_19_16[1];
static Direction direction_sprite_72_19_16 = {16, 50, 50, 0, 1, 1, images_sprite_72_19_16};
static Animation anim_sprite_72_19 = {&direction_sprite_72_19_0, &direction_sprite_72_19_0, &direction_sprite_72_19_0, &direction_sprite_72_19_0, &direction_sprite_72_19_0, &direction_sprite_72_19_0, &direction_sprite_72_19_0, &direction_sprite_72_19_0, NULL, &direction_sprite_72_19_16, &direction_sprite_72_19_16, &direction_sprite_72_19_16, &direction_sprite_72_19_16, &direction_sprite_72_19_16, &direction_sprite_72_19_16, &direction_sprite_72_19_16, &direction_sprite_72_19_16, &direction_sprite_72_19_16, &direction_sprite_72_19_16, &direction_sprite_72_19_16, &direction_sprite_72_19_16, &direction_sprite_72_19_16, &direction_sprite_72_19_16, &direction_sprite_72_19_16, NULL, &direction_sprite_72_19_0, &direction_sprite_72_19_0, &direction_sprite_72_19_0, &direction_sprite_72_19_0, &direction_sprite_72_19_0, &direction_sprite_72_19_0, &direction_sprite_72_19_0};
static Image* images_sprite_72_20_0[1];
static Direction direction_sprite_72_20_0 = {0, 50, 50, 0, 1, 1, images_sprite_72_20_0};
static Image* images_sprite_72_20_16[1];
static Direction direction_sprite_72_20_16 = {16, 50, 50, 0, 1, 1, images_sprite_72_20_16};
static Animation anim_sprite_72_20 = {&direction_sprite_72_20_0, &direction_sprite_72_20_0, &direction_sprite_72_20_0, &direction_sprite_72_20_0, &direction_sprite_72_20_0, &direction_sprite_72_20_0, &direction_sprite_72_20_0, &direction_sprite_72_20_0, NULL, &direction_sprite_72_20_16, &direction_sprite_72_20_16, &direction_sprite_72_20_16, &direction_sprite_72_20_16, &direction_sprite_72_20_16, &direction_sprite_72_20_16, &direction_sprite_72_20_16, &direction_sprite_72_20_16, &direction_sprite_72_20_16, &direction_sprite_72_20_16, &direction_sprite_72_20_16, &direction_sprite_72_20_16, &direction_sprite_72_20_16, &direction_sprite_72_20_16, &direction_sprite_72_20_16, NULL, &direction_sprite_72_20_0, &direction_sprite_72_20_0, &direction_sprite_72_20_0, &direction_sprite_72_20_0, &direction_sprite_72_20_0, &direction_sprite_72_20_0, &direction_sprite_72_20_0};
static Image* images_sprite_72_21_0[4];
static Direction direction_sprite_72_21_0 = {0, 36, 36, 0, 2, 4, images_sprite_72_21_0};
static Image* images_sprite_72_21_16[4];
static Direction direction_sprite_72_21_16 = {16, 36, 36, 0, 3, 4, images_sprite_72_21_16};
static Animation anim_sprite_72_21 = {&direction_sprite_72_21_0, &direction_sprite_72_21_0, &direction_sprite_72_21_0, &direction_sprite_72_21_0, &direction_sprite_72_21_0, &direction_sprite_72_21_0, &direction_sprite_72_21_0, &direction_sprite_72_21_0, NULL, &direction_sprite_72_21_16, &direction_sprite_72_21_16, &direction_sprite_72_21_16, &direction_sprite_72_21_16, &direction_sprite_72_21_16, &direction_sprite_72_21_16, &direction_sprite_72_21_16, &direction_sprite_72_21_16, &direction_sprite_72_21_16, &direction_sprite_72_21_16, &direction_sprite_72_21_16, &direction_sprite_72_21_16, &direction_sprite_72_21_16, &direction_sprite_72_21_16, &direction_sprite_72_21_16, NULL, &direction_sprite_72_21_0, &direction_sprite_72_21_0, &direction_sprite_72_21_0, &direction_sprite_72_21_0, &direction_sprite_72_21_0, &direction_sprite_72_21_0, &direction_sprite_72_21_0};
static Image* images_sprite_72_22_0[6];
static Direction direction_sprite_72_22_0 = {0, 15, 15, 0, 1, 6, images_sprite_72_22_0};
static Image* images_sprite_72_22_16[6];
static Direction direction_sprite_72_22_16 = {16, 15, 15, 0, 1, 6, images_sprite_72_22_16};
static Animation anim_sprite_72_22 = {&direction_sprite_72_22_0, &direction_sprite_72_22_0, &direction_sprite_72_22_0, &direction_sprite_72_22_0, &direction_sprite_72_22_0, &direction_sprite_72_22_0, &direction_sprite_72_22_0, &direction_sprite_72_22_0, NULL, &direction_sprite_72_22_16, &direction_sprite_72_22_16, &direction_sprite_72_22_16, &direction_sprite_72_22_16, &direction_sprite_72_22_16, &direction_sprite_72_22_16, &direction_sprite_72_22_16, &direction_sprite_72_22_16, &direction_sprite_72_22_16, &direction_sprite_72_22_16, &direction_sprite_72_22_16, &direction_sprite_72_22_16, &direction_sprite_72_22_16, &direction_sprite_72_22_16, &direction_sprite_72_22_16, NULL, &direction_sprite_72_22_0, &direction_sprite_72_22_0, &direction_sprite_72_22_0, &direction_sprite_72_22_0, &direction_sprite_72_22_0, &direction_sprite_72_22_0, &direction_sprite_72_22_0};
static Animation * anim_array_sprite_72[23] = {&anim_sprite_72_0, &anim_sprite_72_1, &anim_sprite_72_2, NULL, NULL, &anim_sprite_72_5, NULL, &anim_sprite_72_7, &anim_sprite_72_8, NULL, NULL, NULL, &anim_sprite_72_12, &anim_sprite_72_13, &anim_sprite_72_14, &anim_sprite_72_15, &anim_sprite_72_16, &anim_sprite_72_17, &anim_sprite_72_18, &anim_sprite_72_19, &anim_sprite_72_20, &anim_sprite_72_21, &anim_sprite_72_22};
static Animations anim_sprite_72 = {23, &anim_array_sprite_72[0]};
static bool anim_sprite_72_initialized;
class Sprite_72 : public Active
{
public:
    Sprite_72(int x, int y) : Active(x, y, Sprite_72_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Sprite", 6);
#endif
        this->animations = &anim_sprite_72;
        if (!anim_sprite_72_initialized) {
            anim_sprite_72_initialized = true;
            images_sprite_72_0_0[0] = get_internal_image_direct(660);
            images_sprite_72_0_0[1] = get_internal_image_direct(671);
            images_sprite_72_0_0[2] = get_internal_image_direct(675);
            images_sprite_72_0_0[3] = get_internal_image_direct(733);
            images_sprite_72_0_0[4] = get_internal_image_direct(655);
            images_sprite_72_0_0[5] = get_internal_image_direct(659);
            images_sprite_72_0_16[0] = get_internal_image_direct(819);
            images_sprite_72_0_16[1] = get_internal_image_direct(820);
            images_sprite_72_0_16[2] = get_internal_image_direct(821);
            images_sprite_72_0_16[3] = get_internal_image_direct(822);
            images_sprite_72_0_16[4] = get_internal_image_direct(823);
            images_sprite_72_0_16[5] = get_internal_image_direct(824);
            images_sprite_72_1_0[0] = get_internal_image_direct(728);
            images_sprite_72_1_0[1] = get_internal_image_direct(802);
            images_sprite_72_1_0[2] = get_internal_image_direct(664);
            images_sprite_72_1_0[3] = get_internal_image_direct(802);
            images_sprite_72_1_16[0] = get_internal_image_direct(825);
            images_sprite_72_1_16[1] = get_internal_image_direct(826);
            images_sprite_72_1_16[2] = get_internal_image_direct(827);
            images_sprite_72_1_16[3] = get_internal_image_direct(826);
            images_sprite_72_2_0[0] = get_internal_image_direct(650);
            images_sprite_72_2_0[1] = get_internal_image_direct(651);
            images_sprite_72_2_0[2] = get_internal_image_direct(648);
            images_sprite_72_2_0[3] = get_internal_image_direct(652);
            images_sprite_72_5_0[0] = get_internal_image_direct(653);
            images_sprite_72_5_0[1] = get_internal_image_direct(680);
            images_sprite_72_5_0[2] = get_internal_image_direct(688);
            images_sprite_72_5_0[3] = get_internal_image_direct(680);
            images_sprite_72_7_0[0] = get_internal_image_direct(708);
            images_sprite_72_7_0[1] = get_internal_image_direct(712);
            images_sprite_72_7_16[0] = get_internal_image_direct(828);
            images_sprite_72_7_16[1] = get_internal_image_direct(829);
            images_sprite_72_8_0[0] = get_internal_image_direct(708);
            images_sprite_72_8_0[1] = get_internal_image_direct(713);
            images_sprite_72_8_16[0] = get_internal_image_direct(828);
            images_sprite_72_8_16[1] = get_internal_image_direct(830);
            images_sprite_72_12_0[0] = get_internal_image_direct(52);
            images_sprite_72_12_0[1] = get_internal_image_direct(52);
            images_sprite_72_12_0[2] = get_internal_image_direct(52);
            images_sprite_72_12_0[3] = get_internal_image_direct(52);
            images_sprite_72_12_0[4] = get_internal_image_direct(52);
            images_sprite_72_12_0[5] = get_internal_image_direct(52);
            images_sprite_72_12_0[6] = get_internal_image_direct(52);
            images_sprite_72_12_0[7] = get_internal_image_direct(52);
            images_sprite_72_12_0[8] = get_internal_image_direct(52);
            images_sprite_72_12_0[9] = get_internal_image_direct(52);
            images_sprite_72_12_0[10] = get_internal_image_direct(52);
            images_sprite_72_12_0[11] = get_internal_image_direct(52);
            images_sprite_72_12_0[12] = get_internal_image_direct(52);
            images_sprite_72_12_0[13] = get_internal_image_direct(52);
            images_sprite_72_12_0[14] = get_internal_image_direct(52);
            images_sprite_72_12_0[15] = get_internal_image_direct(52);
            images_sprite_72_12_0[16] = get_internal_image_direct(52);
            images_sprite_72_12_0[17] = get_internal_image_direct(53);
            images_sprite_72_12_0[18] = get_internal_image_direct(52);
            images_sprite_72_13_0[0] = get_internal_image_direct(51);
            images_sprite_72_13_0[1] = get_internal_image_direct(51);
            images_sprite_72_13_0[2] = get_internal_image_direct(51);
            images_sprite_72_13_0[3] = get_internal_image_direct(51);
            images_sprite_72_13_0[4] = get_internal_image_direct(51);
            images_sprite_72_13_0[5] = get_internal_image_direct(51);
            images_sprite_72_13_0[6] = get_internal_image_direct(51);
            images_sprite_72_13_0[7] = get_internal_image_direct(51);
            images_sprite_72_13_0[8] = get_internal_image_direct(51);
            images_sprite_72_13_0[9] = get_internal_image_direct(51);
            images_sprite_72_14_0[0] = get_internal_image_direct(83);
            images_sprite_72_14_0[1] = get_internal_image_direct(112);
            images_sprite_72_14_0[2] = get_internal_image_direct(665);
            images_sprite_72_15_0[0] = get_internal_image_direct(730);
            images_sprite_72_15_0[1] = get_internal_image_direct(818);
            images_sprite_72_15_0[2] = get_internal_image_direct(732);
            images_sprite_72_15_16[0] = get_internal_image_direct(833);
            images_sprite_72_15_16[1] = get_internal_image_direct(832);
            images_sprite_72_15_16[2] = get_internal_image_direct(831);
            images_sprite_72_16_0[0] = get_internal_image_direct(661);
            images_sprite_72_16_0[1] = get_internal_image_direct(672);
            images_sprite_72_16_0[2] = get_internal_image_direct(657);
            images_sprite_72_16_0[3] = get_internal_image_direct(672);
            images_sprite_72_16_16[0] = get_internal_image_direct(834);
            images_sprite_72_16_16[1] = get_internal_image_direct(836);
            images_sprite_72_16_16[2] = get_internal_image_direct(840);
            images_sprite_72_16_16[3] = get_internal_image_direct(836);
            images_sprite_72_17_0[0] = get_internal_image_direct(677);
            images_sprite_72_17_16[0] = get_internal_image_direct(837);
            images_sprite_72_18_0[0] = get_internal_image_direct(707);
            images_sprite_72_18_16[0] = get_internal_image_direct(839);
            images_sprite_72_19_0[0] = get_internal_image_direct(709);
            images_sprite_72_19_16[0] = get_internal_image_direct(835);
            images_sprite_72_20_0[0] = get_internal_image_direct(838);
            images_sprite_72_20_16[0] = get_internal_image_direct(841);
            images_sprite_72_21_0[0] = get_internal_image_direct(814);
            images_sprite_72_21_0[1] = get_internal_image_direct(817);
            images_sprite_72_21_0[2] = get_internal_image_direct(662);
            images_sprite_72_21_0[3] = get_internal_image_direct(662);
            images_sprite_72_21_16[0] = get_internal_image_direct(842);
            images_sprite_72_21_16[1] = get_internal_image_direct(843);
            images_sprite_72_21_16[2] = get_internal_image_direct(662);
            images_sprite_72_21_16[3] = get_internal_image_direct(662);
            images_sprite_72_22_0[0] = get_internal_image_direct(660);
            images_sprite_72_22_0[1] = get_internal_image_direct(809);
            images_sprite_72_22_0[2] = get_internal_image_direct(813);
            images_sprite_72_22_0[3] = get_internal_image_direct(811);
            images_sprite_72_22_0[4] = get_internal_image_direct(812);
            images_sprite_72_22_0[5] = get_internal_image_direct(810);
            images_sprite_72_22_16[0] = get_internal_image_direct(819);
            images_sprite_72_22_16[1] = get_internal_image_direct(844);
            images_sprite_72_22_16[2] = get_internal_image_direct(845);
            images_sprite_72_22_16[3] = get_internal_image_direct(846);
            images_sprite_72_22_16[4] = get_internal_image_direct(847);
            images_sprite_72_22_16[5] = get_internal_image_direct(848);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        set_direction(0);
        create_alterables();
    }
};
FrameObject * create_sprite_72(int x, int y)
{
    return new (Active::pool.create()) Sprite_72(x, y);
}
static Image* images_conveyorl_73_0_0[1];
static Direction direction_conveyorl_73_0_0 = {0, 70, 70, 0, -1, 1, images_conveyorl_73_0_0};
static Animation anim_conveyorl_73_0 = {&direction_conveyorl_73_0_0, &direction_conveyorl_73_0_0, &direction_conveyorl_73_0_0, &direction_conveyorl_73_0_0, &direction_conveyorl_73_0_0, &direction_conveyorl_73_0_0, &direction_conveyorl_73_0_0, &direction_conveyorl_73_0_0, &direction_conveyorl_73_0_0, &direction_conveyorl_73_0_0, &direction_conveyorl_73_0_0, &direction_conveyorl_73_0_0, &direction_conveyorl_73_0_0, &direction_conveyorl_73_0_0, &direction_conveyorl_73_0_0, &direction_conveyorl_73_0_0, NULL, &direction_conveyorl_73_0_0, &direction_conveyorl_73_0_0, &direction_conveyorl_73_0_0, &direction_conveyorl_73_0_0, &direction_conveyorl_73_0_0, &direction_conveyorl_73_0_0, &direction_conveyorl_73_0_0, &direction_conveyorl_73_0_0, &direction_conveyorl_73_0_0, &direction_conveyorl_73_0_0, &direction_conveyorl_73_0_0, &direction_conveyorl_73_0_0, &direction_conveyorl_73_0_0, &direction_conveyorl_73_0_0, &direction_conveyorl_73_0_0};
static Animation * anim_array_conveyorl_73[1] = {&anim_conveyorl_73_0};
static Animations anim_conveyorl_73 = {1, &anim_array_conveyorl_73[0]};
static bool anim_conveyorl_73_initialized;
class ConveyorL_73 : public Active
{
public:
    ConveyorL_73(int x, int y) : Active(x, y, ConveyorL_73_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Conveyor L", 10);
#endif
        this->animations = &anim_conveyorl_73;
        if (!anim_conveyorl_73_initialized) {
            anim_conveyorl_73_initialized = true;
            images_conveyorl_73_0_0[0] = get_internal_image_direct(82);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_conveyorl_73(int x, int y)
{
    return new (Active::pool.create()) ConveyorL_73(x, y);
}
static Image* images_conveyorr_74_0_0[1];
static Direction direction_conveyorr_74_0_0 = {0, 70, 70, 0, -1, 1, images_conveyorr_74_0_0};
static Animation anim_conveyorr_74_0 = {&direction_conveyorr_74_0_0, &direction_conveyorr_74_0_0, &direction_conveyorr_74_0_0, &direction_conveyorr_74_0_0, &direction_conveyorr_74_0_0, &direction_conveyorr_74_0_0, &direction_conveyorr_74_0_0, &direction_conveyorr_74_0_0, &direction_conveyorr_74_0_0, &direction_conveyorr_74_0_0, &direction_conveyorr_74_0_0, &direction_conveyorr_74_0_0, &direction_conveyorr_74_0_0, &direction_conveyorr_74_0_0, &direction_conveyorr_74_0_0, &direction_conveyorr_74_0_0, NULL, &direction_conveyorr_74_0_0, &direction_conveyorr_74_0_0, &direction_conveyorr_74_0_0, &direction_conveyorr_74_0_0, &direction_conveyorr_74_0_0, &direction_conveyorr_74_0_0, &direction_conveyorr_74_0_0, &direction_conveyorr_74_0_0, &direction_conveyorr_74_0_0, &direction_conveyorr_74_0_0, &direction_conveyorr_74_0_0, &direction_conveyorr_74_0_0, &direction_conveyorr_74_0_0, &direction_conveyorr_74_0_0, &direction_conveyorr_74_0_0};
static Animation * anim_array_conveyorr_74[1] = {&anim_conveyorr_74_0};
static Animations anim_conveyorr_74 = {1, &anim_array_conveyorr_74[0]};
static bool anim_conveyorr_74_initialized;
class ConveyorR_74 : public Active
{
public:
    ConveyorR_74(int x, int y) : Active(x, y, ConveyorR_74_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Conveyor R", 10);
#endif
        this->animations = &anim_conveyorr_74;
        if (!anim_conveyorr_74_initialized) {
            anim_conveyorr_74_initialized = true;
            images_conveyorr_74_0_0[0] = get_internal_image_direct(88);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_conveyorr_74(int x, int y)
{
    return new (Active::pool.create()) ConveyorR_74(x, y);
}
static Image* images_key_75_0_0[28];
static Direction direction_key_75_0_0 = {0, 50, 50, 0, -1, 28, images_key_75_0_0};
static Animation anim_key_75_0 = {&direction_key_75_0_0, &direction_key_75_0_0, &direction_key_75_0_0, &direction_key_75_0_0, &direction_key_75_0_0, &direction_key_75_0_0, &direction_key_75_0_0, &direction_key_75_0_0, &direction_key_75_0_0, &direction_key_75_0_0, &direction_key_75_0_0, &direction_key_75_0_0, &direction_key_75_0_0, &direction_key_75_0_0, &direction_key_75_0_0, &direction_key_75_0_0, NULL, &direction_key_75_0_0, &direction_key_75_0_0, &direction_key_75_0_0, &direction_key_75_0_0, &direction_key_75_0_0, &direction_key_75_0_0, &direction_key_75_0_0, &direction_key_75_0_0, &direction_key_75_0_0, &direction_key_75_0_0, &direction_key_75_0_0, &direction_key_75_0_0, &direction_key_75_0_0, &direction_key_75_0_0, &direction_key_75_0_0};
static Animation * anim_array_key_75[1] = {&anim_key_75_0};
static Animations anim_key_75 = {1, &anim_array_key_75[0]};
static bool anim_key_75_initialized;
class Key_75 : public Active
{
public:
    Key_75(int x, int y) : Active(x, y, Key_75_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Key", 3);
#endif
        this->animations = &anim_key_75;
        if (!anim_key_75_initialized) {
            anim_key_75_initialized = true;
            images_key_75_0_0[0] = get_internal_image_direct(42);
            images_key_75_0_0[1] = get_internal_image_direct(10);
            images_key_75_0_0[2] = get_internal_image_direct(271);
            images_key_75_0_0[3] = get_internal_image_direct(275);
            images_key_75_0_0[4] = get_internal_image_direct(274);
            images_key_75_0_0[5] = get_internal_image_direct(276);
            images_key_75_0_0[6] = get_internal_image_direct(281);
            images_key_75_0_0[7] = get_internal_image_direct(280);
            images_key_75_0_0[8] = get_internal_image_direct(289);
            images_key_75_0_0[9] = get_internal_image_direct(299);
            images_key_75_0_0[10] = get_internal_image_direct(282);
            images_key_75_0_0[11] = get_internal_image_direct(42);
            images_key_75_0_0[12] = get_internal_image_direct(42);
            images_key_75_0_0[13] = get_internal_image_direct(42);
            images_key_75_0_0[14] = get_internal_image_direct(42);
            images_key_75_0_0[15] = get_internal_image_direct(42);
            images_key_75_0_0[16] = get_internal_image_direct(42);
            images_key_75_0_0[17] = get_internal_image_direct(42);
            images_key_75_0_0[18] = get_internal_image_direct(42);
            images_key_75_0_0[19] = get_internal_image_direct(42);
            images_key_75_0_0[20] = get_internal_image_direct(42);
            images_key_75_0_0[21] = get_internal_image_direct(42);
            images_key_75_0_0[22] = get_internal_image_direct(42);
            images_key_75_0_0[23] = get_internal_image_direct(42);
            images_key_75_0_0[24] = get_internal_image_direct(42);
            images_key_75_0_0[25] = get_internal_image_direct(42);
            images_key_75_0_0[26] = get_internal_image_direct(42);
            images_key_75_0_0[27] = get_internal_image_direct(42);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_key_75(int x, int y)
{
    return new (Active::pool.create()) Key_75(x, y);
}
static Image* images_door_76_0_0[1];
static Direction direction_door_76_0_0 = {0, 50, 50, 0, 1, 1, images_door_76_0_0};
static Animation anim_door_76_0 = {&direction_door_76_0_0, &direction_door_76_0_0, &direction_door_76_0_0, &direction_door_76_0_0, &direction_door_76_0_0, &direction_door_76_0_0, &direction_door_76_0_0, &direction_door_76_0_0, &direction_door_76_0_0, &direction_door_76_0_0, &direction_door_76_0_0, &direction_door_76_0_0, &direction_door_76_0_0, &direction_door_76_0_0, &direction_door_76_0_0, &direction_door_76_0_0, NULL, &direction_door_76_0_0, &direction_door_76_0_0, &direction_door_76_0_0, &direction_door_76_0_0, &direction_door_76_0_0, &direction_door_76_0_0, &direction_door_76_0_0, &direction_door_76_0_0, &direction_door_76_0_0, &direction_door_76_0_0, &direction_door_76_0_0, &direction_door_76_0_0, &direction_door_76_0_0, &direction_door_76_0_0, &direction_door_76_0_0};
static Image* images_door_76_4_0[7];
static Direction direction_door_76_4_0 = {0, 100, 100, 0, 1, 7, images_door_76_4_0};
static Animation anim_door_76_4 = {&direction_door_76_4_0, &direction_door_76_4_0, &direction_door_76_4_0, &direction_door_76_4_0, &direction_door_76_4_0, &direction_door_76_4_0, &direction_door_76_4_0, &direction_door_76_4_0, &direction_door_76_4_0, &direction_door_76_4_0, &direction_door_76_4_0, &direction_door_76_4_0, &direction_door_76_4_0, &direction_door_76_4_0, &direction_door_76_4_0, &direction_door_76_4_0, NULL, &direction_door_76_4_0, &direction_door_76_4_0, &direction_door_76_4_0, &direction_door_76_4_0, &direction_door_76_4_0, &direction_door_76_4_0, &direction_door_76_4_0, &direction_door_76_4_0, &direction_door_76_4_0, &direction_door_76_4_0, &direction_door_76_4_0, &direction_door_76_4_0, &direction_door_76_4_0, &direction_door_76_4_0, &direction_door_76_4_0};
static Animation * anim_array_door_76[5] = {&anim_door_76_0, NULL, NULL, NULL, &anim_door_76_4};
static Animations anim_door_76 = {5, &anim_array_door_76[0]};
static bool anim_door_76_initialized;
class Door_76 : public Active
{
public:
    Door_76(int x, int y) : Active(x, y, Door_76_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Door", 4);
#endif
        this->animations = &anim_door_76;
        if (!anim_door_76_initialized) {
            anim_door_76_initialized = true;
            images_door_76_0_0[0] = get_internal_image_direct(74);
            images_door_76_4_0[0] = get_internal_image_direct(780);
            images_door_76_4_0[1] = get_internal_image_direct(781);
            images_door_76_4_0[2] = get_internal_image_direct(782);
            images_door_76_4_0[3] = get_internal_image_direct(783);
            images_door_76_4_0[4] = get_internal_image_direct(784);
            images_door_76_4_0[5] = get_internal_image_direct(785);
            images_door_76_4_0[6] = get_internal_image_direct(786);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_door_76(int x, int y)
{
    return new (Active::pool.create()) Door_76(x, y);
}
static Image* images_spring_77_0_0[1];
static Direction direction_spring_77_0_0 = {0, 50, 50, 0, 1, 1, images_spring_77_0_0};
static Animation anim_spring_77_0 = {&direction_spring_77_0_0, &direction_spring_77_0_0, &direction_spring_77_0_0, &direction_spring_77_0_0, &direction_spring_77_0_0, &direction_spring_77_0_0, &direction_spring_77_0_0, &direction_spring_77_0_0, &direction_spring_77_0_0, &direction_spring_77_0_0, &direction_spring_77_0_0, &direction_spring_77_0_0, &direction_spring_77_0_0, &direction_spring_77_0_0, &direction_spring_77_0_0, &direction_spring_77_0_0, NULL, &direction_spring_77_0_0, &direction_spring_77_0_0, &direction_spring_77_0_0, &direction_spring_77_0_0, &direction_spring_77_0_0, &direction_spring_77_0_0, &direction_spring_77_0_0, &direction_spring_77_0_0, &direction_spring_77_0_0, &direction_spring_77_0_0, &direction_spring_77_0_0, &direction_spring_77_0_0, &direction_spring_77_0_0, &direction_spring_77_0_0, &direction_spring_77_0_0};
static Image* images_spring_77_12_0[4];
static Direction direction_spring_77_12_0 = {0, 35, 35, 0, 1, 4, images_spring_77_12_0};
static Animation anim_spring_77_12 = {&direction_spring_77_12_0, &direction_spring_77_12_0, &direction_spring_77_12_0, &direction_spring_77_12_0, &direction_spring_77_12_0, &direction_spring_77_12_0, &direction_spring_77_12_0, &direction_spring_77_12_0, &direction_spring_77_12_0, &direction_spring_77_12_0, &direction_spring_77_12_0, &direction_spring_77_12_0, &direction_spring_77_12_0, &direction_spring_77_12_0, &direction_spring_77_12_0, &direction_spring_77_12_0, NULL, &direction_spring_77_12_0, &direction_spring_77_12_0, &direction_spring_77_12_0, &direction_spring_77_12_0, &direction_spring_77_12_0, &direction_spring_77_12_0, &direction_spring_77_12_0, &direction_spring_77_12_0, &direction_spring_77_12_0, &direction_spring_77_12_0, &direction_spring_77_12_0, &direction_spring_77_12_0, &direction_spring_77_12_0, &direction_spring_77_12_0, &direction_spring_77_12_0};
static Animation * anim_array_spring_77[13] = {&anim_spring_77_0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, &anim_spring_77_12};
static Animations anim_spring_77 = {13, &anim_array_spring_77[0]};
static bool anim_spring_77_initialized;
class Spring_77 : public Active
{
public:
    Spring_77(int x, int y) : Active(x, y, Spring_77_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Spring", 6);
#endif
        this->animations = &anim_spring_77;
        if (!anim_spring_77_initialized) {
            anim_spring_77_initialized = true;
            images_spring_77_0_0[0] = get_internal_image_direct(39);
            images_spring_77_12_0[0] = get_internal_image_direct(30);
            images_spring_77_12_0[1] = get_internal_image_direct(36);
            images_spring_77_12_0[2] = get_internal_image_direct(39);
            images_spring_77_12_0[3] = get_internal_image_direct(33);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_spring_77(int x, int y)
{
    return new (Active::pool.create()) Spring_77(x, y);
}
class BgParallaxfar_78 : public QuickBackdrop
{
public:
    BgParallaxfar_78(int x, int y) : QuickBackdrop(x, y, BACKGROUND_TYPE)
    {
#ifndef NDEBUG
        name = chowstring("bg-parallaxfar", 14);
#endif
        flags |= BACKGROUND;
        flags |= BACKGROUND_COL;
        width = 7000;
        height = 7000;
        image = get_internal_image(631);
        outline = 0;
    }
};
FrameObject * create_bgparallaxfar_78(int x, int y)
{
    return new (QuickBackdrop::pool.create()) BgParallaxfar_78(x, y);
}
static Image* images_vertplatform_79_0_0[2];
static Direction direction_vertplatform_79_0_0 = {0, 50, 50, 0, -1, 2, images_vertplatform_79_0_0};
static Animation anim_vertplatform_79_0 = {&direction_vertplatform_79_0_0, &direction_vertplatform_79_0_0, &direction_vertplatform_79_0_0, &direction_vertplatform_79_0_0, &direction_vertplatform_79_0_0, &direction_vertplatform_79_0_0, &direction_vertplatform_79_0_0, &direction_vertplatform_79_0_0, &direction_vertplatform_79_0_0, &direction_vertplatform_79_0_0, &direction_vertplatform_79_0_0, &direction_vertplatform_79_0_0, &direction_vertplatform_79_0_0, &direction_vertplatform_79_0_0, &direction_vertplatform_79_0_0, &direction_vertplatform_79_0_0, NULL, &direction_vertplatform_79_0_0, &direction_vertplatform_79_0_0, &direction_vertplatform_79_0_0, &direction_vertplatform_79_0_0, &direction_vertplatform_79_0_0, &direction_vertplatform_79_0_0, &direction_vertplatform_79_0_0, &direction_vertplatform_79_0_0, &direction_vertplatform_79_0_0, &direction_vertplatform_79_0_0, &direction_vertplatform_79_0_0, &direction_vertplatform_79_0_0, &direction_vertplatform_79_0_0, &direction_vertplatform_79_0_0, &direction_vertplatform_79_0_0};
static Image* images_vertplatform_79_3_0[30];
static Direction direction_vertplatform_79_3_0 = {0, 50, 50, 0, 1, 30, images_vertplatform_79_3_0};
static Animation anim_vertplatform_79_3 = {&direction_vertplatform_79_3_0, &direction_vertplatform_79_3_0, &direction_vertplatform_79_3_0, &direction_vertplatform_79_3_0, &direction_vertplatform_79_3_0, &direction_vertplatform_79_3_0, &direction_vertplatform_79_3_0, &direction_vertplatform_79_3_0, &direction_vertplatform_79_3_0, &direction_vertplatform_79_3_0, &direction_vertplatform_79_3_0, &direction_vertplatform_79_3_0, &direction_vertplatform_79_3_0, &direction_vertplatform_79_3_0, &direction_vertplatform_79_3_0, &direction_vertplatform_79_3_0, NULL, &direction_vertplatform_79_3_0, &direction_vertplatform_79_3_0, &direction_vertplatform_79_3_0, &direction_vertplatform_79_3_0, &direction_vertplatform_79_3_0, &direction_vertplatform_79_3_0, &direction_vertplatform_79_3_0, &direction_vertplatform_79_3_0, &direction_vertplatform_79_3_0, &direction_vertplatform_79_3_0, &direction_vertplatform_79_3_0, &direction_vertplatform_79_3_0, &direction_vertplatform_79_3_0, &direction_vertplatform_79_3_0, &direction_vertplatform_79_3_0};
static Animation * anim_array_vertplatform_79[4] = {&anim_vertplatform_79_0, NULL, NULL, &anim_vertplatform_79_3};
static Animations anim_vertplatform_79 = {4, &anim_array_vertplatform_79[0]};
static bool anim_vertplatform_79_initialized;
class VertPlatform_79 : public Active
{
public:
    VertPlatform_79(int x, int y) : Active(x, y, VertPlatform_79_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Vert Platform", 13);
#endif
        this->animations = &anim_vertplatform_79;
        if (!anim_vertplatform_79_initialized) {
            anim_vertplatform_79_initialized = true;
            images_vertplatform_79_0_0[0] = get_internal_image_direct(366);
            images_vertplatform_79_0_0[1] = get_internal_image_direct(388);
            images_vertplatform_79_3_0[0] = get_internal_image_direct(501);
            images_vertplatform_79_3_0[1] = get_internal_image_direct(485);
            images_vertplatform_79_3_0[2] = get_internal_image_direct(502);
            images_vertplatform_79_3_0[3] = get_internal_image_direct(505);
            images_vertplatform_79_3_0[4] = get_internal_image_direct(508);
            images_vertplatform_79_3_0[5] = get_internal_image_direct(509);
            images_vertplatform_79_3_0[6] = get_internal_image_direct(513);
            images_vertplatform_79_3_0[7] = get_internal_image_direct(514);
            images_vertplatform_79_3_0[8] = get_internal_image_direct(515);
            images_vertplatform_79_3_0[9] = get_internal_image_direct(522);
            images_vertplatform_79_3_0[10] = get_internal_image_direct(520);
            images_vertplatform_79_3_0[11] = get_internal_image_direct(523);
            images_vertplatform_79_3_0[12] = get_internal_image_direct(524);
            images_vertplatform_79_3_0[13] = get_internal_image_direct(521);
            images_vertplatform_79_3_0[14] = get_internal_image_direct(525);
            images_vertplatform_79_3_0[15] = get_internal_image_direct(527);
            images_vertplatform_79_3_0[16] = get_internal_image_direct(526);
            images_vertplatform_79_3_0[17] = get_internal_image_direct(528);
            images_vertplatform_79_3_0[18] = get_internal_image_direct(530);
            images_vertplatform_79_3_0[19] = get_internal_image_direct(531);
            images_vertplatform_79_3_0[20] = get_internal_image_direct(529);
            images_vertplatform_79_3_0[21] = get_internal_image_direct(532);
            images_vertplatform_79_3_0[22] = get_internal_image_direct(534);
            images_vertplatform_79_3_0[23] = get_internal_image_direct(533);
            images_vertplatform_79_3_0[24] = get_internal_image_direct(536);
            images_vertplatform_79_3_0[25] = get_internal_image_direct(538);
            images_vertplatform_79_3_0[26] = get_internal_image_direct(539);
            images_vertplatform_79_3_0[27] = get_internal_image_direct(540);
            images_vertplatform_79_3_0[28] = get_internal_image_direct(541);
            images_vertplatform_79_3_0[29] = get_internal_image_direct(388);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        forced_animation = current_animation = APPEARING;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_vertplatform_79(int x, int y)
{
    return new (Active::pool.create()) VertPlatform_79(x, y);
}
static Image* images_vertdetector_80_0_0[1];
static Direction direction_vertdetector_80_0_0 = {0, 50, 50, 0, 1, 1, images_vertdetector_80_0_0};
static Animation anim_vertdetector_80_0 = {&direction_vertdetector_80_0_0, &direction_vertdetector_80_0_0, &direction_vertdetector_80_0_0, &direction_vertdetector_80_0_0, &direction_vertdetector_80_0_0, &direction_vertdetector_80_0_0, &direction_vertdetector_80_0_0, &direction_vertdetector_80_0_0, &direction_vertdetector_80_0_0, &direction_vertdetector_80_0_0, &direction_vertdetector_80_0_0, &direction_vertdetector_80_0_0, &direction_vertdetector_80_0_0, &direction_vertdetector_80_0_0, &direction_vertdetector_80_0_0, &direction_vertdetector_80_0_0, NULL, &direction_vertdetector_80_0_0, &direction_vertdetector_80_0_0, &direction_vertdetector_80_0_0, &direction_vertdetector_80_0_0, &direction_vertdetector_80_0_0, &direction_vertdetector_80_0_0, &direction_vertdetector_80_0_0, &direction_vertdetector_80_0_0, &direction_vertdetector_80_0_0, &direction_vertdetector_80_0_0, &direction_vertdetector_80_0_0, &direction_vertdetector_80_0_0, &direction_vertdetector_80_0_0, &direction_vertdetector_80_0_0, &direction_vertdetector_80_0_0};
static Animation * anim_array_vertdetector_80[1] = {&anim_vertdetector_80_0};
static Animations anim_vertdetector_80 = {1, &anim_array_vertdetector_80[0]};
static bool anim_vertdetector_80_initialized;
class VertDetector_80 : public Active
{
public:
    VertDetector_80(int x, int y) : Active(x, y, VertDetector_80_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Vert Detector", 13);
#endif
        set_visible(false);
        this->animations = &anim_vertdetector_80;
        if (!anim_vertdetector_80_initialized) {
            anim_vertdetector_80_initialized = true;
            images_vertdetector_80_0_0[0] = get_internal_image_direct(21);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_vertdetector_80(int x, int y)
{
    return new (Active::pool.create()) VertDetector_80(x, y);
}
class BgParallaxnear_81 : public QuickBackdrop
{
public:
    BgParallaxnear_81(int x, int y) : QuickBackdrop(x, y, BACKGROUND_TYPE)
    {
#ifndef NDEBUG
        name = chowstring("bg-parallaxnear", 15);
#endif
        flags |= BACKGROUND;
        flags |= BACKGROUND_COL;
        width = 7000;
        height = 7000;
        image = get_internal_image(669);
        outline = 0;
    }
};
FrameObject * create_bgparallaxnear_81(int x, int y)
{
    return new (QuickBackdrop::pool.create()) BgParallaxnear_81(x, y);
}
class BgGrasstop_82 : public Backdrop
{
public:
    BgGrasstop_82(int x, int y) : Backdrop(x, y, BACKGROUND_TYPE)
    {
#ifndef NDEBUG
        name = chowstring("bg-grasstop", 11);
#endif
        flags |= BACKGROUND;
        flags |= BACKGROUND_COL;
#ifdef BACK_ID_BG_GRASSTOP
        manager.frame->back_instances[BACK_ID_BG_GRASSTOP].push_back(this);
#endif
        image = get_internal_image(26);
        width = image->width;
        height = image->height;
        collision = new BackdropCollision(this, image);
    }
};
FrameObject * create_bggrasstop_82(int x, int y)
{
    return new (Backdrop::pool.create()) BgGrasstop_82(x, y);
}
class BgDirt_83 : public Backdrop
{
public:
    BgDirt_83(int x, int y) : Backdrop(x, y, BACKGROUND_TYPE)
    {
#ifndef NDEBUG
        name = chowstring("bg-dirt", 7);
#endif
        flags |= BACKGROUND;
        flags |= BACKGROUND_COL;
#ifdef BACK_ID_BG_DIRT
        manager.frame->back_instances[BACK_ID_BG_DIRT].push_back(this);
#endif
        image = get_internal_image(25);
        width = image->width;
        height = image->height;
    }
};
FrameObject * create_bgdirt_83(int x, int y)
{
    return new (Backdrop::pool.create()) BgDirt_83(x, y);
}
class BgFloortilessolid_84 : public Backdrop
{
public:
    BgFloortilessolid_84(int x, int y) : Backdrop(x, y, BACKGROUND_TYPE)
    {
#ifndef NDEBUG
        name = chowstring("bg-floortilessolid", 18);
#endif
        flags |= BACKGROUND;
        flags |= BACKGROUND_COL;
#ifdef BACK_ID_BG_FLOORTILESSOLID
        manager.frame->back_instances[BACK_ID_BG_FLOORTILESSOLID].push_back(this);
#endif
        image = get_internal_image(29);
        width = image->width;
        height = image->height;
        collision = new BackdropCollision(this, image);
    }
};
FrameObject * create_bgfloortilessolid_84(int x, int y)
{
    return new (Backdrop::pool.create()) BgFloortilessolid_84(x, y);
}
class BgNonsolidtiles_85 : public Backdrop
{
public:
    BgNonsolidtiles_85(int x, int y) : Backdrop(x, y, BACKGROUND_TYPE)
    {
#ifndef NDEBUG
        name = chowstring("bg-nonsolidtiles", 16);
#endif
        flags |= BACKGROUND;
        flags |= BACKGROUND_COL;
#ifdef BACK_ID_BG_NONSOLIDTILES
        manager.frame->back_instances[BACK_ID_BG_NONSOLIDTILES].push_back(this);
#endif
        image = get_internal_image(232);
        width = image->width;
        height = image->height;
    }
};
FrameObject * create_bgnonsolidtiles_85(int x, int y)
{
    return new (Backdrop::pool.create()) BgNonsolidtiles_85(x, y);
}
class BgCongratulationsYouJustWonTheGameTheRealVictoryWasChoosingNotToFightSmallPrintNoJustKiddingYouPretentiousHippy_86 : public Backdrop
{
public:
    BgCongratulationsYouJustWonTheGameTheRealVictoryWasChoosingNotToFightSmallPrintNoJustKiddingYouPretentiousHippy_86(int x, int y) : Backdrop(x, y, BACKGROUND_TYPE)
    {
#ifndef NDEBUG
        name = chowstring("bg-congratulations, you just won the game. The real victory was choosing not to fight. - (small print) no, just kidding, you pretentious hippy)", 143);
#endif
        flags |= BACKGROUND;
        flags |= BACKGROUND_COL;
#ifdef BACK_ID_BG_CONGRATULATIONS_YOU_JUST_WON_THE_GAME_THE_REAL_VICTORY_WAS_CHOOSING_NOT_TO_FIGHT_SMALL_PRINT_NO_JUST_KIDDING_YOU_PRETENTIOUS_HIPPY
        manager.frame->back_instances[BACK_ID_BG_CONGRATULATIONS_YOU_JUST_WON_THE_GAME_THE_REAL_VICTORY_WAS_CHOOSING_NOT_TO_FIGHT_SMALL_PRINT_NO_JUST_KIDDING_YOU_PRETENTIOUS_HIPPY].push_back(this);
#endif
        image = get_internal_image(41);
        width = image->width;
        height = image->height;
    }
};
FrameObject * create_bgcongratulationsyoujustwonthegametherealvictorywaschoosingnottofightsmallprintnojustkiddingyoupretentioushippy_86(int x, int y)
{
    return new (Backdrop::pool.create()) BgCongratulationsYouJustWonTheGameTheRealVictoryWasChoosingNotToFightSmallPrintNoJustKiddingYouPretentiousHippy_86(x, y);
}
class BgRoad_87 : public Backdrop
{
public:
    BgRoad_87(int x, int y) : Backdrop(x, y, BACKGROUND_TYPE)
    {
#ifndef NDEBUG
        name = chowstring("bg-road", 7);
#endif
        flags |= BACKGROUND;
        flags |= BACKGROUND_COL;
#ifdef BACK_ID_BG_ROAD
        manager.frame->back_instances[BACK_ID_BG_ROAD].push_back(this);
#endif
        image = get_internal_image(4);
        width = image->width;
        height = image->height;
        collision = new BackdropCollision(this, image);
    }
};
FrameObject * create_bgroad_87(int x, int y)
{
    return new (Backdrop::pool.create()) BgRoad_87(x, y);
}
static Image* images_helpdesk_88_0_0[1];
static Direction direction_helpdesk_88_0_0 = {0, 50, 50, 0, 1, 1, images_helpdesk_88_0_0};
static Animation anim_helpdesk_88_0 = {&direction_helpdesk_88_0_0, &direction_helpdesk_88_0_0, &direction_helpdesk_88_0_0, &direction_helpdesk_88_0_0, &direction_helpdesk_88_0_0, &direction_helpdesk_88_0_0, &direction_helpdesk_88_0_0, &direction_helpdesk_88_0_0, &direction_helpdesk_88_0_0, &direction_helpdesk_88_0_0, &direction_helpdesk_88_0_0, &direction_helpdesk_88_0_0, &direction_helpdesk_88_0_0, &direction_helpdesk_88_0_0, &direction_helpdesk_88_0_0, &direction_helpdesk_88_0_0, NULL, &direction_helpdesk_88_0_0, &direction_helpdesk_88_0_0, &direction_helpdesk_88_0_0, &direction_helpdesk_88_0_0, &direction_helpdesk_88_0_0, &direction_helpdesk_88_0_0, &direction_helpdesk_88_0_0, &direction_helpdesk_88_0_0, &direction_helpdesk_88_0_0, &direction_helpdesk_88_0_0, &direction_helpdesk_88_0_0, &direction_helpdesk_88_0_0, &direction_helpdesk_88_0_0, &direction_helpdesk_88_0_0, &direction_helpdesk_88_0_0};
static Animation * anim_array_helpdesk_88[1] = {&anim_helpdesk_88_0};
static Animations anim_helpdesk_88 = {1, &anim_array_helpdesk_88[0]};
static bool anim_helpdesk_88_initialized;
class Helpdesk_88 : public Active
{
public:
    Helpdesk_88(int x, int y) : Active(x, y, Helpdesk_88_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Helpdesk", 8);
#endif
        this->animations = &anim_helpdesk_88;
        if (!anim_helpdesk_88_initialized) {
            anim_helpdesk_88_initialized = true;
            images_helpdesk_88_0_0[0] = get_internal_image_direct(44);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_helpdesk_88(int x, int y)
{
    return new (Active::pool.create()) Helpdesk_88(x, y);
}
static Image* images_trapdoor_89_0_0[1];
static Direction direction_trapdoor_89_0_0 = {0, 50, 50, 0, 1, 1, images_trapdoor_89_0_0};
static Animation anim_trapdoor_89_0 = {&direction_trapdoor_89_0_0, &direction_trapdoor_89_0_0, &direction_trapdoor_89_0_0, &direction_trapdoor_89_0_0, &direction_trapdoor_89_0_0, &direction_trapdoor_89_0_0, &direction_trapdoor_89_0_0, &direction_trapdoor_89_0_0, &direction_trapdoor_89_0_0, &direction_trapdoor_89_0_0, &direction_trapdoor_89_0_0, &direction_trapdoor_89_0_0, &direction_trapdoor_89_0_0, &direction_trapdoor_89_0_0, &direction_trapdoor_89_0_0, &direction_trapdoor_89_0_0, NULL, &direction_trapdoor_89_0_0, &direction_trapdoor_89_0_0, &direction_trapdoor_89_0_0, &direction_trapdoor_89_0_0, &direction_trapdoor_89_0_0, &direction_trapdoor_89_0_0, &direction_trapdoor_89_0_0, &direction_trapdoor_89_0_0, &direction_trapdoor_89_0_0, &direction_trapdoor_89_0_0, &direction_trapdoor_89_0_0, &direction_trapdoor_89_0_0, &direction_trapdoor_89_0_0, &direction_trapdoor_89_0_0, &direction_trapdoor_89_0_0};
static Animation * anim_array_trapdoor_89[1] = {&anim_trapdoor_89_0};
static Animations anim_trapdoor_89 = {1, &anim_array_trapdoor_89[0]};
static bool anim_trapdoor_89_initialized;
class TrapDoor_89 : public Active
{
public:
    TrapDoor_89(int x, int y) : Active(x, y, TrapDoor_89_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Trap door", 9);
#endif
        this->animations = &anim_trapdoor_89;
        if (!anim_trapdoor_89_initialized) {
            anim_trapdoor_89_initialized = true;
            images_trapdoor_89_0_0[0] = get_internal_image_direct(29);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_trapdoor_89(int x, int y)
{
    return new (Active::pool.create()) TrapDoor_89(x, y);
}
static Image* images_inputcoordinatorsecretary_90_0_0[1];
static Direction direction_inputcoordinatorsecretary_90_0_0 = {0, 50, 50, 0, 1, 1, images_inputcoordinatorsecretary_90_0_0};
static Animation anim_inputcoordinatorsecretary_90_0 = {&direction_inputcoordinatorsecretary_90_0_0, &direction_inputcoordinatorsecretary_90_0_0, &direction_inputcoordinatorsecretary_90_0_0, &direction_inputcoordinatorsecretary_90_0_0, &direction_inputcoordinatorsecretary_90_0_0, &direction_inputcoordinatorsecretary_90_0_0, &direction_inputcoordinatorsecretary_90_0_0, &direction_inputcoordinatorsecretary_90_0_0, &direction_inputcoordinatorsecretary_90_0_0, &direction_inputcoordinatorsecretary_90_0_0, &direction_inputcoordinatorsecretary_90_0_0, &direction_inputcoordinatorsecretary_90_0_0, &direction_inputcoordinatorsecretary_90_0_0, &direction_inputcoordinatorsecretary_90_0_0, &direction_inputcoordinatorsecretary_90_0_0, &direction_inputcoordinatorsecretary_90_0_0, NULL, &direction_inputcoordinatorsecretary_90_0_0, &direction_inputcoordinatorsecretary_90_0_0, &direction_inputcoordinatorsecretary_90_0_0, &direction_inputcoordinatorsecretary_90_0_0, &direction_inputcoordinatorsecretary_90_0_0, &direction_inputcoordinatorsecretary_90_0_0, &direction_inputcoordinatorsecretary_90_0_0, &direction_inputcoordinatorsecretary_90_0_0, &direction_inputcoordinatorsecretary_90_0_0, &direction_inputcoordinatorsecretary_90_0_0, &direction_inputcoordinatorsecretary_90_0_0, &direction_inputcoordinatorsecretary_90_0_0, &direction_inputcoordinatorsecretary_90_0_0, &direction_inputcoordinatorsecretary_90_0_0, &direction_inputcoordinatorsecretary_90_0_0};
static Image* images_inputcoordinatorsecretary_90_1_0[20];
static Direction direction_inputcoordinatorsecretary_90_1_0 = {0, 5, 5, 0, 1, 20, images_inputcoordinatorsecretary_90_1_0};
static Animation anim_inputcoordinatorsecretary_90_1 = {&direction_inputcoordinatorsecretary_90_1_0, &direction_inputcoordinatorsecretary_90_1_0, &direction_inputcoordinatorsecretary_90_1_0, &direction_inputcoordinatorsecretary_90_1_0, &direction_inputcoordinatorsecretary_90_1_0, &direction_inputcoordinatorsecretary_90_1_0, &direction_inputcoordinatorsecretary_90_1_0, &direction_inputcoordinatorsecretary_90_1_0, &direction_inputcoordinatorsecretary_90_1_0, &direction_inputcoordinatorsecretary_90_1_0, &direction_inputcoordinatorsecretary_90_1_0, &direction_inputcoordinatorsecretary_90_1_0, &direction_inputcoordinatorsecretary_90_1_0, &direction_inputcoordinatorsecretary_90_1_0, &direction_inputcoordinatorsecretary_90_1_0, &direction_inputcoordinatorsecretary_90_1_0, NULL, &direction_inputcoordinatorsecretary_90_1_0, &direction_inputcoordinatorsecretary_90_1_0, &direction_inputcoordinatorsecretary_90_1_0, &direction_inputcoordinatorsecretary_90_1_0, &direction_inputcoordinatorsecretary_90_1_0, &direction_inputcoordinatorsecretary_90_1_0, &direction_inputcoordinatorsecretary_90_1_0, &direction_inputcoordinatorsecretary_90_1_0, &direction_inputcoordinatorsecretary_90_1_0, &direction_inputcoordinatorsecretary_90_1_0, &direction_inputcoordinatorsecretary_90_1_0, &direction_inputcoordinatorsecretary_90_1_0, &direction_inputcoordinatorsecretary_90_1_0, &direction_inputcoordinatorsecretary_90_1_0, &direction_inputcoordinatorsecretary_90_1_0};
static Animation * anim_array_inputcoordinatorsecretary_90[2] = {&anim_inputcoordinatorsecretary_90_0, &anim_inputcoordinatorsecretary_90_1};
static Animations anim_inputcoordinatorsecretary_90 = {2, &anim_array_inputcoordinatorsecretary_90[0]};
static bool anim_inputcoordinatorsecretary_90_initialized;
class InputCoOrdinatorSecretary_90 : public Active
{
public:
    InputCoOrdinatorSecretary_90(int x, int y) : Active(x, y, InputCoOrdinatorSecretary_90_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("input co-ordinator (secretary)", 30);
#endif
        this->animations = &anim_inputcoordinatorsecretary_90;
        if (!anim_inputcoordinatorsecretary_90_initialized) {
            anim_inputcoordinatorsecretary_90_initialized = true;
            images_inputcoordinatorsecretary_90_0_0[0] = get_internal_image_direct(46);
            images_inputcoordinatorsecretary_90_1_0[0] = get_internal_image_direct(43);
            images_inputcoordinatorsecretary_90_1_0[1] = get_internal_image_direct(43);
            images_inputcoordinatorsecretary_90_1_0[2] = get_internal_image_direct(43);
            images_inputcoordinatorsecretary_90_1_0[3] = get_internal_image_direct(43);
            images_inputcoordinatorsecretary_90_1_0[4] = get_internal_image_direct(43);
            images_inputcoordinatorsecretary_90_1_0[5] = get_internal_image_direct(43);
            images_inputcoordinatorsecretary_90_1_0[6] = get_internal_image_direct(43);
            images_inputcoordinatorsecretary_90_1_0[7] = get_internal_image_direct(43);
            images_inputcoordinatorsecretary_90_1_0[8] = get_internal_image_direct(43);
            images_inputcoordinatorsecretary_90_1_0[9] = get_internal_image_direct(43);
            images_inputcoordinatorsecretary_90_1_0[10] = get_internal_image_direct(43);
            images_inputcoordinatorsecretary_90_1_0[11] = get_internal_image_direct(43);
            images_inputcoordinatorsecretary_90_1_0[12] = get_internal_image_direct(43);
            images_inputcoordinatorsecretary_90_1_0[13] = get_internal_image_direct(43);
            images_inputcoordinatorsecretary_90_1_0[14] = get_internal_image_direct(43);
            images_inputcoordinatorsecretary_90_1_0[15] = get_internal_image_direct(43);
            images_inputcoordinatorsecretary_90_1_0[16] = get_internal_image_direct(43);
            images_inputcoordinatorsecretary_90_1_0[17] = get_internal_image_direct(43);
            images_inputcoordinatorsecretary_90_1_0[18] = get_internal_image_direct(43);
            images_inputcoordinatorsecretary_90_1_0[19] = get_internal_image_direct(43);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_inputcoordinatorsecretary_90(int x, int y)
{
    return new (Active::pool.create()) InputCoOrdinatorSecretary_90(x, y);
}
static Image* images_obscuretastictiles_91_0_0[1];
static Direction direction_obscuretastictiles_91_0_0 = {0, 50, 50, 0, 1, 1, images_obscuretastictiles_91_0_0};
static Animation anim_obscuretastictiles_91_0 = {&direction_obscuretastictiles_91_0_0, &direction_obscuretastictiles_91_0_0, &direction_obscuretastictiles_91_0_0, &direction_obscuretastictiles_91_0_0, &direction_obscuretastictiles_91_0_0, &direction_obscuretastictiles_91_0_0, &direction_obscuretastictiles_91_0_0, &direction_obscuretastictiles_91_0_0, &direction_obscuretastictiles_91_0_0, &direction_obscuretastictiles_91_0_0, &direction_obscuretastictiles_91_0_0, &direction_obscuretastictiles_91_0_0, &direction_obscuretastictiles_91_0_0, &direction_obscuretastictiles_91_0_0, &direction_obscuretastictiles_91_0_0, &direction_obscuretastictiles_91_0_0, NULL, &direction_obscuretastictiles_91_0_0, &direction_obscuretastictiles_91_0_0, &direction_obscuretastictiles_91_0_0, &direction_obscuretastictiles_91_0_0, &direction_obscuretastictiles_91_0_0, &direction_obscuretastictiles_91_0_0, &direction_obscuretastictiles_91_0_0, &direction_obscuretastictiles_91_0_0, &direction_obscuretastictiles_91_0_0, &direction_obscuretastictiles_91_0_0, &direction_obscuretastictiles_91_0_0, &direction_obscuretastictiles_91_0_0, &direction_obscuretastictiles_91_0_0, &direction_obscuretastictiles_91_0_0, &direction_obscuretastictiles_91_0_0};
static Animation * anim_array_obscuretastictiles_91[1] = {&anim_obscuretastictiles_91_0};
static Animations anim_obscuretastictiles_91 = {1, &anim_array_obscuretastictiles_91[0]};
static bool anim_obscuretastictiles_91_initialized;
class ObscuretasticTiles_91 : public Active
{
public:
    ObscuretasticTiles_91(int x, int y) : Active(x, y, ObscuretasticTiles_91_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Obscuretastic tiles", 19);
#endif
        this->animations = &anim_obscuretastictiles_91;
        if (!anim_obscuretastictiles_91_initialized) {
            anim_obscuretastictiles_91_initialized = true;
            images_obscuretastictiles_91_0_0[0] = get_internal_image_direct(25);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_obscuretastictiles_91(int x, int y)
{
    return new (Active::pool.create()) ObscuretasticTiles_91(x, y);
}
class BgGeneric_92 : public Backdrop
{
public:
    BgGeneric_92(int x, int y) : Backdrop(x, y, BACKGROUND_TYPE)
    {
#ifndef NDEBUG
        name = chowstring("bg-generic", 10);
#endif
        flags |= BACKGROUND;
        flags |= BACKGROUND_COL;
#ifdef BACK_ID_BG_GENERIC
        manager.frame->back_instances[BACK_ID_BG_GENERIC].push_back(this);
#endif
        image = get_internal_image(48);
        width = image->width;
        height = image->height;
        collision = new BackdropCollision(this, image);
    }
};
FrameObject * create_bggeneric_92(int x, int y)
{
    return new (Backdrop::pool.create()) BgGeneric_92(x, y);
}
static Image* images_lgflattener_93_0_0[1];
static Direction direction_lgflattener_93_0_0 = {0, 50, 50, 0, 1, 1, images_lgflattener_93_0_0};
static Animation anim_lgflattener_93_0 = {&direction_lgflattener_93_0_0, &direction_lgflattener_93_0_0, &direction_lgflattener_93_0_0, &direction_lgflattener_93_0_0, &direction_lgflattener_93_0_0, &direction_lgflattener_93_0_0, &direction_lgflattener_93_0_0, &direction_lgflattener_93_0_0, &direction_lgflattener_93_0_0, &direction_lgflattener_93_0_0, &direction_lgflattener_93_0_0, &direction_lgflattener_93_0_0, &direction_lgflattener_93_0_0, &direction_lgflattener_93_0_0, &direction_lgflattener_93_0_0, &direction_lgflattener_93_0_0, NULL, &direction_lgflattener_93_0_0, &direction_lgflattener_93_0_0, &direction_lgflattener_93_0_0, &direction_lgflattener_93_0_0, &direction_lgflattener_93_0_0, &direction_lgflattener_93_0_0, &direction_lgflattener_93_0_0, &direction_lgflattener_93_0_0, &direction_lgflattener_93_0_0, &direction_lgflattener_93_0_0, &direction_lgflattener_93_0_0, &direction_lgflattener_93_0_0, &direction_lgflattener_93_0_0, &direction_lgflattener_93_0_0, &direction_lgflattener_93_0_0};
static Animation * anim_array_lgflattener_93[1] = {&anim_lgflattener_93_0};
static Animations anim_lgflattener_93 = {1, &anim_array_lgflattener_93[0]};
static bool anim_lgflattener_93_initialized;
class LGFlattener_93 : public Active
{
public:
    LGFlattener_93(int x, int y) : Active(x, y, LGFlattener_93_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("LG flattener", 12);
#endif
        this->animations = &anim_lgflattener_93;
        if (!anim_lgflattener_93_initialized) {
            anim_lgflattener_93_initialized = true;
            images_lgflattener_93_0_0[0] = get_internal_image_direct(25);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_lgflattener_93(int x, int y)
{
    return new (Active::pool.create()) LGFlattener_93(x, y);
}
static Image* images_active13_94_0_0[20];
static Direction direction_active13_94_0_0 = {0, 20, 20, 0, 1, 20, images_active13_94_0_0};
static Animation anim_active13_94_0 = {&direction_active13_94_0_0, &direction_active13_94_0_0, &direction_active13_94_0_0, &direction_active13_94_0_0, &direction_active13_94_0_0, &direction_active13_94_0_0, &direction_active13_94_0_0, &direction_active13_94_0_0, &direction_active13_94_0_0, &direction_active13_94_0_0, &direction_active13_94_0_0, &direction_active13_94_0_0, &direction_active13_94_0_0, &direction_active13_94_0_0, &direction_active13_94_0_0, &direction_active13_94_0_0, NULL, &direction_active13_94_0_0, &direction_active13_94_0_0, &direction_active13_94_0_0, &direction_active13_94_0_0, &direction_active13_94_0_0, &direction_active13_94_0_0, &direction_active13_94_0_0, &direction_active13_94_0_0, &direction_active13_94_0_0, &direction_active13_94_0_0, &direction_active13_94_0_0, &direction_active13_94_0_0, &direction_active13_94_0_0, &direction_active13_94_0_0, &direction_active13_94_0_0};
static Animation * anim_array_active13_94[1] = {&anim_active13_94_0};
static Animations anim_active13_94 = {1, &anim_array_active13_94[0]};
static bool anim_active13_94_initialized;
class Active13_94 : public Active
{
public:
    Active13_94(int x, int y) : Active(x, y, Active13_94_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Active 13", 9);
#endif
        this->animations = &anim_active13_94;
        if (!anim_active13_94_initialized) {
            anim_active13_94_initialized = true;
            images_active13_94_0_0[0] = get_internal_image_direct(47);
            images_active13_94_0_0[1] = get_internal_image_direct(47);
            images_active13_94_0_0[2] = get_internal_image_direct(47);
            images_active13_94_0_0[3] = get_internal_image_direct(47);
            images_active13_94_0_0[4] = get_internal_image_direct(47);
            images_active13_94_0_0[5] = get_internal_image_direct(47);
            images_active13_94_0_0[6] = get_internal_image_direct(47);
            images_active13_94_0_0[7] = get_internal_image_direct(47);
            images_active13_94_0_0[8] = get_internal_image_direct(47);
            images_active13_94_0_0[9] = get_internal_image_direct(47);
            images_active13_94_0_0[10] = get_internal_image_direct(47);
            images_active13_94_0_0[11] = get_internal_image_direct(47);
            images_active13_94_0_0[12] = get_internal_image_direct(47);
            images_active13_94_0_0[13] = get_internal_image_direct(47);
            images_active13_94_0_0[14] = get_internal_image_direct(47);
            images_active13_94_0_0[15] = get_internal_image_direct(47);
            images_active13_94_0_0[16] = get_internal_image_direct(47);
            images_active13_94_0_0[17] = get_internal_image_direct(47);
            images_active13_94_0_0[18] = get_internal_image_direct(47);
            images_active13_94_0_0[19] = get_internal_image_direct(47);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_active13_94(int x, int y)
{
    return new (Active::pool.create()) Active13_94(x, y);
}
static Image* images_bullet_95_0_0[1];
static Direction direction_bullet_95_0_0 = {0, 50, 50, 0, -1, 1, images_bullet_95_0_0};
static Image* images_bullet_95_0_8[1];
static Direction direction_bullet_95_0_8 = {8, 50, 50, 0, 1, 1, images_bullet_95_0_8};
static Image* images_bullet_95_0_16[1];
static Direction direction_bullet_95_0_16 = {16, 50, 50, 0, -1, 1, images_bullet_95_0_16};
static Image* images_bullet_95_0_24[1];
static Direction direction_bullet_95_0_24 = {24, 50, 50, 0, 1, 1, images_bullet_95_0_24};
static Animation anim_bullet_95_0 = {&direction_bullet_95_0_0, &direction_bullet_95_0_0, &direction_bullet_95_0_0, &direction_bullet_95_0_0, NULL, &direction_bullet_95_0_8, &direction_bullet_95_0_8, &direction_bullet_95_0_8, &direction_bullet_95_0_8, &direction_bullet_95_0_8, &direction_bullet_95_0_8, &direction_bullet_95_0_8, NULL, &direction_bullet_95_0_16, &direction_bullet_95_0_16, &direction_bullet_95_0_16, &direction_bullet_95_0_16, &direction_bullet_95_0_16, &direction_bullet_95_0_16, &direction_bullet_95_0_16, NULL, &direction_bullet_95_0_24, &direction_bullet_95_0_24, &direction_bullet_95_0_24, &direction_bullet_95_0_24, &direction_bullet_95_0_24, &direction_bullet_95_0_24, &direction_bullet_95_0_24, NULL, &direction_bullet_95_0_0, &direction_bullet_95_0_0, &direction_bullet_95_0_0};
static Image* images_bullet_95_12_0[3];
static Direction direction_bullet_95_12_0 = {0, 100, 100, 0, -1, 3, images_bullet_95_12_0};
static Image* images_bullet_95_12_16[3];
static Direction direction_bullet_95_12_16 = {16, 100, 100, 0, -1, 3, images_bullet_95_12_16};
static Animation anim_bullet_95_12 = {&direction_bullet_95_12_0, &direction_bullet_95_12_0, &direction_bullet_95_12_0, &direction_bullet_95_12_0, &direction_bullet_95_12_0, &direction_bullet_95_12_0, &direction_bullet_95_12_0, &direction_bullet_95_12_0, NULL, &direction_bullet_95_12_16, &direction_bullet_95_12_16, &direction_bullet_95_12_16, &direction_bullet_95_12_16, &direction_bullet_95_12_16, &direction_bullet_95_12_16, &direction_bullet_95_12_16, &direction_bullet_95_12_16, &direction_bullet_95_12_16, &direction_bullet_95_12_16, &direction_bullet_95_12_16, &direction_bullet_95_12_16, &direction_bullet_95_12_16, &direction_bullet_95_12_16, &direction_bullet_95_12_16, NULL, &direction_bullet_95_12_0, &direction_bullet_95_12_0, &direction_bullet_95_12_0, &direction_bullet_95_12_0, &direction_bullet_95_12_0, &direction_bullet_95_12_0, &direction_bullet_95_12_0};
static Animation * anim_array_bullet_95[13] = {&anim_bullet_95_0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, &anim_bullet_95_12};
static Animations anim_bullet_95 = {13, &anim_array_bullet_95[0]};
static bool anim_bullet_95_initialized;
class Bullet_95 : public Active
{
public:
    Bullet_95(int x, int y) : Active(x, y, Bullet_95_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Bullet", 6);
#endif
        this->animations = &anim_bullet_95;
        if (!anim_bullet_95_initialized) {
            anim_bullet_95_initialized = true;
            images_bullet_95_0_0[0] = get_internal_image_direct(496);
            images_bullet_95_0_8[0] = get_internal_image_direct(81);
            images_bullet_95_0_16[0] = get_internal_image_direct(159);
            images_bullet_95_0_24[0] = get_internal_image_direct(81);
            images_bullet_95_12_0[0] = get_internal_image_direct(643);
            images_bullet_95_12_0[1] = get_internal_image_direct(644);
            images_bullet_95_12_0[2] = get_internal_image_direct(645);
            images_bullet_95_12_16[0] = get_internal_image_direct(640);
            images_bullet_95_12_16[1] = get_internal_image_direct(638);
            images_bullet_95_12_16[2] = get_internal_image_direct(637);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(true);
        create_alterables();
    }
};
FrameObject * create_bullet_95(int x, int y)
{
    return new (Active::pool.create()) Bullet_95(x, y);
}
static Image* images_afterimager_96_0_0[1];
static Direction direction_afterimager_96_0_0 = {0, 11, 11, 0, 1, 1, images_afterimager_96_0_0};
static Image* images_afterimager_96_0_16[1];
static Direction direction_afterimager_96_0_16 = {16, 11, 11, 0, 1, 1, images_afterimager_96_0_16};
static Animation anim_afterimager_96_0 = {&direction_afterimager_96_0_0, &direction_afterimager_96_0_0, &direction_afterimager_96_0_0, &direction_afterimager_96_0_0, &direction_afterimager_96_0_0, &direction_afterimager_96_0_0, &direction_afterimager_96_0_0, &direction_afterimager_96_0_0, NULL, &direction_afterimager_96_0_16, &direction_afterimager_96_0_16, &direction_afterimager_96_0_16, &direction_afterimager_96_0_16, &direction_afterimager_96_0_16, &direction_afterimager_96_0_16, &direction_afterimager_96_0_16, &direction_afterimager_96_0_16, &direction_afterimager_96_0_16, &direction_afterimager_96_0_16, &direction_afterimager_96_0_16, &direction_afterimager_96_0_16, &direction_afterimager_96_0_16, &direction_afterimager_96_0_16, &direction_afterimager_96_0_16, NULL, &direction_afterimager_96_0_0, &direction_afterimager_96_0_0, &direction_afterimager_96_0_0, &direction_afterimager_96_0_0, &direction_afterimager_96_0_0, &direction_afterimager_96_0_0, &direction_afterimager_96_0_0};
static Animation * anim_array_afterimager_96[1] = {&anim_afterimager_96_0};
static Animations anim_afterimager_96 = {1, &anim_array_afterimager_96[0]};
static bool anim_afterimager_96_initialized;
class AfterimageR_96 : public Active
{
public:
    AfterimageR_96(int x, int y) : Active(x, y, AfterimageR_96_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Afterimage R", 12);
#endif
        this->animations = &anim_afterimager_96;
        if (!anim_afterimager_96_initialized) {
            anim_afterimager_96_initialized = true;
            images_afterimager_96_0_0[0] = get_internal_image_direct(714);
            images_afterimager_96_0_16[0] = get_internal_image_direct(155);
        }
        fade_duration = 0.11;
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        blend_color = Color(255, 255, 255, 66);
        create_alterables();
    }
};
FrameObject * create_afterimager_96(int x, int y)
{
    return new (Active::pool.create()) AfterimageR_96(x, y);
}
static Image* images_afterimagel2_97_0_0[1];
static Direction direction_afterimagel2_97_0_0 = {0, 11, 11, 0, 1, 1, images_afterimagel2_97_0_0};
static Animation anim_afterimagel2_97_0 = {&direction_afterimagel2_97_0_0, &direction_afterimagel2_97_0_0, &direction_afterimagel2_97_0_0, &direction_afterimagel2_97_0_0, &direction_afterimagel2_97_0_0, &direction_afterimagel2_97_0_0, &direction_afterimagel2_97_0_0, &direction_afterimagel2_97_0_0, &direction_afterimagel2_97_0_0, &direction_afterimagel2_97_0_0, &direction_afterimagel2_97_0_0, &direction_afterimagel2_97_0_0, &direction_afterimagel2_97_0_0, &direction_afterimagel2_97_0_0, &direction_afterimagel2_97_0_0, &direction_afterimagel2_97_0_0, NULL, &direction_afterimagel2_97_0_0, &direction_afterimagel2_97_0_0, &direction_afterimagel2_97_0_0, &direction_afterimagel2_97_0_0, &direction_afterimagel2_97_0_0, &direction_afterimagel2_97_0_0, &direction_afterimagel2_97_0_0, &direction_afterimagel2_97_0_0, &direction_afterimagel2_97_0_0, &direction_afterimagel2_97_0_0, &direction_afterimagel2_97_0_0, &direction_afterimagel2_97_0_0, &direction_afterimagel2_97_0_0, &direction_afterimagel2_97_0_0, &direction_afterimagel2_97_0_0};
static Animation * anim_array_afterimagel2_97[1] = {&anim_afterimagel2_97_0};
static Animations anim_afterimagel2_97 = {1, &anim_array_afterimagel2_97[0]};
static bool anim_afterimagel2_97_initialized;
class AfterimageL2_97 : public Active
{
public:
    AfterimageL2_97(int x, int y) : Active(x, y, AfterimageL2_97_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Afterimage L 2", 14);
#endif
        this->animations = &anim_afterimagel2_97;
        if (!anim_afterimagel2_97_initialized) {
            anim_afterimagel2_97_initialized = true;
            images_afterimagel2_97_0_0[0] = get_internal_image_direct(715);
        }
        fade_duration = 0.11;
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        blend_color = Color(255, 255, 255, 66);
        create_alterables();
    }
};
FrameObject * create_afterimagel2_97(int x, int y)
{
    return new (Active::pool.create()) AfterimageL2_97(x, y);
}
static Image* images_fanblock_98_0_0[8];
static Direction direction_fanblock_98_0_0 = {0, 100, 100, 0, -1, 8, images_fanblock_98_0_0};
static Animation anim_fanblock_98_0 = {&direction_fanblock_98_0_0, &direction_fanblock_98_0_0, &direction_fanblock_98_0_0, &direction_fanblock_98_0_0, &direction_fanblock_98_0_0, &direction_fanblock_98_0_0, &direction_fanblock_98_0_0, &direction_fanblock_98_0_0, &direction_fanblock_98_0_0, &direction_fanblock_98_0_0, &direction_fanblock_98_0_0, &direction_fanblock_98_0_0, &direction_fanblock_98_0_0, &direction_fanblock_98_0_0, &direction_fanblock_98_0_0, &direction_fanblock_98_0_0, NULL, &direction_fanblock_98_0_0, &direction_fanblock_98_0_0, &direction_fanblock_98_0_0, &direction_fanblock_98_0_0, &direction_fanblock_98_0_0, &direction_fanblock_98_0_0, &direction_fanblock_98_0_0, &direction_fanblock_98_0_0, &direction_fanblock_98_0_0, &direction_fanblock_98_0_0, &direction_fanblock_98_0_0, &direction_fanblock_98_0_0, &direction_fanblock_98_0_0, &direction_fanblock_98_0_0, &direction_fanblock_98_0_0};
static Animation * anim_array_fanblock_98[1] = {&anim_fanblock_98_0};
static Animations anim_fanblock_98 = {1, &anim_array_fanblock_98[0]};
static bool anim_fanblock_98_initialized;
class FanBlock_98 : public Active
{
public:
    FanBlock_98(int x, int y) : Active(x, y, FanBlock_98_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Fan Block", 9);
#endif
        this->animations = &anim_fanblock_98;
        if (!anim_fanblock_98_initialized) {
            anim_fanblock_98_initialized = true;
            images_fanblock_98_0_0[0] = get_internal_image_direct(49);
            images_fanblock_98_0_0[1] = get_internal_image_direct(55);
            images_fanblock_98_0_0[2] = get_internal_image_direct(57);
            images_fanblock_98_0_0[3] = get_internal_image_direct(58);
            images_fanblock_98_0_0[4] = get_internal_image_direct(59);
            images_fanblock_98_0_0[5] = get_internal_image_direct(58);
            images_fanblock_98_0_0[6] = get_internal_image_direct(57);
            images_fanblock_98_0_0[7] = get_internal_image_direct(55);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_fanblock_98(int x, int y)
{
    return new (Active::pool.create()) FanBlock_98(x, y);
}
static Image* images_objfan_99_0_0[1];
static Direction direction_objfan_99_0_0 = {0, 50, 50, 0, 1, 1, images_objfan_99_0_0};
static Animation anim_objfan_99_0 = {&direction_objfan_99_0_0, &direction_objfan_99_0_0, &direction_objfan_99_0_0, &direction_objfan_99_0_0, &direction_objfan_99_0_0, &direction_objfan_99_0_0, &direction_objfan_99_0_0, &direction_objfan_99_0_0, &direction_objfan_99_0_0, &direction_objfan_99_0_0, &direction_objfan_99_0_0, &direction_objfan_99_0_0, &direction_objfan_99_0_0, &direction_objfan_99_0_0, &direction_objfan_99_0_0, &direction_objfan_99_0_0, NULL, &direction_objfan_99_0_0, &direction_objfan_99_0_0, &direction_objfan_99_0_0, &direction_objfan_99_0_0, &direction_objfan_99_0_0, &direction_objfan_99_0_0, &direction_objfan_99_0_0, &direction_objfan_99_0_0, &direction_objfan_99_0_0, &direction_objfan_99_0_0, &direction_objfan_99_0_0, &direction_objfan_99_0_0, &direction_objfan_99_0_0, &direction_objfan_99_0_0, &direction_objfan_99_0_0};
static Animation * anim_array_objfan_99[1] = {&anim_objfan_99_0};
static Animations anim_objfan_99 = {1, &anim_array_objfan_99[0]};
static bool anim_objfan_99_initialized;
class ObjFan_99 : public Active
{
public:
    ObjFan_99(int x, int y) : Active(x, y, ObjFan_99_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("obj-fan", 7);
#endif
        this->animations = &anim_objfan_99;
        if (!anim_objfan_99_initialized) {
            anim_objfan_99_initialized = true;
            images_objfan_99_0_0[0] = get_internal_image_direct(124);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_objfan_99(int x, int y)
{
    return new (Active::pool.create()) ObjFan_99(x, y);
}
